// Desc: A respawn selection dialog
// By: Dr Eyeball
// Version: 1.0 (May 2007)
//-----------------------------------------------------------------------------
// SPWN_ is the unique prefix associated with all unique classes for this dialog.

//-----------------------------------------------------------------------------
// IDD's & IDC's
//-----------------------------------------------------------------------------
#define SPWN_IDD_RespawnDialog 389

#define SPWN_IDC_RespawnList 891
#define SPWN_IDC_RespawnMap 892
#define SPWN_IDC_AcceptButton 893
#define SPWN_IDC_Countdown 894

//-----------------------------------------------------------------------------
// Personalisation - Custom modifications to the standard control classes
//-----------------------------------------------------------------------------

class SPWN_Button: RscButton
{
  x = 1*Dlg_COLWIDTH;
  y = 0.1;
  w = 0.1;
  h = Dlg_CONTROLHGT;
};

class SPWN_BaselineButton: SPWN_Button
{
  w = 0.15;
  y = 1.0-Dlg_CONTROLHGT; // last row
};

class SPWN_CaptionText: RscText
{
};

//-----------------------------------------------------------------------------
// Main dialog
//-----------------------------------------------------------------------------
class SPWN_RespawnDialog
{
  idd = SPWN_IDD_RespawnDialog;

  movingEnable = true;
  controlsBackground[] = { SPWN_Background, SPWN_Frame };

  class SPWN_Background: Dlg_FullBackground
  {
    colorBackground[] = {Dlg_Color_Gray_3, 0.7};
  };

  class SPWN_Frame: Dlg_FullBackgroundFrame
  {
    text = " Respawn Location Selection ";
  };

  //---------------------------------------------
  objects[] = 
  { 
  };
  
  controls[] = 
  {
    SPWN_RespawnListCaption,
    SPWN_RespawnList,

    SPWN_RespawnMapCaption,
    SPWN_RespawnMap,
    
    SPWN_AcceptButton
  };
  //---------------------------------------------
  // captions
  class SPWN_RespawnListCaption: SPWN_CaptionText
  {
    idc = SPWN_IDC_Countdown;
    x = 0.01;
    y = 0.03;
    w = 0.51;
    text = "Respawn Locations";
  };
  class SPWN_RespawnMapCaption: SPWN_CaptionText
  {
    x = 0.01;
    y = 0.32;
    w = 0.51;
    text = "Respawn Locations Map";
  };
  //---------------------------------------------
  // Controls
  class SPWN_RespawnList: RscListBox
  { 
    idc = SPWN_IDC_RespawnList;
    x = 0.01;
    y = 0.07;
    w = 0.51;
    h = 0.2;
  	
    onLBSelChanged = "[_this] call SPWN_ViewSpawnPoint";
    onLBDblClick = "[_this] call SPWN_AcceptButton";
  };
  class SPWN_RespawnMap: RscMapControl
  {
    idc = SPWN_IDC_RespawnMap; 
    x = 0.01;
    y = 0.36;
  	w	= 0.51;
  	h	= 0.6; 
  };
  //---------------------------------------------
  // buttons
  class SPWN_AcceptButton: SPWN_BaselineButton
  {
  	idc = SPWN_IDC_AcceptButton;
  	x = 5*Dlg_COLWIDTH;
  	text = "Ok";
  	action = "[] call SPWN_AcceptButton";
  };
  //---------------------------------------------
};
