// Desc: A respawn selection dialog
// By: Dr Eyeball
// Version: 1.0 (May 2007)
//-----------------------------------------------------------------------------
// Constants
//-----------------------------------------------------------------------------
// The following IDD & IDC variables should match their equivalents for the dialog (from "Dialogs\RespawnDialog.hpp")

SPWN_IDD_RespawnDialog = 389;

SPWN_IDC_RespawnList = 891;
SPWN_IDC_RespawnMap = 892;
SPWN_IDC_AcceptButton = 893;
SPWN_IDC_Countdown = 894;

SPWN_RespawnLocationsCaption = "Choose your respawn location:";

//-----------------------------------------------------------------------------
// Control functions
//-----------------------------------------------------------------------------

SPWN_FillComboList = 
{
  _idc2 = _this select 0;
  _DualList = _this select 1;
  
  _control = SPWN_display displayCtrl _idc2;

  lbClear _idc2;
  {
    _Item = _x select 0;
    _Data = _x select 1;
    _index = lbAdd [_idc2, _Item];
    lbSetData [_idc2, _index, _Data];
  } forEach _DualList;
  
  lbSetCurSel [_idc2, 0];
};

//-----------------------------------------------------------------------------
// Respawn Selection functions
//-----------------------------------------------------------------------------

SPWN_ViewSpawnPoint =
{
  _selection = _this select 0;  
  
  _control = _selection select 0;
  _selectedIndex = _selection select 1; 

  _basePos = getPos player;
  _spawnMarkerName = _control lbData _selectedIndex;
  _spawnPos = getmarkerpos _spawnMarkerName; 

  //RespawnLocation = _spawnMarkerName; // interferes

  //---- show map location using panning & zooming
  _ctrl = SPWN_display displayctrl SPWN_IDC_RespawnMap;
  ctrlMapAnimClear _ctrl; // reset while scrolling list
  
  _ctrl ctrlmapanimadd [0.1, 0.30, _basePos]; // show home base
  ctrlmapanimcommit _ctrl;
  
  _ctrl ctrlmapanimadd [0.8, 0.90, _spawnPos]; // show map location
  ctrlmapanimcommit _ctrl;
  
  _ctrl ctrlmapanimadd [0.1, 0.20, _spawnPos]; // zoom map location
  ctrlmapanimcommit _ctrl;
};

//----------------------

SPWN_AcceptButton =
{
  _selectedIndex = lbCurSel SPWN_IDC_RespawnList;
  
  RespawnLocation = lbData [SPWN_IDC_RespawnList, _selectedIndex]; // assign marker name to global var
  
  /*
  player globalChat format["Spawn location %1 selected. Marker name='%2'", 
  _selectedIndex, lbData [SPWN_IDC_RespawnList, _selectedIndex] ]; // debug
  */
  
  closeDialog 0;
};

//----------------------

SPWN_Start =
{
  _Params = _this;
	
	/*
	// [Spawn description, marker name]
  _MyDualList = [["1 - Main Base", "Respawn_West"],
    						 ["2 - Somato Respawn", "som_respawn"],
    						 ["3 - Cayo Respawn", "cay_respawn"],
    						 ["4 - Dolores Respawn", "dol_respawn"],
    						 ["5 - Ortego Respawn", "ort_respawn"],
    						 ["6 - Corazol Respawn", "cor_respawn"],
    						 ["7 - Obregan Respawn", "obr_respawn"],
    						 ["8 - Bagango Respawn", "bag_respawn"],
    						 ["9 - Eponia Respawn", "epo_respawn"],
    						 ["10 - Masbete Respawn", "mas_respawn"],
    						 ["11 - Pita Respawn", "pit_respawn"]
    						];
  */
  
  // Created in "init.sqf", "mission.sqm" and "scripts\respawnlist.sqf"
  _MyDualList = respawnlist;
  
  [SPWN_IDC_RespawnList, _MyDualList] call SPWN_FillComboList;
  
  // find & focus current respawn location marker
  _MatchingIndex = 0;
  _Size = lbSize SPWN_IDC_RespawnList;
  for [{_i = 0}, {_i < _Size}, {_i = _i + 1}] do
  {
    if (RespawnLocation == lbData [SPWN_IDC_RespawnList, _i]) then 
    {
      _MatchingIndex = _i;
    };
  };

  lbSetCurSel [SPWN_IDC_RespawnList, _MatchingIndex];
};

//-----------------------------------------------------------------------------
// Init
//-----------------------------------------------------------------------------

_ok = createDialog "SPWN_RespawnDialog";
if !(_ok) exitWith { hint "createDialog failed" };

SPWN_display = findDisplay SPWN_IDD_RespawnDialog; 

_Params = _this;
[_Params] call SPWN_Start;

// show the countdown time
while { dialog && playerRespawnTime > -1 } do
{
  _timeRemaining = format["%1 - %2 seconds", SPWN_RespawnLocationsCaption, playerRespawnTime];
  ctrlSetText [SPWN_IDC_Countdown, _timeRemaining];
  sleep 1.0;
};

ctrlSetText [SPWN_IDC_Countdown, SPWN_RespawnLocationsCaption];
