// Description: Recruit AI Soldier dialog
// By: Dr Eyeball
// Version: 1.0 (June 2007)
//-----------------------------------------------------------------------------
// Constants
//-----------------------------------------------------------------------------
// The following IDD & IDC variables should match their equivalents for the dialog (from "Dialogs\RecruitSoldierDialog.hpp")

SPI9_IDD_RecruitSoldierDialog = 396;

SPI9_IDC_ListBox = 891;
SPI9_IDC_Picture = 893;
SPI9_IDC_Picture2 = 894;
SPI9_IDC_OkButton = 896;
SPI9_IDC_CloseButton = 897;
SPI9_IDC_StructuredTextCaption = 899;
SPI9_IDC_StructuredText = 900;
bplace = false;

bmark = createMarkerLocal ["btarg", [0,0,0]];
bmark setMarkerShapeLocal "ELLIPSE";
bmark setMarkerTypeLocal "Destroy";
bmark setMarkerColorLocal "ColorGreen";
bmark setMarkerSizeLocal [0.5, 0.5];

onMapSingleClick """btarg"" setMarkerPosLocal _pos;bplace=true";
mrole = "";
mrank = 0;
mcost = 0;
msize = 0;
mtime = 0;

//-----------------------------------------------------------------------------
// Functions
//-----------------------------------------------------------------------------

SPI9_OnClose = 
{
  deleteMarkerLocal "btarg";
  [] call EVO_ResetClick;
};

//-----------------------------------------------------------------------------

SPI9_Select =
{
  _selection = _this select 0;
  _control = _selection select 0;
  _selectedIndex = _selection select 1; 
  _role = "";
  _picture = "";
  _picture2 = "";
  _weaponDesc = "";
  _roleDesc = "";
  _mssg = "";
	_sco = score player;

	/*
	_array = [["Evacuation", "Cost: 5 - This will send a helicopter to the location marked on the map and transport you back to base (Airfield).", 50, 5, 15],
	 					["Ammo Crate", "Cost: 5 - This will deliver an ammo box to the location marked on the map using a parachute.", 10, 5, 15],
						["HMMWV", "Cost: 5 - This will send a helicopter to the location marked on the map, delivering a HMMWV.", 50, 5, 15]];
	*/				
	_array = [["Ammo Crate", "Cost: 5 - This will deliver an ammo box to the location marked on the map using a parachute.", 15, 5, 15],
						["HMMWV", "Cost: 5 - This will send a helicopter to the location marked on the map, delivering a HMMWV.", 25, 5, 15]];
	
	if(_sco >= rank1) then 
	{
 		_array = _array + [["Precision Air Strike", "Cost: 5 - This will call in an artillery target precisely at the center of the marker position.", 15, 5, 15],
 											 ["Cruise Missile", "Cost: 5 - This will call in a cruise missile strike on the location marked on the map. Read the mission briefing !", 15, 5, 15],
 											 ["HMMWV 50 Caliber", "Cost: 10 - This will make a helicopter bring a HMMWV 50 Caliber to the location marked on the map.", 25, 10, 15]];
 		mrank = rank1;
	};
	
	if(_sco >= rank2) then 
	{
		_array = _array + [["Small Artillery", "Cost: 10 - This will call in artillery targets within the marked area on the map, delivering small shells.", 50, 10, 15],
											 ["HMMWV MK19", "Cost: 10 - This will make a transport helicopter bring a HMMWV MK19 to the location marked on the map.", 25, 10, 15],
											 ["HMMWV TOW", "Cost: 10 - This will make a helicopter bring a HMMWV TOW to the location marked on the map.", 25, 10, 15]];
		mrank = rank2;
	};
	
	if(_sco >= rank3) then
	{
		_array = _array + [["HMMWV GAU19", "Cost: 10 - This will make a helicopter bring a HMMWV GAU19 to the location marked on the map.", 25, 10, 15],
											 ["Large Artillery", "Cost: 15 - This will call in artillery targets within the marked area one the map, delivering big shells.", 100, 15, 15],
											 ["Cluster Bomb", "Cost: 15 - This will call for large and heavy cluster bombs on the location marked on the map.", 75, 15, 15]];
		mrank = rank3;
	};
	
	if(_sco >= rank4) then 
	{
		_array = _array + [["Air Support AV8B2", "Cost: 15 - This will call in AV8B2 air support to aid you in battle. Read the mission briefing !", 500, 15, 15],
											 ["Gunship Support", "Cost: 15 - This will call in gunship support to aid you in battle. Read the mission briefing !", 500, 15, 15]];
		mrank = rank4;
	};
	
	if(_sco >= rank5) then 
	{
		_array = _array + [["Air Support A10", "Cost: 15 - This will call in A10 tank buster heavy air support.", 500, 15, 15],
											 ["Laser Guided Missiles", "Cost: 15 - This will call in AV8B air support, delivering an LGM to the location marked with your laser designator. The plane carries 6 LGMs. Read the mission briefing !", 500, 15, 15]];
		mrank = rank5;
	};
	
	if(_sco >= rank6) then 
	{
		_array = _array + [["Chemical Strike", "Cost: 25 - This will deliver a chemical bomb to the location marked on the map.", 150, 25, 30],
											 ["Cruise Missile Spread", "Cost: 25 - This call in multiple cruise missile air strikes on targets withing the area marked on the map. Read the mission briefing !", 500, 25, 15]];
		mrank = rank6;
	};
	
	_i = 0;
	{ if (_i == _selectedIndex) then
  	{ 
  		mrole = _x select 0;
    	_weaponDesc = _x select 1;
    	msize = _x select 2;
    	mcost = _x select 3;
    	mtime = _x select 4;
    	bmark setMarkerSizeLocal [msize, msize];
  	};
  	_i = _i + 1;
	} forEach _array;

	_ctrl = SPI9_display displayCtrl SPI9_IDC_StructuredText;
	_ctrl ctrlSetStructuredText parseText format["%1", _weaponDesc];
};
	
//----------------------

SPI9_OkButton =
{
	_selectedIndex = lbCurSel SPI9_IDC_ListBox;
  _role = lbData [SPI9_IDC_ListBox, _selectedIndex];
  _roleDesc = "";
  
  _classPath = configFile >> "cfgVehicles" >> _role;
  if (isClass _classPath) then
  {
    _class = _classPath >> "displayName"; 
    if (isText _class) then { _roleDesc = getText _class };
  };

	if (not fmission) then
  {
		if (bplace) then 
	 	{
			if (((score player)-mrank) >= mcost) then 
			{	
				if(mresc distance (getmarkerpos "btarg") < 400) then 
				{
					hint "You can not call Ordnance this close to the base";
				}
				else
				{
					_rec = [mrole,msize,mtime] execVM "scripts\csupport.sqf";
					player addscore (-mcost);
				};
			} else {hint format["You do not have the required spare points \nRequired: %1 \nCurrent: %2",mcost,((score player)-mrank)]};
	 	} else {hint "Click a point on the map first"};
	} else {hint "We can only deliver one payload at a time"};
};

//----------------------

SPI9_Start =
{
  _Params = _this;
  
  //SPI9_display displaySetEventHandler["KeyDown", _closeDialog]; // uncomment to enable close on key press
  SPI9_display displaySetEventHandler["Unload", "call SPI9_OnClose"];
  
	_sco = score player;
 	
 	/*
 	_ListBoxArray = [["Evacuation", "Cost: 5 - This will send a helicopter to the location marked on the map and transport you back to base (Airfield)."],
 									 ["Ammo Crate", "Cost: 5 - This will deliver an ammo box to the location marked on the map using a parachute."],
 									 ["HMMWV", "Cost: 5 - This will send a helicopter to the location marked on the map, delivering a HMMWV. Read mission briefing !"]];
 	*/
 	
 	_ListBoxArray = [["Ammo Crate", "Cost: 5 - This will deliver an ammo box to the location marked on the map using a parachute."],
 									 ["HMMWV", "Cost: 5 - This will send a helicopter to the location marked on the map, delivering a HMMWV."]];
 	
	if(_sco >= rank1) then 
	{
		_ListBoxArray = _ListBoxArray + [["Precision Air Strike", "Cost: 5 - This will call in an artillery target precisely at the center of the marker position."],
																		 ["Cruise Missile", "Cost: 5 - This will call in a cruise missile strike on the location marked on the map. Read the mission briefing !"],
																		 ["HMMWV 50 Caliber", "Cost: 10 - This will make a helicopter bring a HMMWV 50 Caliber to the location marked on the map."]];
	};
	
	if(_sco >= rank2) then 
	{
		_ListBoxArray = _ListBoxArray + [["Small Artillery", "Cost: 10 - This will call in artillery targets within the marked area on the map, delivering small shells."],
																		 ["HMMWV MK19", "Cost: 10 - This will make a transport helicopter bring a HMMWV MK19 to the location marked on the map."],
																		 ["HMMWV TOW", "Cost: 10 - This will make a helicopter bring a HMMWV TOW to the location marked on the map."]];
	};
	
	if(_sco >= rank3) then
	{
		_ListBoxArray = _ListBoxArray + [["HMMWV GAU19", "Cost: 10 - This will make a helicopter bring a HMMWV GAU19 to the location marked on the map."],
																		 ["Large Artillery", "Cost: 15 - This will call in artillery targets within the marked area one the map, delivering big shells."],
																		 ["Cluster Bomb", "Cost: 15 - This call in large and heavy cluster bombs on the location marked on the map."]];
	};
	
	if(_sco >= rank4) then
	{
		_ListBoxArray = _ListBoxArray + [["Air Support AV8B2", "Cost: 15 - This will call in AV8B2 air support to aid you in battle. Read the mission briefing !"],
																		 ["Gunship Support", "Cost: 15 - This will call in gunship support to aid you in battle. Read the mission briefing !"]];
	};
	
	if(_sco >= rank5) then 
	{
		_ListBoxArray = _ListBoxArray + [["Air Support A10", "Cost: 15 - This will call in A10 tank buster heavy air support. Read the mission briefing !"],
																		 ["Laser Guided Missiles", "Cost: 15 - This will call in AV8B air support, delivering an LGM to the location marked with your laser designator. The plane carries 6 LGMs. Read the mission briefing !"]];
	};
	
	if(_sco >= rank6) then
	{
		_ListBoxArray = _ListBoxArray + [["Chemical Strike", "Cost: 25 - This will deliver a chemical bomb to the location marked on the map."],
																		 ["Cruise Missile Spread", "Cost: 25 - This will call in multiple cruise missile air strikes on targets withing the area marked on the map. Read the mission briefing !"]];
	};
	
  [SPI9_IDC_ListBox, _ListBoxArray] call Dlg_FillListBoxLists;
};

//-----------------------------------------------------------------------------
// Init
//-----------------------------------------------------------------------------

_ok = createDialog "SPI9_RecruitSoldierDialog";
if !(_ok) exitWith { hint "createDialog failed" };

SPI9_display = findDisplay SPI9_IDD_RecruitSoldierDialog; 

_Params = _this;
_Params call SPI9_Start;
