/*********************************************************************************
	mando_airsupport_nodlg.sqf v1.0
	by Mandoble, May 2008, 
	modified by Demon Cleaner, March 2009

	Call for different support missions without using the console.

  Parameters:
     Mission type:
     "CALL_GUNSHIPS" -> A pair of planes or choppers will come to seek and destroy over target position.
     "CALL_PARAS" -> A chopper or plane will drop an infantry group over target position, that group will SD and hold the position.
     "CALL_REINF" -> A chopper or plane will grop an infantry group and this group will join the provided leader
     "CALL_EVAC" -> A chopper will land at target position, will wait for units boarding it and then will take them to destination position
   	 "CALL_AMMO" -> A chopper or plane will aproach target position and will drop a pair of ammo boxes in chutes.
     "CALL_VEH" -> A chopper or plane will aproach target position and will drop the indicated empty vehicle type there.
     "CALL_CAP" -> A pair of planes will sweep the target postion and will keep holding this position.
     "CALL_LASER" -> A plane will aproach to target position and will provide laser guided bombs support.
     "CALL_CRUISEMISSILE" -> The missile launcher will fire a missile against target position.
     "CALL_MISSILESAT" -> The target area will be scanned and the missile launcher will fire two missiles per detected target.
      
     Target position: Map position, planes, choppers and missiles will go there.
     Start position: Where the planes and choppers will be spawned.
     Destination position: Destination position for evacuation missions, [0,0,0] for any other mission.
     Side: The friendly side of the mission.
     Leader: leader unit for reinforcement missions, else objNull or anyother unit.
     Vehicle class: Class of vehicle for CALL_VEH missions, else ""

	Examples:
  	["CALL_GUNSHIPS", getPos player, getMarkerPos "mk_start", [0,0,0], side player, objNull, ""]execVM"mando_bombs\mando_airsupport_nodlg.sqf";
  	["CALL_REINF", getPos player, getMarkerPos "mk_start", [0,0,0],side player, player, ""]execVM"mando_bombs\mando_airsupport_nodlg.sqf";
  	["CALL_CAP", getPos player, getMarkerPos "mk_start", getMarkerPos "mk_dest",side player, objNull, ""]execVM"mando_bombs\mando_airsupport_nodlg.sqf";
  	["CALL_VEH", getPos player, getMarkerPos "mk_start", getMarkerPos "mk_dest",side player, objNull, "M113"]execVM"mando_bombs\mando_airsupport_nodlg.sqf";

*********************************************************************************/
private["_mission", "_targetpos", "_side", "_leader", "_plane", "_gunship", "_gunships", "_evac_chopper", "_transport_chopper", "_a10", "_a10s", "_av8b2", "_av8b2s", "_lgb_plane", "_spawnpos", "_group", "_driver", "_ang", "_i", "_utype", "_speed", "_range", "_distance", "_unit", "_para", "_weaps", "_box", "_truck", "_target", "_target2", "_dir", "_list1", "_list2", "_planes", "_gunner1", "_gunner2", "_type_attack_vehicle", "_survivors", "_duration", "_maxduration", "_timer", "_mission_timer"];

_mission = _this select 0;
_targetpos = _this select 1;
_startpos = _this select 2;
_destpos  = _this select 3;
_side = _this select 4;
_leader = _this select 5;
_type_vehicle = _this select 6;
_type_attack_vehicle  = _this select 7;
_maxduration = _this select 8;

// Debugging
if (debug) then
{
	res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _mission]] call ArMaT_DEBUG;
	res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _targetpos]] call ArMaT_DEBUG;
	res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _startpos]] call ArMaT_DEBUG;
	res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _destpos]] call ArMaT_DEBUG;
	res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _side]] call ArMaT_DEBUG;
	res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _leader]] call ArMaT_DEBUG;
	res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _type_vehicle]] call ArMaT_DEBUG;
	res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _type_attack_vehicle]] call ArMaT_DEBUG;
	res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _maxduration]] call ArMaT_DEBUG;
};

if (isNil "_type_attack_vehicle") then
{
	if (_side != east) then
  {
  	if (_side == resistance) then
    {
    	mando_airsupport_type_cp = "ACE_AV8B_AGM65";
    }
    else
    {
    	mando_airsupport_type_cp = "ACE_AV8B_AGM65";
    };
	}
  else
  {
  	mando_airsupport_type_cp = "ACE_SU34B";
  };
}
else
{
	if (_side != east) then
  {
  	if (_side == resistance) then
    {
    	mando_airsupport_type_cp = _type_attack_vehicle;
    }
    else
    {
    	mando_airsupport_type_cp = _type_attack_vehicle;
    };
	}
	else
  {
  	mando_airsupport_type_cp = _type_attack_vehicle;
  };
};

if (isNil "mando_airsupport_type_ca") then
{
	if (_side != east) then
  {
  	if (_side == resistance) then
    {
    	mando_airsupport_type_ca = "ACE_AH64_AGM_HE";
    }
    else
    {
    	mando_airsupport_type_ca = "ACE_AH64_AGM_HE";
    };
	}
  else
  {
  	mando_airsupport_type_ca = "ACE_KA52N";
  };
}
else
{
	if (_side != east) then
  {
  	if (_side == resistance) then
    {
    	mando_airsupport_type_ca = _type_attack_vehicle;
    }
    else
    {
    	mando_airsupport_type_ca = _type_attack_vehicle;
    };
	}
	else
  {
  	mando_airsupport_type_ca = _type_attack_vehicle;
  };
};

if (isNil "mando_airsupport_type_la") then
{
	if (_side != east) then
	{
  	if (_side == resistance) then
  	{
  		mando_airsupport_type_la = "ACE_A10_AGM_FFAR";
  	}
  	else
  	{
  		mando_airsupport_type_la = "ACE_A10_AGM_FFAR";
  	};
	}
	else
	{
		mando_airsupport_type_la = "ACE_SU34B";
 	};
}
else
{
	if (_side != east) then
  {
  	if (_side == resistance) then
    {
    	mando_airsupport_type_la = _type_attack_vehicle;
    }
    else
    {
    	mando_airsupport_type_la = _type_attack_vehicle;
    };
	}
	else
  {
  	mando_airsupport_type_la = _type_attack_vehicle;
  };
};

if (isNil "mando_airsupport_type_ve") then
{
	if (_side != east) then
	{
  	if (_side == resistance) then
    {
    	mando_airsupport_type_ve = "ACE_CH47D_CARGO";
    }
    else
    {
    	mando_airsupport_type_ve = "ACE_CH47D_CARGO";
    };
	}
  else
  {
  	mando_airsupport_type_ve = "ACE_Mi17";
  };
}
else
{
	if (_side != east) then
  {
  	if (_side == resistance) then
    {
    	mando_airsupport_type_ve = _type_attack_vehicle;
    }
    else
    {
    	mando_airsupport_type_ve = _type_attack_vehicle;
    };
	}
	else
  {
  	mando_airsupport_type_ve = _type_attack_vehicle;
  };
};

if (isNil "mando_airsupport_cmissile") then
{
	mando_airsupport_cmissile = objNull;
};

if (isNil "mando_airsupport_type") then
{
	if (_side != east) then
  {
  	mando_airsupport_type = "ACE_AV8B_AGM65";      
	}
  else
  {
  	mando_airsupport_type = "ACE_SU34B";
  };
};

if (isNil "mando_airsupport_type_pa") then
{
	if (_side != east) then
  {
  	if (_side == resistance) then
    {
    	mando_airsupport_type_pa = "ACE_UH60MG_M2";
    }
    else
    {
    	mando_airsupport_type_pa = "ACE_UH60MG_GAU";
    };
	}
  else
  {
  	mando_airsupport_type_pa = "ACE_Mi17_MG";
  };
};

if (isNil "mando_airsupport_type_rc") then
{
	if (_side != east) then
  {
  	if (_side == resistance) then
    {
    	mando_airsupport_type_rc = "ACE_AV8B_AGM65";
    }
    else
    {
    	mando_airsupport_type_rc = "ACE_AV8B_AGM65";
    };
	}
  else
  {
  	mando_airsupport_type_rc = "ACE_SU34";
  };
};

if (isNil "mando_airsupport_type_ev") then
{
	if (_side != east) then
  {
  	if (_side == resistance) then
    {
    	mando_airsupport_type_ev = "ACE_UH60MG_M2";
    }
    else
    {
    	mando_airsupport_type_ev = "ACE_UH60MG_GAU";
    };
	}
  else
  {
  	mando_airsupport_type_ev = "ACE_Mi17_MG";
  };
};

if (isNil "mando_airsupport_type_am") then
{
	if (_side != east) then
  {
  	if (_side == resistance) then
    {
    	mando_airsupport_type_am = "ACE_UH60MG_M2";
    }
    else
    {
    	mando_airsupport_type_am = "ACE_UH60MG_GAU";
    };
  }
  else
  {
  	mando_airsupport_type_am = "ACE_Mi17_MG";
  };
};

if (isNil "mando_airsupport_type_ambox") then
{
	if (_side != east) then
  {
  	if (_side == resistance) then
    {
    	mando_airsupport_type_ambox = "WeaponBoxGuer";
    }
    else
    {
    	mando_airsupport_type_ambox = "WeaponBoxWest";
		};
	}
  else
  {
  	mando_airsupport_type_ambox = "WeaponBoxEast";
  };
};

if (isNil "mando_airsupport_type_vehicle") then
{
  if (_side != east) then
  {
     if (_side == resistance) then
     {
        mando_airsupport_type_vehicle = "ACE_HMMWV";
     }
     else
     {
        mando_airsupport_type_vehicle = "ACE_HMMWV";
     };
  }
  else
  {
     mando_airsupport_type_vehicle = "ACE_UAZ";
  };
};

if (isNil "mando_support_infantrytype") then
{
  switch (_side) do
  {
		case west:
    {
   		mando_support_infantrytype = ["ACE_TeamLeaderW_A", "ACE_SoldierWMedic_A", "ACE_SoldierWAT_A", 
   																	"ACE_SoldierWG_A", "ACE_SoldierWAR", "ACE_SoldierWMG_A", 
   																	"ACE_SoldierWDemo_A", "ACE_SoldierWAA", "ACE_SoldierWSniper_A", 
   																	"ACE_SoldierWB_A"];
    };

    case east:
    {
       mando_support_infantrytype = ["ACE_TeamLeaderE", "ACE_SoldierEMedic", "ACE_SoldierERPG", 
       															 "ACE_SoldierEAR", "ACE_SoldierEMG", "ACE_SoldierEAT", 
       															 "ACE_SoldierEAA", "ACE_SoldierEMiner", "ACE_SoldierEG", 
       															 "ACE_SoldierEB"];
    };

    case resistance:
    {
       mando_support_infantrytype = ["ACE_TeamLeaderG", "ACE_SoldierGMedic", "ACE_SoldierGAT", 
       															 "ACE_SoldierGG", "ACE_SoldierGAR", "ACE_SoldierGMG", 
       															 "ACE_SoldierGRPG", "ACE_SoldierGAA", "ACE_SoldierGAAAB", 
       															 "ACE_SoldierGB"];
    };
    
    case civilian:
    {
       mando_support_infantrytype = ["ACE_SoldierB_INS", "ACE_SoldierG_INS", "ACE_SoldierMedic_INS", 
       															 "ACE_SoldierAR_INS", "ACE_SoldierRPG_INS", "ACE_SoldierAT_INS",
       															 "ACE_SoldierAA_INS", "ACE_SoldierSniper_INS", "ACE_SquadLeader_INS",
       															 "ACE_SoldierG_IEDSML_INS"];
		};
	};
};

if (isNil "mando_support_infantrytype_re") then
{
  switch (_side) do
  {
  	case west:
    {
    	mando_support_infantrytype_re = ["ACE_TeamLeaderW_A", "ACE_SoldierWMedic_A", "ACE_SoldierWAT_A", 
   																		 "ACE_SoldierWG_A", "ACE_SoldierWAR", "ACE_SoldierWMG_A", 
   																		 "ACE_SoldierWDemo_A", "ACE_SoldierWAA", "ACE_SoldierWSniper_A", 
   																		 "ACE_SoldierWB_A"];
    };

    case east:
    {
    	mando_support_infantrytype_re = ["ACE_TeamLeaderE", "ACE_SoldierEMedic", "ACE_SoldierERPG", 
       															 	 "ACE_SoldierEAR", "ACE_SoldierEMG", "ACE_SoldierEAT", 
       															 	 "ACE_SoldierEAA", "ACE_SoldierEMiner", "ACE_SoldierEG", 
       															 	 "ACE_SoldierEB"];
    };

    case resistance:
    {
       mando_support_infantrytype_re = ["ACE_TeamLeaderG", "ACE_SoldierGMedic", "ACE_SoldierGAT", 
       															 		"ACE_SoldierGG", "ACE_SoldierGAR", "ACE_SoldierGMG", 
       															 		"ACE_SoldierGRPG", "ACE_SoldierGAA", "ACE_SoldierGAAAB", 
       															 		"ACE_SoldierGB"];
    };

    case civilian:
    {
       mando_support_infantrytype_re = ["ACE_SoldierB_INS", "ACE_SoldierG_INS", "ACE_SoldierMedic_INS", 
       															 		"ACE_SoldierAR_INS", "ACE_SoldierRPG_INS", "ACE_SoldierAT_INS",
       															 		"ACE_SoldierAA_INS", "ACE_SoldierSniper_INS", "ACE_SquadLeader_INS",
       															 		"ACE_SoldierG_IEDSML_INS"];
		};
	};
};

if (isNil "mando_airsupport_weap") then
{
	mando_airsupport_weap = [];
};

if (isNil "mando_airsupport_magz") then
{
	mando_airsupport_magz = [];
};

if (isNil "mando_support_enemy_sides") then
{
	switch (_side) do
  {
     case west:
     {
        mando_support_enemy_sides = [east, sideEnemy];
     };

     case east:
     {
        mando_support_enemy_sides = [west, sideEnemy];
     };

     case resistance:
     {
        mando_support_enemy_sides = [east, sideEnemy];
     };

     case civilian:
     {
        mando_support_enemy_sides = [east, sideEnemy];
     };
  };
};

if (isNil "mando_airsupport_range") then
{
	mando_airsupport_range = 10000;
} 
else
{
  if (mando_airsupport_range < 4500) then
  { 
		mando_airsupport_range = 4500;
	}; 
};

if (isNil "mando_airsupport_range_he") then
{
	mando_airsupport_range_he = mando_airsupport_range;
} 
else
{
	if (mando_airsupport_range_he < 4500) then
  { 
     mando_airsupport_range_he = 4500;
  }; 
};

if (isNil "mando_airsupport_max_cas") then
{
	mando_airsupport_max_cas = 2;
};

if (isNil "mando_airsupport_bomb_type") then
{
	mando_airsupport_bomb_type = "ACE_MK83Bomb";
};

if (isNil "mando_airsupport_bomb_alt") then
{
  mando_airsupport_bomb_alt = 150;
};

if (isNil "mando_airsupportdlg") then
{
  mando_airsupportdlg = compile (preprocessFileLineNumbers "mando_bombs\mando_airsupportdlg.sqf");
  mando_airsupportdlgsetup = compile (preprocessFileLineNumbers "mando_bombs\mando_airsupportdlgsetup.sqf");
};

if (isNil "mando_airsupport_bomb_pos") then
{
   mando_airsupport_bomb_pos = [2, 0, -2];
};

if (isNil "mando_airsupport_planes_delay") then
{
   mando_airsupport_planes_delay = 4;
};

if (isNil "mando_airsupport_missile_delay") then
{
   mando_airsupport_missile_delay = 15;
};

if (isNil "mando_airsupport_ab_switchable") then
{
	mando_airsupport_ab_switchable = false;
};

if (isNil "mando_airsupport_re_switchable") then
{
	mando_airsupport_re_switchable = false;
};

switch (_mission) do
{
	// Gunships
	case "CALL_GUNSHIPS":
  {
  	_group = createGroup (_side);
     
    switch (_side) do
    {
    	case west:
    	{
      	_utype = "ACE_SoldierWPilot";
      };
      case east:
      {
      	_utype = "ACE_SoldierEPilot";
      };
      case resistance:
      {
      	_utype = "ACE_SoldierGPilot";
      };
      case civilian:
      {
      	_utype = "ACE_SoldierE_AGS_IRAQ_INS";
      };
		};

    if (mando_airsupport_type_ca isKindOf "Helicopter") then
    {
    	_range = mando_airsupport_range_he;
    }
    else
    {
    	_range = mando_airsupport_range;
    };

    _gunships = [];
    
  	for [{_i = 0},{_i < 2},{_i=_i+1}] do
    {
      _ang = ((_targetpos select 0)-(_startpos select 0)) atan2 ((_targetpos select 1)-(_startpos select 1));
      _spawnpos = [(_startpos select 0) + sin(_ang)*(_i*50), (_startpos select 1) + cos(_ang)*(_i*50)];
      _gunship = createVehicle [mando_airsupport_type_ca, _spawnpos, [], 0, "FLY"];
      
      // Debugging
    	if (debug) then
			{
				res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _gunship]] call ArMaT_DEBUG;
			};
      
      _speed = speed _gunship;   
      _ang = ((_targetpos select 0)-(_spawnpos select 0)) atan2 ((_targetpos select 1)-(_spawnpos select 1));
      _gunship setPos [_spawnpos select 0,_spawnpos select 1, mando_airsupport_bomb_alt max 100];
      _gunship setDir _ang;
      _gunship setVelocity [sin(_ang)*_speed/3.6,cos(_ang)*_speed/3.6,0]; 
      _gunships = _gunships + [_gunship];

			// Pilot
      _driver = _group createUnit [_utype, [0,0,30], [], 0, "FORM"];
      _driver setskill 0.7;
      _driver setCombatMode "RED";
      _driver setBehaviour "AWARE";
      if (_i == 0) then
      {
         _driver setRank "CORPORAL";
         _group selectLeader _driver;
      }
      else
      {
      	_driver setRank "PRIVATE";
      };
      _driver assignAsDriver _gunship;
      _driver moveInDriver _gunship;
         
      // Gunner
      _gunner = _group createUnit [_utype, [0,0,30], [], 0, "FORM"];
      _gunner setCombatMode "RED";
      _gunner setBehaviour "AWARE";
      _gunner setRank "PRIVATE";
      _gunner assignAsGunner _gunship;
      _gunner moveInGunner _gunship;
      if (!(_gunner in _gunship)) then
      {
         deleteVehicle _gunner;
      };
         
      _gunship flyinHeight mando_airsupport_bomb_alt max 100;
      if (!isNil "mando_missile_init") then
      {
         _gunship SetVehicleInit "res = [this] execVM ""ace_sys_missiles\units\mando_onlymandoones.sqf""";
       	[_gunship, 800, 1, 5, false, 0] execVM "ace_sys_missiles\units\mando_missileecm.sqf";
         processInitCommands;
       	[_gunship, 0, ["LandVehicle", "Ship"], 2, 500, 2500, 4, [5, 2, -4], 50, 0, mando_support_enemy_sides, false, false, true, true] exec "ace_sys_missiles\units\attackers\mando_basicag_unit.sqs";
         Sleep 0.5;
      };
    };
    
    _wp = _group addWaypoint [_targetpos, 0];
    [_group, 1] showWaypoint "NEVER";
    [_group, 1] setWaypointSpeed "FULL";
    [_group, 1] setWaypointType "SAD";
		
		// Let the player know that support in on it's way
		[_side, "HQ"] sideChat "Gunship support inbound - ETA 5 minutes";
		
		// Start mission duration timer
		_mission_timer = [_maxduration, _side] execVM "scripts\mission_timer.sqf"; 
		while {!scriptDone _mission_timer} do 
		{
			sleep 1.0;
		};
		
		// Check if the gunships are still alive
		_survivors = count (units _group);
		if (_survivors >= 1) then
		{
			// Move back to start position
			_group move _spawnpos;
			
			// Wait for command to be executed
			Sleep 4;
			
			// Wait until gunships moved away
			waitUntil {((unitReady leader _group) && (alive leader _group)) || (!alive leader _group)};
			
			// Delete vehicles
			{ if (alive vehicle _x) then 
				{
					deleteVehicle vehicle _x;
				};
			} forEach units _group;
      
      // Delete pilot / gunner or both
      { if (alive _x) then 
      	{
      		deleteVehicle _x;
      	};
      } forEach units _group;	
      
      // Delete group
   		deleteGroup _group;
		}
		// If th gunships have been destroyed
		else
		{
			[_side, "HQ"] sideChat "Damnit ! The gunships were destroyed";
			Sleep 4;
			[_side, "HQ"] sideChat "Clear the area of AA before calling in gunship support";			
   	};
  };
	
	// Paratroopers
	case "CALL_PARAS":
  {
  	_group = createGroup (_side);
    switch (_side) do
    {
    	case west:
      {
     		_utype = "ACE_SoldierWPilot";
      };
      case east:
      {
      	_utype = "ACE_SoldierEPilot";
      };
      case resistance:
      {
      	_utype = "ACE_SoldierGPilot";
      };
      case civilian:
      {
      	_utype = "ACE_SoldierE_AGS_IRAQ_INS";
    	};
   	};

    if (mando_airsupport_type_pa isKindOf "Helicopter") then
    {
    	_range = mando_airsupport_range_he;
    }
    else
    {
    	_range = mando_airsupport_range;
    };
      
    _spawnpos = _startpos;
    
    _plane = createVehicle [mando_airsupport_type_pa, _spawnpos, [], 0, "FLY"];
    
    // Debugging
    if (debug) then
		{
			res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _plane]] call ArMaT_DEBUG;
		};
    
    _speed = speed _plane;
    _ang = ((_targetpos select 0)-(_spawnpos select 0)) atan2 ((_targetpos select 1)-(_spawnpos select 1));
    _plane setPos [_spawnpos select 0,_spawnpos select 1, mando_airsupport_bomb_alt max 100];
    _plane setDir _ang;
    _plane setVelocity [sin(_ang)*_speed/3.6,cos(_ang)*_speed/3.6,0]; 

    _driver = _group createUnit [_utype,[0,0,30], [], 0, "FORM"];
    _driver setskill 0.7;
    _driver setCombatMode "BLUE";
    _driver setBehaviour "CARELESS";
    _driver setRank "CORPORAL";
    _group selectLeader _driver;
    _driver assignAsDriver _plane;
    _driver moveInDriver _plane;
    _plane flyinHeight mando_airsupport_bomb_alt max 100;

    if (!isNil "mando_missile_init") then
    {
    	_plane SetVehicleInit "res = [this] execVM ""ace_sys_missiles\units\mando_onlymandoones.sqf""";
      [_plane, 800, 1, 5, false, 0] execVM "ace_sys_missiles\units\mando_missileecm.sqf";
      processInitCommands;
    };

    _wp = _group addWaypoint [_targetpos, 0];
    [_group, 1] showWaypoint "NEVER";
    [_group, 1] setWaypointSpeed "FULL";
    [_group, 1] setWaypointType "MOVE";

    _group_i = createGroup (_side);
    _i = 0;
    { if (_i == 0) then
    	{
      	_unit = _group_i createUnit [_x,[0,0,30], [], 0, "NONE"];
        _unit setCombatMode "RED";
        _unit setBehaviour "AWARE";
        _unit setRank "CORPORAL";
        _group_i selectLeader _unit;
      }
      else
      {
      	_unit = _group_i createUnit [_x,[0,0,30], [], 0, "NONE"];
        _unit setCombatMode "RED";
        _unit setBehaviour "AWARE";
        _unit setRank "PRIVATE";
      };

      if (_side == civilian) then
      {
         _unit addMagazine "ACE_45Rnd_545x39_B_AK";
         _unit addMagazine "ACE_45Rnd_545x39_B_AK";
         _unit addMagazine "ACE_45Rnd_545x39_B_AK";
         _unit addWeapon "ACE_RPK74";
      };
      
      _unit setskill 0.5;
      _unit moveInCargo _plane;
      if (mando_airsupport_ab_switchable) then
      {
         addSwitchableUnit _unit;
      };
      _i = _i + 1;
		} forEach mando_support_infantrytype;
		
		_wp = _group_i addWaypoint [_targetpos, 0];
    [_group_i, 1] showWaypoint "NEVER";
    [_group_i, 1] setWaypointType "SAD";
    _wp = _group_i addWaypoint [_targetpos, 0];
    [_group_i, 2] showWaypoint "NEVER";
    [_group_i, 2] setWaypointType "HOLD";

    [_side, "HQ"] sideChat "Airborne assault OTW";

    Sleep 5;
    waitUntil {((unitReady leader _group) && (alive leader _group)) || (!alive leader _group)};
    if (alive _plane) then
    {
       { _x action ["EJECT", vehicle _x];
         unassignVehicle _x;
         Sleep 0.75;
       } forEach units _group_i;
    };
    
    // Move back to spawn position
    _group move _spawnpos;
     
    // Wait until gunships moved away
    waitUntil {((unitReady leader _group) && (alive leader _group)) || (!alive leader _group)};

    { if (alive vehicle _x) then
      {
         deleteVehicle vehicle _x;
      };
    } forEach units _group;

    { if (alive _x) then
      {
     		deleteVehicle _x;
      };
    } forEach units _group;

    deleteGroup _group;
	};

	// Reinforcements
	case "CALL_REINF":
  {
  	_group = createGroup (_side);
    
    switch (_side) do
    {
    	case west:
      {
      	_utype = "ACE_SoldierWPilot";
      };
      case east:
      {
        _utype = "ACE_SoldierEPilot";
      };
      case resistance:
      {
        _utype = "ACE_SoldierGPilot";
      };
      case civilian:
      {
        _utype = "ACE_SoldierE_AGS_IRAQ_INS";
      };
		};

    if (mando_airsupport_type_pa isKindOf "Helicopter") then
    {
    	_range = mando_airsupport_range_he;
    }
    else
    {
    	_range = mando_airsupport_range;
    };

    _spawnpos = _startpos;

    _plane = createVehicle [mando_airsupport_type_pa, _spawnpos, [], 0, "FLY"];
    
    // Debugging
    if (debug) then
		{
			res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _plane]] call ArMaT_DEBUG;
		};
    
    _speed = speed _plane;
    _ang = ((_targetpos select 0)-(_spawnpos select 0)) atan2 ((_targetpos select 1)-(_spawnpos select 1));
    _plane setPos [_spawnpos select 0,_spawnpos select 1, mando_airsupport_bomb_alt max 100];
    _plane setDir _ang;
    _plane setVelocity [sin(_ang)*_speed/3.6,cos(_ang)*_speed/3.6,0]; 

    _driver = _group createUnit [_utype,[0,0,30], [], 0, "FORM"];
    _driver setskill 0.7;
    _driver setCombatMode "BLUE";
    _driver setBehaviour "CARELESS";
    _driver setRank "CORPORAL";
    _group selectLeader _driver;
    _driver assignAsDriver _plane;
    _driver moveInDriver _plane;
    _plane flyinHeight mando_airsupport_bomb_alt max 100;

    if (!isNil "mando_missile_init") then
    {
    	_plane SetVehicleInit "res = [this] execVM ""ace_sys_missiles\units\mando_onlymandoones.sqf""";
      [_plane, 800, 1, 5, false, 0] execVM "ace_sys_missiles\units\mando_missileecm.sqf";
      processInitCommands;
   };

   _wp = _group addWaypoint [_targetpos, 0];
   [_group, 1] showWaypoint "NEVER";
   [_group, 1] setWaypointSpeed "FULL";
   [_group, 1] setWaypointType "MOVE";
   
   _group_i = createGroup (_side);
   _i = 0;
   {
   	if (_i == 0) then
    {
    	_unit = _group_i createUnit [_x,[0,0,30], [], 0, "NONE"];
      _unit setCombatMode "RED";
      _unit setBehaviour "AWARE";
      _unit setRank "CORPORAL";
      _group_i selectLeader _unit;
    }
    else
    {
    	_unit = _group_i createUnit [_x,[0,0,30], [], 0, "NONE"];
      _unit setCombatMode "RED";
      _unit setBehaviour "AWARE";
      _unit setRank "PRIVATE";
    };

    if (_side == civilian) then
    {
    	_unit addMagazine "ACE_45Rnd_545x39_B_AK";
     	_unit addMagazine "ACE_45Rnd_545x39_B_AK";
     	_unit addMagazine "ACE_45Rnd_545x39_B_AK";
     	_unit addWeapon "ACE_RPK74";
    };
    
    _unit setskill 0.5;
    _unit moveInCargo _plane;
    if (mando_airsupport_re_switchable) then
    {
    	addSwitchableUnit _unit;
    };
    
    _i = _i + 1;
    } forEach mando_support_infantrytype_re;

    _wp = _group_i addWaypoint [_targetpos, 0];
    [_group_i, 1] showWaypoint "NEVER";
    [_group_i, 1] setWaypointType "MOVE";
		
		[_side, "HQ"] sideChat "Reinforcements OTW";
    
    Sleep 4;
    waitUntil {((unitReady leader _group) && (alive leader _group)) || (!alive leader _group)};
    
    if (alive _plane) then
    {
    	{ _x action ["EJECT", vehicle _x];
        unassignVehicle _x;
        Sleep 0.75;
      } forEach units _group_i;
    };     
      
    Sleep 2;
    // Move back to spawn position
    _group move _spawnpos;
    
		Sleep 4;
    if ((({alive _x} count units _group_i) > 0) && (alive _leader)) then
    {
    	(units _group_i) join group _leader;
    };

    waitUntil {((unitReady leader _group) && (alive leader _group)) || (!alive leader _group)};
    
    { if (alive vehicle _x) then
      {
      	deleteVehicle vehicle _x;
      };
   	} forEach units _group;

    { if (alive _x) then
      {
      	deleteVehicle _x;
      };
    } forEach units _group;

    deleteGroup _group;
	};

	// Evactuation
	case "CALL_EVAC":
  {
  	_group = createGroup (_side);
    switch (_side) do
    {
    	case west:
      {
      	_utype = "ACE_SoldierWPilot";
      };
      case east:
      {
      	_utype = "ACE_SoldierEPilot";
      };
      case resistance:
      {
      	_utype = "ACE_SoldierGPilot";
      };
      case civilian:
      {
      	_utype = "ACE_SoldierE_AGS_IRAQ_INS";
      };
		};
      
    if (mando_airsupport_type_ev isKindOf "Helicopter") then
    {
    	_range = mando_airsupport_range_he;
    }
    else
    {
    	_range = mando_airsupport_range;
    };
      
    _spawnpos = _startpos;
    _ang = ((_targetpos select 0) - (_spawnpos select 0)) atan2 ((_targetpos select 1) - (_spawnpos select 1));
    _evac_chopper = createVehicle [mando_airsupport_type_ev, _spawnpos, [], 0, "FLY"];
    
    // Debugging
    if (debug) then
		{
			res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _evac_chopper]] call ArMaT_DEBUG;
		};
    
    _evac_chopper setDir _ang;
			
    _driver = _group createUnit [_utype, [0,0,30], [], 0, "FORM"];
    _driver setskill 0.7;
    _driver setCombatMode "BLUE";
    _driver setBehaviour "CARELESS";
    _driver setRank "CORPORAL";
    _group selectLeader _driver;
    _driver assignAsDriver _evac_chopper;
    _driver moveInDriver _evac_chopper;
			
		_gunner1 = _group createUnit [_utype, [0,0,30], [], 0, "FORM"];
		_gunner1 setskill 0.7;
		_gunner1 setCombatMode "GREEN";
		_gunner1 setBehaviour "AWARE";
		_gunner1 setRank "PRIVATE";
		_gunner1 assignAsGunner _evac_chopper;
		_gunner1 moveInTurret [_evac_chopper, [0]];
			
		_gunner2 = _group createUnit [_utype, [0,0,30], [], 0, "FORM"];
		_gunner2 setskill 0.7;
		_gunner2 setCombatMode "GREEN";
		_gunner2 setBehaviour "AWARE";
		_gunner2 setRank "PRIVATE";
		_gunner2 assignAsGunner _evac_chopper;
		_gunner2 moveInTurret [_evac_chopper, [1]];
			
    _wp = _group addWaypoint [_targetpos, 0];
    [_group, 1] setWaypointStatements ["true", "if (!(surfaceIsWater getPos (vehicle this))) then {(vehicle this) flyinHeight 0;(vehicle this) land ""LAND""} else {(vehicle this) flyinHeight 3}"];
    [_group, 1] showWaypoint "NEVER";
    [_group, 1] setWaypointSpeed "FULL";
    [_group, 1] setWaypointType "MOVE";
     
    _wp = _group addWaypoint [_targetpos, 0];
    [_group, 2] setWaypointStatements ["count crew (vehicle this) > 3", "(vehicle this) flyinHeight 100"];
    [_group, 2] setWaypointTimeout [25, 25, 25];
    [_group, 2] showWaypoint "NEVER";
    [_group, 2] setWaypointSpeed "FULL";
    [_group, 2] setWaypointType "MOVE";
			
    _distance = _targetpos distance _destpos;
    _ang = ((_destpos select 0) - (_targetpos select 0)) atan2 ((_destpos select 1) - (_targetpos select 1));
    _targetpos = [(_targetpos select 0) + sin (_ang) * _distance / 2, (_targetpos select 1) + cos (_ang) * _distance / 2];
    _wp = _group addWaypoint [_targetpos, 0];
    [_group, 3] setWaypointStatements ["true", ""];
    [_group, 3] setWaypointTimeout [0, 0, 0];
    [_group, 3] showWaypoint "NEVER";
    [_group, 3] setWaypointSpeed "FULL";
    [_group, 3] setWaypointType "MOVE";
      
    _targetpos = _destpos;
    _wp = _group addWaypoint [_targetpos, 0];
    [_group, 4] setWaypointStatements ["true", "(vehicle this) flyinHeight 0;(vehicle this) land ""LAND"""];
    [_group, 4] showWaypoint "NEVER";
    [_group, 4] setWaypointSpeed "FULL";
    [_group, 4] setWaypointType "MOVE";
      
    _wp = _group addWaypoint [_targetpos, 0];
    [_group, 5] setWaypointStatements ["count crew (vehicle this) <= 3", "(vehicle this) flyinHeight 100"];
    [_group, 5] setWaypointTimeout [0, 0, 0];
    [_group, 5] showWaypoint "NEVER";
    [_group, 5] setWaypointSpeed "FULL";
    [_group, 5] setWaypointType "MOVE";
      
    _targetpos = [_targetPos select 0, (_targetPos select 1)+3000, 100];
    _wp = _group addWaypoint [_targetpos, 0];
    [_group, 6] setWaypointStatements ["true", "deleteVehicle (vehicle this);deleteVehicle this"];
    [_group, 6] setWaypointTimeout [0, 0, 0];
    [_group, 6] showWaypoint "NEVER";
    [_group, 6] setWaypointSpeed "FULL";
    [_group, 6] setWaypointType "MOVE";
      
    [_side, "HQ"] sideChat "Evac inbound - ETA 5 minutes";
      
    if (!isNil "mando_missile_init") then
    {
    	_evac_chopper SetVehicleInit "res = [this] execVM ""ace_sys_missiles\units\mando_onlymandoones.sqf""";
      [_evac_chopper, 800, 1, 5, false, 0] execVM "ace_sys_missiles\units\mando_missileecm.sqf";
      processInitCommands;
    };
	};

	// Ammo delivery
  case "CALL_AMMO":
  {
  	_group = createGroup (_side);

    switch (_side) do
    {
    	case west:
      {
      	_utype = "ACE_SoldierWPilot";
      };
      case east:
      {
      	_utype = "ACE_SoldierEPilot";
      };
      case resistance:
      {
      	_utype = "ACE_SoldierGPilot";
      };
      case civilian:
      {
      	_utype = "ACE_SoldierE_AGS_IRAQ_INS";
      };
		};

    if (mando_airsupport_type_am isKindOf "Helicopter") then
    {
    	_range = mando_airsupport_range_he;
    }
    else
    {
    	_range = mando_airsupport_range;
    };

    _spawnpos = _startpos;

    _plane = createVehicle [mando_airsupport_type_am, _spawnpos, [], 0, "FLY"];
    
    // Debugging
    if (debug) then
		{
			res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _plane]] call ArMaT_DEBUG;
		};
    
    _speed = speed _plane;
    _ang = ((_targetpos select 0)-(_spawnpos select 0)) atan2 ((_targetpos select 1)-(_spawnpos select 1));
    _plane setPos [_spawnpos select 0,_spawnpos select 1, mando_airsupport_bomb_alt max 100];
    _plane setDir _ang;
    _plane setVelocity [sin(_ang)*_speed/3.6,cos(_ang)*_speed/3.6,0]; 

    _driver = _group createUnit [_utype,[0,0,30], [], 0, "FORM"];
    _driver setskill 0.7;
    _driver setCombatMode "BLUE";
    _driver setBehaviour "CARELESS";
    _driver setRank "CORPORAL";
    _group selectLeader _driver;
    _driver assignAsDriver _plane;
    _driver moveInDriver _plane;
    _plane flyinHeight mando_airsupport_bomb_alt max 100;

    if (!isNil "mando_missile_init") then
    {
       _plane SetVehicleInit "res = [this] execVM ""ace_sys_missiles\units\mando_onlymandoones.sqf""";
       [_plane, 800, 1, 5, false, 0] execVM "ace_sys_missiles\units\mando_missileecm.sqf";
       processInitCommands;
    };

    (mando_support_display displayCtrl 23942) ctrlSetText "MSG: Ammo supply on the way";
    
    _wp = _group addWaypoint [_targetpos, 0];
    [_group, 1] showWaypoint "NEVER";
    [_group, 1] setWaypointSpeed "FULL";
    [_group, 1] setWaypointType "MOVE";

    [_side, "HQ"] sideChat "Ammo supply OTW";

    Sleep 4;
    waitUntil {((unitReady leader _group) && (alive leader _group)) || (!alive leader _group)};
    if (alive _plane) then
    {
    	for [{_i=0},{_i < 2},{_i = _i + 1}] do
      { 
      	[_plane] spawn
        { 
        	private["_plane", "_para", "_box", "_pos", "_weaps"];
          _plane = _this select 0;
          _pos  = _plane modelToWorld [0,-6, 0];
          _para = "ParachuteWest" createVehicle [0,0,0];
          _para setPos _pos;
          _box = mando_airsupport_type_ambox createVehicle [0,0,0];
          _weaps = "";
            
          if ((count mando_airsupport_magz) > 0) then
          {
          	_weaps = "clearMagazineCargo this;";
            {	_weaps = _weaps + format["this addMagazineCargo [""%1"", %2];", (_x select 0),(_x select 1)];
            } forEach mando_airsupport_magz;
          };

          if ((count mando_airsupport_weap) > 0) then
          {
          	_weaps = _weaps + "clearWeaponCargo this;";
            {	_weaps = _weaps + format["this addWeaponCargo [""%1"", %2];", (_x select 0),(_x select 1)];
            } forEach mando_airsupport_weap;
          };

          if (_weaps != "") then
          {
          	_box SetVehicleInit _weaps;
            processInitCommands;
          };

          while {(getPos _para select 2) > 2.5} do 
          {
          	_box setPos (_para modelToWorld [0,0,-2]);
            _box setVectorDir (vectorDir _para);
            _box setVectorUp (vectorUp _para);
            Sleep 0.002;
          };
          _box setDir 0;
          _box setPos [getPos _para select 0, getPos _para select 1, 0];
				};
        Sleep 3;
			};
		};

		// Move back to spawn position
    _group move _spawnpos;
      
    Sleep 4;
    waitUntil {((unitReady leader _group) && (alive leader _group)) || (!alive leader _group)};
    { if (alive vehicle _x) then
      { 
      	deleteVehicle vehicle _x;
      };
    } forEach units _group;

    { if (alive _x) then
    	{
      	deleteVehicle _x;
      };
    } forEach units _group;

   	deleteGroup _group;
	};

	// Vehicles
  case "CALL_VEH":
  {
  	_group = createGroup (_side);

    switch (_side) do
    {
    	case west:
      {
      	_utype = "ACE_SoldierWPilot";
      };
      case east:
      {
      	_utype = "ACE_SoldierEPilot";
      };
      case resistance:
      {
      	_utype = "ACE_SoldierGPilot";
      };
      case civilian:
      {
      	_utype = "ACE_SoldierE_AGS_IRAQ_INS";
      };
		};

		if (mando_airsupport_type_ve isKindOf "Helicopter") then
    {
    	_range = mando_airsupport_range_he;
    }
    else
    {
    	_range = mando_airsupport_range;
    };

    _spawnpos = _startpos;

    _transport_chopper = createVehicle [mando_airsupport_type_ve, _spawnpos, [], 0, "FLY"];
    
    // Debugging
    if (debug) then
		{
			res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _transport_chopper]] call ArMaT_DEBUG;
		};
    
    _speed = speed _plane;
    _ang = ((_targetpos select 0)-(_spawnpos select 0)) atan2 ((_targetpos select 1)-(_spawnpos select 1));
    _transport_chopper setPos [_spawnpos select 0,_spawnpos select 1, mando_airsupport_bomb_alt max 100];
    _transport_chopper setDir _ang;
    _transport_chopper setVelocity [sin(_ang)*_speed/3.6,cos(_ang)*_speed/3.6,0]; 

    _driver = _group createUnit [_utype, [0,0,30], [], 0, "FORM"];
     
    _driver setskill 0.7;
    _driver setCombatMode "BLUE";
    _driver setBehaviour "CARELESS";
    _driver setRank "CORPORAL";
    _group selectLeader _driver;
    _driver assignAsDriver _transport_chopper;
    _driver moveInDriver _transport_chopper;
    
    /*
    _passenger = _group createUnit [_utype, [0,0,30], [], 0, "FORM"];
    
		_passenger setskill 0.7;
		_passenger setCombatMode "BLUE";
		_passenger setBehaviour "CARELESS";
		_passenger setRank "PRIVATE";
		_passenger assignAsCargo _transport_chopper;
		_passenger moveInCargo _transport_chopper;
    */
    
    _gunner = _group createUnit [_utype, [0,0,30], [], 0, "FORM"];
    
		_gunner setskill 0.7;
		_gunner setCombatMode "GREEN";
		_gunner setBehaviour "AWARE";
		_gunner setRank "PRIVATE";
		_gunner assignAsGunner _transport_chopper;
		_gunner moveInTurret [_transport_chopper, [0]];
		
    _transport_chopper flyinHeight mando_airsupport_bomb_alt max 100;

    if (!isNil "mando_missile_init") then
    {
    	_transport_chopper SetVehicleInit "res = [this] execVM ""ace_sys_missiles\units\mando_onlymandoones.sqf""";
      [_transport_chopper, 800, 1, 5, false, 0] execVM "ace_sys_missiles\units\mando_missileecm.sqf";
      processInitCommands;
    };

    _wp = _group addWaypoint [_targetpos, 0];
    [_group, 1] showWaypoint "NEVER";
    [_group, 1] setWaypointSpeed "FULL";
    [_group, 1] setWaypointType "MOVE";

    [_side, "HQ"] sideChat "Vehicle supply inbound - ETA 5 minutes";
    
    Sleep 4;
    if (_type_vehicle == "") then
    {
    	_type_vehicle = mando_airsupport_type_vehicle;
    };
    _truck = _type_vehicle createVehicle [0,0,0];
    while {(alive _transport_chopper) && !(unitReady leader _group)} do
    {
       _truck setPos (_transport_chopper modelToWorld [0,0,-10]);
       _truck setVectorDir (vectorDir _transport_chopper);
       _truck setVectorUp (vectorUP _transport_chopper);
       Sleep 0.002;
    };

    if (alive _transport_chopper) then
    {
    	_transport_chopper flyinHeight 10;
      _transport_chopper doMove [getPos _transport_chopper select 0,getPos _transport_chopper select 1, 10];
      while {(alive _transport_chopper) && ((getPos _transport_chopper select 2) > 12)} do
      {
      	_truck setPos (_transport_chopper modelToWorld [0,0,-8]);
        _truck setVectorDir (vectorDir _transport_chopper);
        _truck setVectorUp (vectorUP _transport_chopper);
        Sleep 0.002;
      };
   	};
    	
    _transport_chopper flyinHeight 100;
      
    // Move back to spawn position
    _group move _spawnpos;
    
    Sleep 4;
    waitUntil {((unitReady leader _group) && (alive leader _group)) || (!alive leader _group)};
      
    { if (alive vehicle _x) then { deleteVehicle vehicle _x }} forEach units _group;
    { if (alive _x) then { deleteVehicle _x }} forEach units _group;

  	deleteGroup _group;
	};
	
	// Combat Air Patrol
	case "CALL_CAP":
  {
  	_group = createGroup (_side);

    switch (_side) do
    {
    	case west:
      {
     		_utype = "ACE_SoldierWPilot";
      };
      case east:
      {
      	_utype = "ACE_SoldierEPilot";
      };
      case resistance:
      {
      	_utype = "ACE_SoldierGPilot";
      };
      case civilian:
      {
      	_utype = "ACE_SoldierE_AGS_IRAQ_INS";
      };
		};

    if (mando_airsupport_type_cp isKindOf "Helicopter") then
    {
    	_range = mando_airsupport_range_he;
    }
    else
    {
    	_range = mando_airsupport_range;
    };
			
		_av8b2s = [];
		_a10s = [];
		
		if (mando_airsupport_type_cp == "ACE_AV8B_AGM65") then
		{
    	for [{_i = 0},{_i < 2},{_i=_i+1}] do
      {
      	_ang = ((_targetpos select 0)-(_startpos select 0)) atan2 ((_targetpos select 1)-(_startpos select 1));
        _spawnpos = [(_startpos select 0) + sin(_ang)*(_i*50), (_startpos select 1) + cos(_ang)*(_i*50)];
        _av8b2 = createVehicle [mando_airsupport_type_cp, _spawnpos, [], 0, "FLY"];
        
        // Debugging
    		if (debug) then
				{
					res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _av8b2]] call ArMaT_DEBUG;
				};
          
        _speed = speed _av8b2;
        _ang = ((_targetpos select 0)-(_spawnpos select 0)) atan2 ((_targetpos select 1)-(_spawnpos select 1));
        _av8b2 setPos [_spawnpos select 0,_spawnpos select 1, mando_airsupport_bomb_alt max 100];
        _av8b2 setDir _ang;
        _av8b2 setVelocity [sin(_ang)*_speed/3.6,cos(_ang)*_speed/3.6,0]; 
				_av8b2s = _av8b2s + [_av8b2];
					
				// Pilot
        _driver = _group createUnit [_utype,[0,0,30], [], 0, "FORM"];
        _driver setskill 0.7;
        _driver setCombatMode "RED";
        _driver setBehaviour "AWARE";
        if (_i == 0) then
        {
        	_driver setRank "CORPORAL";
         	_group selectLeader _driver;
        }
        else
        {
        	_driver setRank "PRIVATE";
        };
        _driver assignAsDriver _av8b2;
        _driver moveInDriver _av8b2;
        _av8b2 flyinHeight mando_airsupport_bomb_alt max 100;
        if (!isNil "mando_missile_init") then
        {
        	_av8b2 SetVehicleInit "res = [this] execVM ""ace_sys_missiles\units\mando_onlymandoones.sqf""";
          [_av8b2, 800, 1, 5, false, 0] execVM "ace_sys_missiles\units\mando_missileecm.sqf";
          processInitCommands;
          [_av8b2, 0, ["Air"], 8, 500, 2900, 15, [4, 1, -2], 50, 0, mando_support_enemy_sides, false, false, true, true] exec "ace_sys_missiles\units\attackers\mando_aim120_fighter.sqs";
          Sleep 0.5;
       	};
     	};
		}
    else
    {
    	if (mando_airsupport_type_cp == "ACE_A10_AGM_FFAR") then
    	{
      	for [{_i = 0},{_i < 2},{_i=_i+1}] do
      	{
    			_ang = ((_targetpos select 0)-(_startpos select 0)) atan2 ((_targetpos select 1)-(_startpos select 1));
         	_spawnpos = [(_startpos select 0) + sin(_ang)*(_i*50), (_startpos select 1) + cos(_ang)*(_i*50)];
         	_a10 = createVehicle [mando_airsupport_type_cp, _spawnpos, [], 0, "FLY"];
         	
         	// Debugging
    			if (debug) then
					{
						res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _a10]] call ArMaT_DEBUG;
					};
         	
         	_speed = speed _a10;
         	_ang = ((_targetpos select 0)-(_spawnpos select 0)) atan2 ((_targetpos select 1)-(_spawnpos select 1));
        	_a10 setPos [_spawnpos select 0,_spawnpos select 1, mando_airsupport_bomb_alt max 100];
         	_a10 setDir _ang;
         	_a10 setVelocity [sin(_ang)*_speed/3.6,cos(_ang)*_speed/3.6,0]; 
					_a10s = _a10s + [_a10];
						
					// Pilot
         	_driver = _group createUnit [_utype,[0,0,30], [], 0, "FORM"];
         	_driver setskill 0.7;
         	_driver setCombatMode "RED";
         	_driver setBehaviour "AWARE";
         	if (_i == 0) then
         	{
          	_driver setRank "CORPORAL";
           	_group selectLeader _driver;
         	}
         	else
         	{
          	_driver setRank "PRIVATE";
         	};
         	_driver assignAsDriver _a10;
         	_driver moveInDriver _a10;
         	_a10 flyinHeight mando_airsupport_bomb_alt max 100;
         	if (!isNil "mando_missile_init") then
         	{
          	_a10 SetVehicleInit "res = [this] execVM ""ace_sys_missiles\units\mando_onlymandoones.sqf""";
           	[_a10, 800, 1, 5, false, 0] execVM "ace_sys_missiles\units\mando_missileecm.sqf";
           	processInitCommands;
           	[_a10, 0, ["Air"], 8, 500, 2900, 15, [4, 1, -2], 50, 0, mando_support_enemy_sides, false, false, true, true] exec "ace_sys_missiles\units\attackers\mando_aim120_fighter.sqs";
           	Sleep 0.5;
         	};
    		};
    	};
		};
    
    _wp = _group addWaypoint [_targetpos, 0];
    [_group, 1] showWaypoint "NEVER";
    [_group, 1] setWaypointSpeed "FULL";
    [_group, 1] setWaypointType "HOLD";
			
		// If planes are AV8B2's
		if (mando_airsupport_type_cp == "ACE_AV8B_AGM65") then
		{
			// Let the player know when air support can be expected
      [_side, "HQ"] sideChat "CAP (AV8B) support inbound - ETA 2 minutes";
		}
		else
		{
			// If planes are A10's
			if (mando_airsupport_type_cp == "ACE_A10_AGM_FFAR") then
			{
				// Let the player know when air support can be expected
				[_side, "HQ"] sideChat "CAP (A10) support inbound - ETA 3 minutes";
			};
		};
		
		// Start mission duration timer
		_mission_timer = [_maxduration, _side] execVM "scripts\mission_timer.sqf"; 
		while {!scriptDone _mission_timer} do 
		{
			sleep 1.0;
		};
			
		// Check if CAP is still alive
		_survivors = count (units _group);
		if (_survivors >= 1) then
		{
			// Move back to start position
			_group move _spawnpos;
			
			Sleep 4;
			// Wait until cap support moved away
			waitUntil {((unitReady leader _group) && (alive leader _group)) || (!alive leader _group)};
			
			// Delete vehicles
			{ if (alive vehicle _x) then 
				{
					deleteVehicle vehicle _x;
				};
			} forEach units _group;
      
      // Delete pilot / gunner or both
      { if (alive _x) then 
      	{
      		deleteVehicle _x;
      	};
      } forEach units _group;	
      
      // Delete group
   		deleteGroup _group;
		}
		else
		{
			[_side, "HQ"] sideChat "Damnit ! All planes were destroyed";
			Sleep 4;
			[_side, "HQ"] sideChat "Clear the area of AA before calling in air support";			
   	};
	};
	
	// Laser guided bombs
  case "CALL_LASER":
  {
  	_group = createGroup (_side);
    
    switch (_side) do
    {
    	case west:
      {
      	_utype = "ACE_SoldierWPilot";
      };
      case east:
      {
      	_utype = "ACE_SoldierEPilot";
      };
      case resistance:
      {
      	_utype = "ACE_SoldierGPilot";
      };
      case civilian:
      {
      	_utype = "ACE_SoldierE_AGS_IRAQ_INS";
      };
		};

    if (mando_airsupport_type_la isKindOf "Helicopter") then
    {
    	_range = mando_airsupport_range_he;
    }
    else
    {
    	_range = mando_airsupport_range;
    };

    _spawnpos = _startpos;
    _lgb_plane = createVehicle [mando_airsupport_type_la, _spawnpos, [], 0, "FLY"];
    
    // Debugging
    if (debug) then
		{
			res = ["mando_airsupport_nodlg.sqf", format ["init = %1", _lgb_plane]] call ArMaT_DEBUG;
		};
    
    _speed = speed _lgb_plane;
    _ang = ((_targetpos select 0)-(_spawnpos select 0)) atan2 ((_targetpos select 1)-(_spawnpos select 1));
    _lgb_plane setPos [_spawnpos select 0,_spawnpos select 1, mando_airsupport_bomb_alt max 100];
    _lgb_plane setDir _ang;
    _lgb_plane setVelocity [sin(_ang)*_speed/3.6,cos(_ang)*_speed/3.6,0]; 

    _driver = _group createUnit [_utype,[0,0,30], [], 0, "FORM"];
    _driver setskill 0.7;
    _driver setCombatMode "GREEN";
    _driver setBehaviour "CARELESS";
    _driver setRank "CORPORAL";
    _group selectLeader _driver;
    _driver assignAsDriver _lgb_plane;
    _driver moveInDriver _lgb_plane;
    _lgb_plane flyinHeight mando_airsupport_bomb_alt max 100;

    if (!isNil "mando_missile_init") then
    {
       _lgb_plane SetVehicleInit "res = [this] execVM ""ace_sys_missiles\units\mando_onlymandoones.sqf""";
       [_lgb_plane, 800, 1, 5, false, 0] execVM "ace_sys_missiles\units\mando_missileecm.sqf";
       processInitCommands;
       [_lgb_plane, 0, ["REMOTE"], 2, 500, 2500, 4, [4, 1, -4], 50, 0, [sideLogic]+mando_support_enemy_sides, false, false, true, true] exec "ace_sys_missiles\units\attackers\mando_lgb.sqs";
    	 Sleep 0.5;
    };
    
    (mando_support_display displayCtrl 23942) ctrlSetText "MSG: LGM aircraft inbound";

    _wp = _group addWaypoint [_targetpos, 0];
    [_group, 1] showWaypoint "NEVER";
    [_group, 1] setWaypointSpeed "LIMITED";
    [_group, 1] setWaypointType "MOVE";
    _wp = _group addWaypoint [_startpos, 0];
    [_group, 2] showWaypoint "NEVER";
    [_group, 2] setWaypointSpeed "LIMITED";
    [_group, 2] setWaypointType "MOVE";

    [_side, "HQ"] sideChat "LGM support inbound - ETA 2 minutes";
		
		// Start mission duration timer
		_mission_timer = [_maxduration, _side] execVM "scripts\mission_timer.sqf"; 
		while {!scriptDone _mission_timer} do 
		{
			sleep 1.0;
		};
  	
		// Check if plane has survived
		_survivors = count (units _group);
		if (_survivors >= 1) then
		{	
			// Move back to start position
			_group move _spawnpos;
			
			Sleep 4;	
			// Wait until gunships moved away
			waitUntil {((unitReady leader _group) && (alive leader _group)) || (!alive leader _group)};
			
			// Delete vehicles
			{ if (alive vehicle _x) then 
				{
					deleteVehicle vehicle _x;
				};
			} forEach units _group;
      
      // Delete pilot / gunner or both
      { if (alive _x) then 
      	{
      		deleteVehicle _x;
      	};
      } forEach units _group;	
      
      // Delete group
   		deleteGroup _group;
		}
		else
		{
			[_side, "HQ"] sideChat "Damnit ! The aircraft was destroyed.";
			Sleep 4;
			[_side, "HQ"] sideChat "Clear the area of AA before calling in heavy bomber support";
   	};
	};

	// Cruise missile
  case "CALL_CRUISEMISSILE":
  {
  	if (alive mando_airsupport_cmissile) then
    {
    	if (isNil "mando_airsupport_cmissile_pos") then
      {
      	[_side, "HQ"] sideChat "Cruise missile firing position undefined!";
      }
      else
      {
      	_target = "logic" createVehicleLocal [0,0,0];
        _target2 = "logic" createVehicleLocal [0,0,0];

        _target setPos [_targetpos select 0, _targetpos select 1, 0];
        _target2 setPos [_targetpos select 0, _targetpos select 1, 0];

        _dir = ((getPos _target select 0)-(getPos mando_airsupport_cmissile select 0)) atan2 ((getPos _target select 1)-(getPos mando_airsupport_cmissile select 1));
          
        [mando_airsupport_cmissile, "ACE_GBU16Bomb", mando_airsupport_cmissile_pos, _dir, 89, 0, 250, 100, _target, 5, 2000, 0, 500, "ace_sys_missiles\warheads\mando_missilehead2a.sqf", "ace_sys_missiles\exhausts\mando_missilesmoke1a.sqf", "mando_missile1", 29, 100, true, 5, 0, 0, true, true, "ace_sys_missiles\launch\mando_scudlaunch.sqf", 10, 15, 1, true, 180, 180] execVM "ace_sys_missiles\mando_missile.sqf";
               
        [_side, "HQ"] sideChat "Cruise missile launched";
        sleep 1.0;
        [_side, "HQ"] sideChat "Fire mission complete";

        mando_last_missile_target = _target; 
        mando_last_target = _target2;
        waitUntil {!isNull mando_missile};
        mando_last_missile = mando_missile;
               
        Sleep 100;
        deleteVehicle _target;
      	deleteVehicle _target2;
    	};
		}
    else
   	{
    	[_side, "HQ"] sideChat "No cruise missile launcher present";
  	};
	};

	// Cruise missile saturation
  case "CALL_MISSILESAT":
  {
  	if (alive mando_airsupport_cmissile) then
    {
    	if (isNil "mando_airsupport_cmissile_pos") then
      {
      	[_side, "HQ"] sideChat "Cruise missile firing position undefined!";
      }  
      else
      {
      	_list1 = nearestObjects [_targetpos, ["Car","Tank", "StaticWeapon", "Ship"], 500];
        _list2 = []; 
        { if ((side _x != _side) && (alive _x) && ((count crew _x)>0)) then
          { 
          	_list2 = _list2 + [_x];
          };
        } forEach _list1;

        if (count _list2 > 0) then
        {
        	[_side, "HQ"] sideChat "Executing cruise missile saturation attack";
          for [{_i = 0},{_i < ((count _list2) min 4)},{_i=_i+1}] do
          {
          	_target = _list2 select _i;
            _dir = ((getPos _target select 0)-(getPos mando_airsupport_cmissile select 0)) atan2 ((getPos _target select 1)-(getPos mando_airsupport_cmissile select 1));
          	
          	[mando_airsupport_cmissile, "ACE_GBU16Bomb", mando_airsupport_cmissile_pos, _dir, 89, 0, 300, 100, _target, 5, 2000, 0, 500, "ace_sys_missiles\warheads\mando_missilehead2a.sqf", "ace_sys_missiles\exhausts\mando_missilesmoke1a.sqf", "mando_missile1", 29, 100, true, 5, 0, 0, true, false, "ace_sys_missiles\launch\mando_scudlaunch.sqf", 25, 35, 1, true, 180, 180] execVM "ace_sys_missiles\mando_missile.sqf";
            Sleep 2;
                  
            [mando_airsupport_cmissile, "ACE_GBU16Bomb", mando_airsupport_cmissile_pos, _dir, 89, 0, 300, 100, _target, 5, 2000, 0, 500, "ace_sys_missiles\warheads\mando_missilehead2a.sqf", "ace_sys_missiles\exhausts\mando_missilesmoke1a.sqf", "mando_missile1", 29, 50, true, 5, 0, 0, true, false, "ace_sys_missiles\launch\mando_scudlaunch.sqf", 25, 35, 1, true, 180, 180] execVM "ace_sys_missiles\mando_missile.sqf";
            Sleep 2;
            
            [_side, "HQ"] sideChat "Cruise missiles launched";
         	};
        	[_side, "HQ"] sideChat "Fire mission complete";
       	}
        else
        {   
        	[_side, "HQ"] sideChat "No targets for cruise missile saturation attack";
        };
			};
		}
    else
    {
    	[_side, "HQ"] sideChat "No cruise missile launcher present";
		};      
	};
};
