// init include client
if (X_Client) then {
// true = you will see player markers right after mission start
// false = you have to manually turn on player markers via settings
d_show_player_marker = false;
// true, you won't see markers at all and you can't turn them on
d_dont_show_player_markers_at_all = false;

// choose false, if you don't want to use the backpack feature
d_use_backpack =
#ifndef __ACE__
	true;
#else
	false;
#endif

// if set to false you will not see the names beside a player marker on the map
d_show_player_marker_names = true;
// if set to true player marker direction will be set to player direction
d_p_marker_dirs = false;
// if set to true vehicle marker direction will be set to vehicle direction
d_v_marker_dirs = false;
// marker type used for players
d_p_marker = "Dot";

// choose false, if you don't want to use teamstatusdialog
d_use_teamstatusdialog = true;

// position of the player ammobox at base (created only on the players computer, refilled every 20 minutes)
d_player_ammobox_pos =
#ifdef __SCHMALFELDEN__
	[[2504.62,120.872,0],145.764];
#endif
#ifdef __UHAO__
	[[2248.13,4572.81,0],272];
#endif
#ifdef __DEFAULT__
	[[9654.24,9993.49,0],270];
#endif
#ifdef __TT__
	[
		[[2603.55,2858.77,0],260], // West
		[[18057.5,18193.8,0],80]  // Racs
	];
#endif
	
#ifdef __ACE__
d_ace_boxes = [
	["ACE_RuckBox",[9664.13,9981.11,0],0], // position, direction ACE_RuckBox
	["ACE_MedicBox",[9664.12,9979.25,0],0], // position, direction ACE_MedicBox
	["ACE_HuntIRBox",[9664.16,9977.42,0],0] // position, direction ACE_HuntIRBox
];
#endif

// position base, a,b, for the enemy at base trigger and marker
d_base_array =
#ifdef __SCHMALFELDEN__
	[[2545.45,156.443,0], 300, 200];
#endif
#ifdef __UHAO__
	[[2141,4371.059,0], 150, 150];
#endif
#ifdef __DEFAULT__
	[[9821.47,9971.04,0], 600, 200];
#endif
#ifdef __TT__
	[
		[[2551.25,2709.68,0], 300, 100, 90], // West
		[[18092.4,18289.4,0], 300, 100, 80]  // Racs
	];
#endif

// this vehicle will be created if you use the "Create XXX" at a mobile respawn (old "Create Motorcycle") or a jump flag
// IMPORTANT !!!! for ranked version !!!!
// if there is more than one vehicle defined in the array the vehicle will be selected by player rank
// one vehicle only, vehicle is only available when the player is at least lieutenant
d_create_bike =
#ifdef __OWN_SIDE_RACS__
["M1030"];
#endif
#ifdef __OWN_SIDE_WEST__
if (__ACEVer) then {
	["ACE_Bicycle","ACE_ATV_HondaR"]
} else {
	["M1030"]
};
#endif
#ifdef __OWN_SIDE_EAST__
if (__ACEVer) then {
	["ACE_Bicycle","ACE_ATV_HondaR"]
} else {
	["TT650G"]
};
#endif
#ifdef __TT__
["M1030"];
#endif

// if the array is empty, anybody can fly,
// just add the type of players that can fly if you want to restrict to certain types
// for example: d_only_pilots_can_fly = ["SoldierWPilot","SoldierWMiner"];
// this includes bonus aircrafts too
d_only_pilots_can_fly = [];

#ifdef __ACE__
// some ACE client stuff, haven't tested if it is still valid, but I think it's not needed anymore
ACE_RespawnFade = true;
ACE_RespawnNoChat = true;
ACE_Respawn = true;
#endif

current_mission_resolved_text = "";

#ifndef __TT__
max_number_ammoboxes = 10;
#endif
#ifdef __TT__
max_number_ammoboxes = 20;
#endif

tele_array = [];
vehicle_attached_list = [];
player_is_driver = false;
client_target_counter = 0;
current_mission_text = "Currently no side mission available!";
vec2_id = -1000;
vec3_id = -1000;
vec_id = -1000;
actionID1 = -1;
actionID2 = -1;
weapon_array = [];
ass = -1;
last_ammo_drop = -3423;
bike_created = false;
// time player has to wait until he can drop the next ammobox (in seconds)
d_drop_ammobox_time = 300;
max_truck_cargo = 6;
current_truck_cargo_array = 0;
cargo_selected_index = -1;
currently_loading = false;
pbp_id = -9999;
// d_check_ammo_load_vecs
// the only vehicles that can load an ammo box are the transport choppers and MHQs__
d_check_ammo_load_vecs = ["M113_MHQ","UH60mg"];
#ifdef __OWN_SIDE_EAST__
d_check_ammo_load_vecs = ["BMP2_MHQ","Mi17_MG"];
#endif
#ifdef __CSLA__
d_check_ammo_load_vecs = ["CSLAWarfareEastMobileHQ","CSLA_Mi8T"];
#endif
#ifdef __ACE__
d_check_ammo_load_vecs = (
	if (d_enemy_side == "EAST") then {
		["M113_MHQ","ACE_UH60MG_M240C","ACE_UH60MG_M134","ACE_CH47D_CARGO"]
	} else {
		["ACE_Mi17_MG","BMP2_MHQ"]
	}
);
#endif

#ifndef __REVIVE__
d_respawn_delay = D_RESPAWN_DELAY;
// if you set d_with_respawn_dialog_after_death = false then you will respawn at your base, if true you'll see the respawn dialog allways if you die
d_with_respawn_dialog_after_death = true;
// if set to false, players will respawn with BIS default weapons
x_weapon_respawn = true;
#endif

#ifdef __REVIVE__
x_weapon_respawn = false;
#endif

#ifdef __AI__
max_ai = 8;
#endif

#ifdef __MANDO__
vec_mando_id = -1000;
#endif

// gets subtracted from your current score if you die (must be a negative value)
d_sub_kill_points = -1;
// gets subtracted for killing others (not negative)
d_sub_tk_points = 10;

// points needed to get a specific rank
// gets even used in the unranked versions, though it's just cosmetic there
d_points_needed = [
	20, // Corporal
	50, // Sergeant
	80, // Lieutenant
	130, // Captain
	180, // Major
	250 // Colonel
];

#ifdef __RANKED__
d_ranked_a = [
	20, // points that an engineer must have to repair/refuel a vehicle
	[6,4,2,0], // points engineers get for repairing an air vehicle, tank, car, other
	10, // points an artillery operator needs for a strike
	3, // points in the AI version for recruiting one soldier
	10, // points a player needs for an AAHALO parajump
	10, // points that get subtracted for creating a vehicle at a MHQ
	20, // points needed to create a vehicle at a MHQ
	3, // points a medic gets if someone heals at his Mash
	["Sergeant","Lieutenant","Captain","Major"], // Ranks needed to drive different vehicles, starting with: kindof Strykerbase/BRDM, kindof Tank, kindof Helicopter (except the inital 4 helis), Plane
	30, // points that get added if a player is xxx m in range of a main target when it gets cleared
	400, // range the player has to be in to get the main target extra points
	10, // points that get added if a player is xxx m in range of a sidemission when the sidemission is resolved
	200, // range the player has to be in to get the sidemission extra points
	20, // points needed for an egineer to rebuild the support buildings at base
	10, // points needed to build a mg nest
	5, // points needed in AI Ranked to call in an airtaxi
	20, // points needed to call in an air drop
	4, // points a medic gets when he heals another unit
	1 // points that a player gets when transporting others
];

// distance a player has to transport others to get points
d_transport_distance = 500;

// rank needed to fly the wreck lift chopper
d_wreck_lift_rank = "CAPTAIN";
#endif
};