#include "x_setup.sqf"
#include "x_macros.sqf"

#include "i_common.sqf"

X_INIT = false;
X_Server = false; X_Client = false; X_JIP = false;X_SPE = false;
X_InstalledECS = if (isClass (configFile >> "cfgVehicles" >> "ECS_basic")) then {true} else {false};

X_MP = (if (playersNumber east + playersNumber west + playersNumber resistance + playersNumber civilian > 0) then {true} else {false});

if (isServer) then {
	X_Server = true;
	if (!(isNull player)) then {X_Client = true;X_SPE = true;};
	X_INIT = true;
} else {
	X_Client = true;
	if (isNull player) then {
		X_JIP = true;
		[] spawn {waitUntil {!(isNull player)};X_INIT = true};
	} else {
		X_INIT = true;
	};
};

if (isNil "x_funcs1_compiled") then {
	call compile preprocessFileLineNumbers "x_scripts\x_funcs\x_functions1.sqf";
	call compile preprocessFileLineNumbers "x_scripts\x_funcs\x_netinit.sqf";
	if (isServer) then {
		call compile preprocessFileLineNumbers "x_scripts\x_funcs\x_netinitserver.sqf";
	};
	if (X_Client) then {
		call compile preprocessFileLineNumbers "x_scripts\x_funcs\x_netinitclient.sqf";
	};
};

#include "i_server.sqf"
#include "i_client.sqf"

// Side missions
// include the mission setup file
#include "x_missions\x_missionssetup.sqf"

skiptime param2;

if (X_SPE) then {
	date_str = date;
} else {
	date_str = [];
};

#ifdef __REVIVE__
execVM "r_init.sqf";
#endif

#ifdef __MANDO__
execVM "mando_missiles\mando_missileinit.sqf";
#endif

if (isServer) then {
	call compile preprocessFileLineNumbers "x_scripts\x_initx.sqf";
	
	if (d_weather) then {execVM "scripts\weather\weathergen2.sqf";};

	// create random list of targets
	#ifndef __DEFAULT__
	maintargets_list = (count target_names) call XfRandomIndexArray;
	#endif
	#ifdef __DEFAULT__
	if (number_targets_h < 50) then {
		maintargets_list = (count target_names) call XfRandomIndexArray;
	} else {
		switch (number_targets_h) do {
			case 50: {maintargets_list = [3,4,2,0,1,7,6];};
			case 60: {maintargets_list = [8,10,16,17];};
			case 70: {maintargets_list = [8,9,11,19,14,18];};
			case 80: {maintargets_list = [8,15,9,11,12,13];};
			case 90: {maintargets_list = [5,3,4,2,20,0,1,7,6,8,15,9,10,11,12,13,19,14,18,16,17];};
		};
	};
	#endif
	
	__DEBUG_SERVER("init.sqf",maintargets_list)
	// create random list of side missions
	if (d_random_sm_array) then {
		side_missions_random = sm_array call XfRandomArray;
	} else {
		side_missions_random = sm_array;
	};
	
	__DEBUG_SERVER("init.sqf",side_missions_random)
	
	current_counter = 0;
	current_mission_counter = 0;
	
	side_mission_resolved = false;
	
	counterattack = false;
		
	extra_mission_remover_array = [];
	extra_mission_vehicle_remover_array = [];
	check_trigger = objNull;
	create_new_paras = false;
	first_time_after_start = true;
	nr_observers = 0;
	#ifndef __TT__
	// [ch4,"HR4",false,1500] means, chopper 4 (wreck chopper) will respawn if no one entered the chopper during 1500 seconds since last check
	[[ch1,"HR1",true],[ch2,"HR2",true],[ch3,"HR3",false,1500],[ch4,"HR4",false,1500]] execVM "x_scripts\x_helirespawn2.sqf";
	
	[
		[xvec1,1,"MR"],[xvec2,2,"MR"],[xvec3,1,"TR"],[xvec4,2,"TR"],
		[xvec5,3,"TR"], [xvec6,7,"TTR"], [xvec7,6,"TR"], [xvec8,5,"TR"],
		[xvec9,4,"TR"], [xvec10,8,"TTR"], [xvec11,9,"TRA"], [xvec12,10,"TRA"],[xmedvec,0,"MV"]
	] execVM "x_scripts\x_vrespawn2.sqf";
	
	#endif
	#ifdef __TT__
	[
		[ch1,"HR1",true],[ch2,"HR2",true],[ch3,"HR3",false],[ch4,"HR4",false],
		[chR1,"HRR1",true],[chR2,"HRR2",true],[chR3,"HRR3",false],[chR4,"HRR4",false]
	] execVM "x_scripts\x_helirespawn2.sqf";
	
	[
		[xvec1,1,"MR"],[xvec2,2,"MR"],[xvecR1,1,"MRR"],[xvecR2,2,"MRR"],
		[xmedvec,0,"MV"],[xmedvecR,0,"MVR"],[xvec3,1,"TR"],[xvec4,2,"TR"],
		[xvec5,3,"TR"],[xvecR3,1,"TRR"],[xvecR4,2,"TRR"],[xvecR5,3,"TRR"],
		[xvec6,4,"TTR"],[xvecR6,4,"TTRR"],[xvec7,5,"TRA"],[xvecR7,5,"TRAR"]
	] execVM "x_scripts\x_vrespawn2.sqf";
	#endif
	execVM "x_scripts\x_boatrespawn.sqf";
	[d_wreck_rep,"Wreck Repair Point",x_heli_wreck_lift_types] execVM "x_scripts\x_repwreck.sqf";
	#ifdef __TT__
	[d_wreck_rep2,"Wreck Repair Point",x_heli_wreck_lift_types] execVM "x_scripts\x_repwreck.sqf";
	public_points = true;
	#endif
	d_check_boxes = [];
	no_more_observers = false;
	main_target_ready = false;
	mt_spotted = false;
	execVM "x_scripts\x_setupserver.sqf";
	#ifndef __TT__
	if (!d_no_sabotage) then {execVM "x_scripts\x_infiltrate.sqf";};
	#endif
	execVM "x_scripts\x_createnexttarget.sqf";
	d_player_array_names = [];
	d_player_array_misc = [];
	#ifndef __ACE__
	onPlayerConnected "xhandle = [_name] execVM ""x_scripts\x_serverOPC.sqf""";
	onPlayerDisconnected "xhandle = [_name] execVM ""x_scripts\x_serverOPD.sqf""";
	#endif
	#ifdef __ACE__
	// ACE sys network uses onPlayerConnected too
	// not a good idea since a mission onPlayerConnected overwrites it or vice versa
	// means, it can only be used once
	if (isNil "ace_sys_network_OPCB") then {ace_sys_network_OPCB = []};
	ace_sys_network_OPCB = ace_sys_network_OPCB + [{[_this select 0] execVM "x_scripts\x_serverOPC.sqf"}];
	if (isNil "ace_sys_network_OPD") then {ace_sys_network_OPD = []};
	ace_sys_network_OPD = ace_sys_network_OPD + [{[_this select 0] execVM "x_scripts\x_serverOPD.sqf"}];
	#endif
};

#ifdef __ACE__
ace_sys_network_WeatherSync_Disabled = true;
ace_sys_network_TimeSync_Disabled = true;
ACE_Sys_Ruck_SpawnRuckItemsOnDeath = false;
//ACE_Sys_Magazines_Debug = true;
#endif

if (!X_Client) exitWith {};
waitUntil {X_Init};

#include "i_client2.sqf"

if (!X_SPE) then {
	waitUntil {count d_vars_array > 0};
	__DEBUG_NET("init.sqf",d_vars_array)
	
	#ifndef __TT__
	_bit_array = [d_vars_array select 0, 17] call XfNumToBitArray2;
	#endif
	#ifdef __TT__
	_bit_array = [d_vars_array select 0, 25] call XfNumToBitArray2;
	#endif
	
	mt_radio_down = _bit_array select 0;
	target_clear = _bit_array select 1;
	all_sm_res = _bit_array select 2;
	the_end = _bit_array select 3;
	mr1_in_air = _bit_array select 4;
	mr2_in_air = _bit_array select 5;
	ari_available = _bit_array select 6;
	ari2_available = _bit_array select 7;
	d_jet_service_fac_rebuilding = _bit_array select 8;
	d_chopper_service_fac_rebuilding = _bit_array select 9;
	d_wreck_repair_fac_rebuilding = _bit_array select 10;
	MRR1 setVariable ["d_ammobox", _bit_array select 11];
	MRR2 setVariable ["d_ammobox", _bit_array select 12];
	HR1 setVariable ["d_ammobox", _bit_array select 13];
	HR2 setVariable ["d_ammobox", _bit_array select 14];
	HR3 setVariable ["d_ammobox", _bit_array select 15];
	HR4 setVariable ["d_ammobox", _bit_array select 16];
	
	#ifdef __TT__
	mrr1_in_air = _bit_array select 17;
	mrr2_in_air = _bit_array select 18;
	MRRR1 setVariable ["d_ammobox", _bit_array select 19];
	MRRR2 setVariable ["d_ammobox", _bit_array select 20];
	HRR1 setVariable ["d_ammobox", _bit_array select 21];
	HRR2 setVariable ["d_ammobox", _bit_array select 22];
	HRR3 setVariable ["d_ammobox", _bit_array select 23];
	HRR4 setVariable ["d_ammobox", _bit_array select 24];
	#endif

	date_str = d_vars_array select 1;
	current_target_index = d_vars_array select 2;
	current_mission_index = d_vars_array select 3;
	ammo_boxes = d_vars_array select 4;
	sec_kind = d_vars_array select 5;
	resolved_targets = d_vars_array select 6;
	
	jump_flags = d_vars_array select 7;
	truck1_cargo_array = d_vars_array select 8;
	truck2_cargo_array = d_vars_array select 9;
	mt_radio_pos = d_vars_array select 10;
	d_ammo_boxes = d_vars_array select 11;
	d_wreck_marker = d_vars_array select 12;
	
	d_jet_service_fac = d_vars_array select 13;
	d_chopper_service_fac = d_vars_array select 14;
	d_wreck_repair_fac = d_vars_array select 15;
	
	_time_next_a = d_vars_array select 16;
	MRR1 setVariable ["d_ammobox_next", _time_next_a select 0];
	MRR2 setVariable ["d_ammobox_next", _time_next_a select 1];
	HR1 setVariable ["d_ammobox_next", _time_next_a select 2];
	HR2 setVariable ["d_ammobox_next", _time_next_a select 3];
	HR3 setVariable ["d_ammobox_next", _time_next_a select 4];
	HR4 setVariable ["d_ammobox_next", _time_next_a select 5];
	
	#ifdef __TT__
	MRRR1 setVariable ["d_ammobox_next", _time_next_a select 6];
	MRRR2 setVariable ["d_ammobox_next", _time_next_a select 7];
	HRR1 setVariable ["d_ammobox_next", _time_next_a select 8];
	HRR2 setVariable ["d_ammobox_next", _time_next_a select 9];
	HRR3 setVariable ["d_ammobox_next", _time_next_a select 10];
	HRR4 setVariable ["d_ammobox_next", _time_next_a select 11];
	#endif
	
#ifdef __TT__
	points_array = d_vars_array select 17;
#endif
} else {
	d_player_stuff = [d_player_air_autokick, time, name player, 0];
};

client_target_counter = count resolved_targets;

waitUntil {local player};
sleep 0.01;
execVM "x_scripts\x_jip.sqf";

if (true) exitWith {};