//////////////////////////////////////////////////////////////////
// Function file for Armed Assault
// Created by: -eutf-Myke
//////////////////////////////////////////////////////////////////

#include "x_setup.sqf"

_vehicle = _this select 0;
_engineer = _this select 1;
_cargo = objnull;
_loading_allowed = false;

scopeName "load_static_scope";

#ifndef __AI__
_str_p = format ["%1", _engineer];
if (!(_str_p in d_is_engineer)) then {hint "Only engineers can load static weapons";breakOut "load_static_scope";};
#endif

_tr_full = false;
switch (_vehicle) do {
	case TR7: {
		if (count truck1_cargo_array >= max_truck_cargo) then {
			(format ["Allready %1 items loaded. Not possible to load more.", max_truck_cargo]) call XfGlobalChat;
			_tr_full = true;
		};
	};
	case TR8: {
		if (count truck2_cargo_array >= max_truck_cargo) then {
			(format ["Allready %1 items loaded. Not possible to load more.", max_truck_cargo]) call XfGlobalChat;
			_tr_full = true;
		};
	};
};

if (_tr_full) exitWith {};

_cargo = nearestobject [_vehicle, "StaticWeapon"];
if (isnull _cargo) exitwith {hint "No static weapon in range."};
_cargo_type = typeof _cargo;
_type_name = [_cargo_type,0] call XfGetDisplayName;
if (_cargo distance _vehicle > 10) exitwith {hint format ["You're too far from %1!", _type_name]};

_loading_allowed = true;

if (_loading_allowed && currently_loading) exitWith {
	"You are allready loading an item. Please wait until it is finished" call XfGlobalChat;
};

if (_loading_allowed) then {
	currently_loading = true;
	switch (_vehicle) do {
		case TR7: {
			if (count truck1_cargo_array >= max_truck_cargo) then {
				(format ["Allready %1 items loaded. Not possible to load more.", max_truck_cargo]) call XfGlobalChat;
			} else {
				truck1_cargo_array = truck1_cargo_array + [_cargo_type];
				["truck1_cargo_array",truck1_cargo_array] call XSendNetVarAll;
			};
		};
		case TR8: {
			if (count truck2_cargo_array >= max_truck_cargo) then {
				(format ["Allready %1 items loaded. Not possible to load more.", max_truck_cargo]) call XfGlobalChat;
			} else {
				truck2_cargo_array = truck2_cargo_array + [_cargo_type];
				["truck2_cargo_array",truck2_cargo_array] call XSendNetVarAll;
			};
		};
	};
	for "_i" from 10 to 1 step -1 do {
		hint format ["%1 will be loaded in %2 sec.", _type_name, _i];
		sleep 1;
	};
	deletevehicle _cargo;
	hint format ["%1 loaded and attached!", _type_name];
	currently_loading = false;
} else {
	hint format ["You can't load a %1 into a %2!", _type_name, typeof _vehicle];
};
