// by Xeno

#include "x_setup.sqf"
#include "x_macros.sqf"

// I'm using x_mXXX.sqf for the mission filename where XXX has to be added to sm_array
d_mission_filename = "x_m";

// sm_array contains the indices of the sidemissions (it gets shuffled later)
// to remove a specific side mission just remove the index from sm_array
#ifdef __DEFAULT__
sm_array = [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50];
#endif
#ifdef __TT__
sm_array = [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50];
#endif
#ifdef __SCHMALFELDEN__
sm_array = [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17];
#endif
#ifdef __UHAO__
sm_array = [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17];
#endif

number_side_missions = count sm_array;
current_mission_index = -1;

// just for debugging
// it will create markers at each sidemission position
#ifdef __SMMISSIONS_MARKER__
{
	call compile format ["
		[1,1] call compile preprocessFileLineNumbers ""x_missions\m\%2%1.sqf"";
	", _x,d_mission_filename];
	
	_start_pos = x_sm_pos select 0;
	_name = format ["Sidemission: %1", _x];
	_marker= createMarkerLocal [_name, _start_pos];
	_marker setMarkerTypeLocal "DOT";
	_name setMarkerColorLocal "ColorBlack";
	_name setMarkerSizeLocal [0.2,0.2];
	_name setMarkerTextLocal _name;
} forEach sm_array;
#endif

if (isServer) then {
	// if set to false sidemissons won't get shuffled so you are able to set up a specific order of sidemissions
	d_random_sm_array = true;
	
	XKilledSMTargetNormal = {
		[_this select 0] call XAddDead;
		side_mission_winner=2;
		side_mission_resolved = true;
	};

	XKilledSMTargetTT = {
		[_this select 0] call XAddDead;
		side_mission_winner = (switch (side (_this select 1)) do {case resistance:{1}; case west:{2}; default{-1};});
		side_mission_resolved = true;
	};
	
	XKilledSMTargetNormalNoDeadAdd = {
		side_mission_winner=2;
		side_mission_resolved = true;
	};
	
	XKilledSMTargetTTNoDeadAdd = {
		side_mission_winner = (switch (side (_this select 1)) do {case resistance:{1}; case west:{2}; default{-1};});
		side_mission_resolved = true;
	};
	
	XKilledSMTarget500 = {
		[_this select 0] call XAddDead;
		side_mission_winner=-500;
		side_mission_resolved = true;
	};
	
	// convoy start position and direction
	// convoy waypoints 1 and 2 (1 or 2 gets randomly selected)
	d_sm_convoy = [
		[
			[17452.8,13577.6,0],0,
			[[16963.1,14105.9,0], [15399.6,13744,0], [15135.7,14049.8,0], [13983.5,13168.2,0], [13824.8,13116,0] , [12563.6,13406.7,0], [12395.6,14494,0], [11851.9,14376.5,0]],
			[[16962.4,14106.6,0],[15371.1,12698.4,0],[14602.8,11861.4,0],[14103.6,12405.2,0],[13082.1,11276.8,0],[10100,14120.9,0],[11851.9,14376.5,0]]
		],
		[
			[12723,8729.78,0],20.4149,
			[[12737.5,8787.06,0], [10947.4,10623.1,0], [9614.35,11036.2,0], [8671.46,10084.4,0], [7618.55,9048.34,0], [7766.26,8822.9,0], [6946.93,8226.66,0]],
			[[12737.5,8787.4,0],[10947.2,10623.3,0],[10517.3,9640.52,0],[10147.1,9317.35,0],[8952.3,8345.36,0],[8038.49,8893.38,0],[6946.93,8226.66,0]]
		],
		[
			[8048.9,15783.5,0],101.542,
			[[10100.4,14120.8,0],[10951.5,12658.1,0],[13082,11276,0],[13979.9,9841.15,0],[13816.5,9469.06,0],[14293.2,9450.24,0]],
			[[10100.4,14120.8,0],[12394.8,14494.2,0],[12562.7,13406.4,0],[14124.8,12507.3,0],[13082,11276,0],[13979.9,9841.15,0],[13816.5,9469.06,0],[14293.2,9450.24,0]]
		]
	];
	
	// these vehicles get spawned in a convoy sidemission
	#ifndef __ACE__
	d_sm_convoy_vehicles = (
		switch (d_enemy_side) do {
			case "EAST": {["BRDM2","BMP2", "ZSU", "UralRepair", "UralRefuel", "UralReammo", "T72"]};
			case "WEST": {
				if (__CSLAVer) then {
					["CSLA_USHMMWV_M2","CSLA_USM113", "CSLA_USM163", "CSLA_USTruck5tRepair", "CSLA_USTruck5tRefuel", "CSLA_USTruck5tReammo", "CSLA_USM1A1"]
				} else {
					["Stryker_ICV_M2","M113", "Vulcan", "Truck5tRepair", "Truck5tRefuel", "Truck5tReammo", "M1Abrams"]
				}
			};
		}
	);
	#endif
	#ifdef __ACE__
	d_sm_convoy_vehicles = (
		switch (d_enemy_side) do {
			case "EAST": {["BRDM2","ACE_BMP2", "ACE_ZSU", "UralRepair", "UralRefuel", "UralReammo", "ACE_T90"]};
			case "WEST": {["Stryker_ICV_M2","M113", "Vulcan", "Truck5tRepair", "Truck5tRefuel", "Truck5tReammo", "M1Abrams"]};
		}
	);
	#endif
};