// by Xeno
private ["_angle","_center_x","_center_y","_height","_i","_radius","_type","_wp_array","_x1","_xo","_y1","_number_shells","_helper_bomb","_pos","_pod","_arti_distance","_travel_time"];
if (!isServer) exitWith {};

#include "x_setup.sqf"

if (!ari_available) exitWith {};

_height = 0;
_type = "";
_radius = 30;
_number_shells = 1;

ari_available = false;
["ari_available",ari_available] call XSendNetStartScriptClient;

switch (ari_type) do {
	case "flare": {
		_number_shells = 4;
		_height = 250;
		_type = "F_40mm_White";
		_radius = 70;
	};
	case "he": {
		_number_shells = 6;
		_height = 150;
		_type = (if (d_enemy_side == "EAST") then {"Sh_125_HE"} else {"Sh_120_HE"});
	};
	case "smoke": {
#ifndef __ACE__
		_number_shells = 10;
#endif
#ifdef __ACE__
		_number_shells = 3;
#endif
		_height = 150;
		_type = "Smokeshell";
	};
	case "dpicm": {
		_number_shells = 40;
		_height = 150;
		_type = (if (d_enemy_side == "EAST") then {"G_30mm_HE"} else {"G_40mm_HE"});
		_radius = 100;
	};
};

sleep 12.25 + (random 7);

_center_x = (position AriTarget) select 0;
_center_y = (position AriTarget) select 1;
#ifndef __TT__
_arti_distance = FLAG_BASE distance (position AriTarget);
#endif
#ifdef __TT__
_arti_distance = WFLAG_BASE distance (position AriTarget);
#endif
_travel_time = _arti_distance / 500;
_first_run = true;

for "_series" from 1 to ari_salvos do {
	_wp_array = [];
	while {count _wp_array < _number_shells} do {
		_angle = floor random 360;
		_x1 = _center_x - ((random _radius) * sin _angle);
		_y1 = _center_y - ((random _radius) * cos _angle);
		_wp_array = _wp_array + [[_x1, _y1, (if (ari_type == "he") then {_height + random 50} else {_height})]];
		sleep 0.0153; // 0.2
	};
	
	if (!X_SPE) then {
		["ari1msg",format ["First Artillery salvo %1 on the way...",_series]] call XSendNetStartScriptClient;
	} else {
		format ["First Artillery salvo %1 on the way...",_series] call XfHQChat;
	};
	
	sleep _travel_time;
	if (!X_SPE) then {
		["ari1msg",format ["First Artillery Splashdown, Salvo %1",_series],0] call XSendNetStartScriptClient;
	} else {
		(format ["First Artillery Splashdown, Salvo %1",_series]) call XfHQChat;
		if (player distance AriTarget < 1000) then {playSound "Ari";};
	};
	switch (ari_type) do {
		case "flare": {
			for "_i" from 0 to (_number_shells - 1) do {
				_type createVehicle (_wp_array select _i);
				sleep 18 + (ceil random 5);
			};
		};
		case "he": {
			for "_i" from 0 to (_number_shells - 1) do {
				_type createVehicle (_wp_array select _i);
				sleep 0.923 + (random 2);
			};
		};
		case "smoke": {
			for "_i" from 0 to (_number_shells - 1) do {
				_shell = _type createVehicle (_wp_array select _i);
				#ifdef __ACE__
				[objNull,objNull,objNull,objNull,"SmokeShell",_shell] spawn ace_viewblock_fired;
				#endif
				#ifndef __ACE__
				if (d_found_DMSmokeGrenadeVB) then {
					[_shell] spawn X_DM_SMOKE_SHELL;
				};
				#endif
				_xo = ceil random 10;
				sleep 0.923 + (_xo / 10);
			};
		};
		case "dpicm": {
			_pos = [(position AriTarget) select 0, (position AriTarget) select 1, _height];
			_pod = "Bomb" createVehicle _pos;
			_pod setPos _pos;
			_helper_bomb = "M_Ch29_AT" createVehicle _pos;
			sleep 0.5;
			deleteVehicle _helper_bomb;
			for "_i" from 0 to (_number_shells - 1) do {
				_type createVehicle (_wp_array select _i);
				_xo = ceil random 10;
				sleep 0.223 + (_xo / 10);
			};
			sleep 2.132;
			deleteVehicle _pod;
		};
	};
	_wp_array = nil;
	
	if (_first_run) then {
		_first_run = false;
		ari_type spawn {
			if (_this in ["flare","he"]) then {
				sleep 2.123;
				AriTarget execVM "x_scripts\x_arihit.sqf";
			};
		};
	};
		
	if (_series < ari_salvos) then {
		if (!X_SPE) then {
			["ari1msg","First Artillery reloading..."] call XSendNetStartScriptClient;
		} else {
			"First Artillery reloading..." call XfHQChat;
		};
		sleep d_arti_reload_time + random 7;
	};
};

sleep 2;

if (!X_SPE) then {
	["ari1msg","First Artillery fire series ended"] call XSendNetStartScriptClient;
} else {
	"First Artillery fire series ended" call XfHQChat;
};

ari_salvos spawn {
	private ["_ari_salvos"];
	_ari_salvos = _this;
	sleep (d_arti_available_time + ((_ari_salvos - 1) * 200)) + (random 60);
	ari_available = true;
	["ari_available",ari_available] call XSendNetStartScriptClient;
};

if (true) exitWith {};
