// by Xeno
private ["_ok","_oldpos"];

#include "x_setup.sqf"

if (!ari_available) exitWith {
	"First artillery currently not available..." call XfHQChat;
};

#ifdef __RANKED__
_score = score player;
if (_score < (d_ranked_a select 2)) exitWith {
	(format ["You don't have enough points to call an artillery strike. You need %2 points for a strike, your current score is %1", _score,(d_ranked_a select 2)]) call XfHQChat;
};
#endif

["arti1_marker_1",position player,"ELLIPSE","ColorYellow",[d_arti_operator_max_dist,d_arti_operator_max_dist],"",0,"","FDiagonal"] call XfCreateMarkerLocal;

ari_type = "";
ari_salvos = 1;
_oldpos = position AriTarget;
_ok = createDialog "XD_ArtilleryDialog";
#ifdef __RANKED__
_XD_display = findDisplay 77899;
_rank = rank player;
if (_rank in ["PRIVATE","CORPORAL"]) then {
	_control = _XD_display displayCtrl 11007;
	_control ctrlShow false;
	_control = _XD_display displayCtrl 11008;
	_control ctrlShow false;
} else {
	if (_rank in ["SERGEANT","LIEUTENANT"]) then {
		_control = _XD_display displayCtrl 11008;
		_control ctrlShow false;
	};
};
#endif
onMapSingleClick "AriTarget setpos _pos;""arti_target"" setMarkerPos _pos;";

waitUntil {ari_type != "" || !dialog};

onMapSingleClick "";
if (ari_type != "") then {
	deleteMarkerLocal "arti1_marker_1";
	if (!ari_available) exitWith {
		"Somebody else allready executed an artillery strike, first artillery currently not available..." call XfHQChat;
	};
	
	if (player distance AriTarget > d_arti_operator_max_dist) exitWith {
		(format ["You are to far away from your selected target, no line of sight !!! Get closer (<%1 m).", d_arti_operator_max_dist]) call XfHQChat;
		AriTarget setpos _oldpos;
		"arti_target" setMarkerPos _oldpos;
	};
	
	_no = objNull;
	if (d_arti_check_for_friendlies) then {
		if (ari_type == "he" || ari_type == "dpicm") then {
#ifndef __TT__
			_man_type = (
				switch (d_own_side) do {
					case "WEST": {"SoldierWB"};
					case "EAST": {"SoldierEB"};
					case "RACS": {"SoldierGB"};
				}
			);
			_pos_at = [position AriTarget select 0,position AriTarget select 1,0];
			_no = nearestObject [_pos_at, _man_type];
#endif
#ifdef __TT__
			_pos_at = [position AriTarget select 0,position AriTarget select 1,0];
			_no = nearestObject [_pos_at, "SoldierWB"];
			if (isNull _no) then {
				_no = nearestObject [_pos_at, "SoldierGB"];
			};
#endif
			
			//if (isNull _no) then {
			//	_no = nearestObject [_pos_at, "Civilian"];
			//};
		};
	};
	
	if (!isNull _no) exitWith {
		"Friendlies near artillery target. Aborting artillery strike..." call XfHQChat;
		AriTarget setpos _oldpos;
		"arti_target" setMarkerPos _oldpos;
	};
	
	if (!X_SPE) then {
		ari_available = false;
	};
	#ifdef __RANKED__
	if ((d_ranked_a select 2) > 0) then {
		player addScore (d_ranked_a select 2) * -1;
	};
	#endif
	[player, (format ["Crossroad, requesting %1 strike. %2 salvoes at %3 north, %4 west!", ari_type,ari_salvos, position AriTarget select 1, position AriTarget select 0])] call XfSideChat;
	["d_say",player,"Funk"] call XSendNetStartScriptAll;
	player say "Funk";
	["ari1msg", (format ["Crossroad, requesting %1 strike. %2 salvoes at %3 north, %4 west!", ari_type,ari_salvos, position AriTarget select 1, position AriTarget select 0])] call XSendNetStartScriptClient;
	sleep 9.123;
	"This is first artillery, roger." call XfHQChat;
	["ari1msg", "This is first artillery, roger."] call XSendNetStartScriptClient;
	sleep 8.54;
	(format ["First artillery executing %1 strike, salvoes %2", ari_type,ari_salvos]) call XfHQChat;
	["ari1msg", (format ["First artillery executing %1 strike, salvoes %2", ari_type,ari_salvos])] call XSendNetStartScriptClient;
	if (X_SPE) then {
		execVM "x_scripts\x_arifire.sqf";
	} else {
		["ari_type",ari_type,ari_salvos] call XSendNetStartScriptServer;
	};
} else {
	deleteMarkerLocal "arti1_marker_1";
	"Artillery canceled" call XfHQChat;
	AriTarget setpos _oldpos;
	"arti_target" setMarkerPos _oldpos;
};

if (true) exitWith {};
