// by Xeno
private ["_ok","_oldpos"];

#include "x_setup.sqf"

if (!ari2_available) exitWith {
	"Second artillery currently not available..." call XfHQChat;
};

#ifdef __RANKED__
_score = score player;
if (_score < (d_ranked_a select 2)) exitWith {
	(format ["You don't have enough points to call an artillery strike. You need %2 points for a strike, your current score is %1", _score,(d_ranked_a select 2)]) call XfHQChat;
};
#endif

["arti2_marker_1",position player,"ELLIPSE","ColorYellow",[d_arti_operator_max_dist,d_arti_operator_max_dist],"",0,"","FDiagonal"] call XfCreateMarkerLocal;

ari2_type = "";
ari2_salvos = 1;
_oldpos = position AriTarget2;
_ok = createDialog "XD_ArtilleryDialog2";
#ifdef __RANKED__
_XD_display = findDisplay 11233;
_rank = rank player;
if (_rank in ["PRIVATE","CORPORAL"]) then {
	_control = _XD_display displayCtrl 11007;
	_control ctrlShow false;
	_control = _XD_display displayCtrl 11008;
	_control ctrlShow false;
} else {
	if (_rank in ["SERGEANT","LIEUTENANT"]) then {
		_control = _XD_display displayCtrl 11008;
		_control ctrlShow false;
	};
};
#endif
onMapSingleClick "AriTarget2 setpos _pos;""arti_target2"" setMarkerPos _pos;";

waitUntil {ari2_type != "" || !dialog};

onMapSingleClick "";
if (ari2_type != "") then {
	if (!ari2_available) exitWith {
		"Somebody else allready executed an artillery strike, second artillery currently not available..." call XfHQChat;
	};
	
	if (player distance AriTarget2 > d_arti_operator_max_dist) exitWith {
		(format ["You are to far away from your selected target, no line of sight !!! Get closer (<%1 m).", d_arti_operator_max_dist]) call XfHQChat;
		AriTarget2 setpos _oldpos;
		"arti_target2" setMarkerPos _oldpos;
	};
	
	_no = objNull;
	if (d_arti_check_for_friendlies) then {
		if (ari2_type == "he" || ari2_type == "dpicm") then {
#ifndef __TT__
			_man_type = (
				switch (d_own_side) do {
					case "WEST": {"SoldierWB"};
					case "EAST": {"SoldierEB"};
					case "RACS": {"SoldierGB"};
				}
			);
			_pos_at = [position AriTarget2 select 0,position AriTarget2 select 1,0];
			_no = nearestObject [_pos_at, _man_type];
#endif
#ifdef __TT__
			_pos_at = [position AriTarget2 select 0,position AriTarget2 select 1,0];
			_no = nearestObject [_pos_at, "SoldierWB"];
			if (isNull _no) then {
				_no = nearestObject [_pos_at, "SoldierGB"];
			};
#endif
			
			//if (isNull _no) then {
			//	_no = nearestObject [_pos_at, "Civilian"];
			//};
		};
	};
	
	if (!isNull _no) exitWith {
		"Friendlies near artillery target. Aborting artillery strike..." call XfHQChat;
		AriTarget2 setpos _oldpos;
		"arti_target2" setMarkerPos _oldpos;
	};
	
	if (!X_SPE) then {
		ari2_available = false;
	};
	#ifdef __RANKED__
	if ((d_ranked_a select 2) > 0) then {
		player addScore (d_ranked_a select 2) * -1;
	};
	#endif
	[player, (format ["Crossroad, requesting %1 strike. %2 salvoes at %3 north, %4 west!", ari2_type,ari2_salvos, position AriTarget2 select 1, position AriTarget2 select 0])] call XfSideChat;
	["d_say",player,"Funk"] call XSendNetStartScriptAll;
	player say "Funk";
	["ari2msg", (format ["Crossroad, requesting %1 strike. %2 salvoes at %3 north, %4 west!", ari2_type,ari2_salvos, position AriTarget2 select 1, position AriTarget2 select 0])] call XSendNetStartScriptClient;
	sleep 9.123;
	"This is second artillery, roger." call XfHQChat;
	["ari2msg", "This is second artillery, roger."] call XSendNetStartScriptClient;
	sleep 8.54;
	(format ["Second artillery executing %1 strike, salvoes %2", ari2_type,ari2_salvos]) call XfHQChat;
	["ari2msg", (format ["Second artillery executing %1 strike, salvoes %2", ari2_type,ari2_salvos])] call XSendNetStartScriptClient;
	if (X_SPE) then {
		execVM "x_scripts\x_arifire2.sqf";
	} else {
		["ari2_type",ari2_type,ari2_salvos] call XSendNetStartScriptServer;
	};
} else {
	deleteMarkerLocal "arti1_marker_1";
	"Second artillery canceled" call XfHQChat;
	AriTarget2 setpos _oldpos;
	"arti_target2" setMarkerPos _oldpos;
};

deleteMarkerLocal "arti2_marker_1";

if (true) exitWith {};
