// by Xeno
private ["_unit", "_caller", "_s", "_hasbox", "_time_next", "_height", "_speed", "_the_box", "_box"];

if (!X_Client) exitWith {};

#include "x_setup.sqf"
#include "x_macros.sqf"

_unit = _this select 0;
_caller = _this select 1;

if (_caller != driver _unit) exitWith {};

_unit = vehicle _caller;

if (_unit distance AMMOLOAD < 20) exitWith {
	[_unit,"Can't drop box near Ammo Point."] call XfVehicleChat;
};
#ifdef __TT__
if (_unit distance AMMOLOAD2 < 20) exitWith {
	[_unit,"Can't drop box near Ammo Point."] call XfVehicleChat;
};
#endif

_height = _unit call XfGetHeight;
if (_height > 3) exitWith {
	[_unit,"Too high to drop an ammocrate, please land!"] call XfVehicleChat;
};
_speed = speed _unit;
if (_speed > 3) exitWith {
	[_unit,"Too fast to drop an ammocrate, please stop!"] call XfVehicleChat;
};

if (ammo_boxes >= max_number_ammoboxes) exitWith {
	_s = format ["Maximum number (%1) of ammo crates reached!", max_number_ammoboxes];
	[_unit,_s] call XfVehicleChat;
	[_unit,"Pick up a dropped box..."] call XfVehicleChat;
};

_hasbox = _unit getVariable "d_ammobox";
if (format["%1",_hasbox] == "<null>") then {
	_hasbox = false;
};
if (!_hasbox) exitWith {
	[_unit, "No ammobox loaded into this vehicle !!!"] call XfVehicleChat;
};

_time_next = _unit getVariable "d_ammobox_next";
if (format["%1",_time_next] == "<null>") then {
	_time_next = -1;
};
if (_time_next > time) exitWith {
	[_unit, format ["You have to wait %1 seconds before you can drop a box from this vehicle again !!!",round (_time_next - time)]] call XfVehicleChat;
};

[_unit,"Dropping ammo box... stand by..."] call XfVehicleChat;

_unit setVariable ["d_ammobox", false];
_time_next = time + 240;
_unit setVariable ["d_ammobox_next", _time_next];
["d_ammo_vec", _unit, false, _time_next] call XSendNetStartScriptAll;

#ifndef __TT__
_the_box = (
	switch (d_own_side) do {
		case "RACS": {"WeaponBoxGuer"};
		case "EAST": {"WeaponBoxEast"};
		case "WEST": {"WeaponBoxWest"};
	}
);
#endif
#ifdef __TT__
_the_box = (
	if (playerSide == west) then {
		"WeaponBoxWest"
	} else {
		"WeaponBoxGuer"
	}
);
#endif

_box = _the_box createVehicleLocal (position _unit);
_box_pos = position _box;
#ifdef __RANKED__
_boxscript = (
		if (__CSLAVer) then {
			"x_scripts\x_weaponcargor_csla.sqf"
	} else {
		if (__ACEVer) then {
			"x_scripts\x_weaponcargor_ace.sqf"
		} else {
			if (__P85Ver) then {
				"x_scripts\x_weaponcargor_p85.sqf"
			} else {
				"x_scripts\x_weaponcargor.sqf"
			}
		}
	}
);
#else
_boxscript = (
	if (__CSLAVer) then {
		"x_scripts\x_weaponcargo_csla.sqf"
	} else {
		if (__ACEVer) then {
			"x_scripts\x_weaponcargo_ace.sqf"
		} else {
			if (__P85Ver) then {
				"x_scripts\x_weaponcargo_p85.sqf"
			} else {
				"x_scripts\x_weaponcargo.sqf"
			}
		}
	}
);
#endif
[_box] execVM _boxscript;
_box addEventHandler ["killed",{["d_rem_box",position (_this select 0)] call XSendNetStartScriptServer;deleteVehicle (_this select 0)}];
if (!X_SPE) then {
	["d_create_box",_box_pos] call XSendNetStartScriptAllDiff;
} else {
	_box_pos spawn XCreateDroppedBox;
};

[_unit, "Ammobox dropped !!!"] call XfVehicleChat;

if (true) exitWith {};