#include "x_setup.sqf"
#include "x_macros.sqf"

x_commonfuncs_compiled = false;

// from warfare
// Returns an average slope value of terrain within passed radius.
// a little bit modified. no need to create a "global" logic that, local is enough
// not used yet, should be used for mg nest and mash slope, maybe vehicle placement
x_getslope = {
	Private["_centerHeight","_direction","_height","_position","_radius"];
	_position = _this Select 0;
	_radius = _this Select 1;
	
	if (IsNil "GetSlopeObject") then {
		GetSlopeObject = "Logic" createVehicleLocal [0,0,0];
	};
	
	GetSlopeObject SetPos _position;
	_centerHeight = GetPosASL GetSlopeObject Select 2;
	
	_height = 0;
	_direction = 0;
	
	for [{_count = 0},{_count < 8},{_count = _count + 1}] do {
		GetSlopeObject SetPos [(_position Select 0)+((sin _direction)*_radius),(_position Select 1)+((cos _direction)*_radius),0];
		_direction = _direction + 45;
		_height = _height + abs (_centerHeight - (GetPosASL GetSlopeObject Select 2));
	};
	
	_height / 8
};

private ["_search_array"];
_search_array = [];

for "_i" from 0 to (count (configFile >> "cfgPatches") - 1) do {
	_search_array = _search_array + [configName ((configFile >> "cfgPatches") select _i)];
};

if (isServer) then {
	if (d_use_mod_tracked) then {
		d_found_gdtmodtracked = (if ("GDTModTracked" in _search_array) then {true} else {false});
		__DEBUG_SERVER("x_commonfuncs.sqf",d_found_gdtmodtracked)

		if (!(d_found_gdtmodtracked)) then {
			// from GDTModTracked made by Hein Bld
			XGDTTracked = {
				Private["_vehicle"];
				_vehicle = _this select 0;
				if (local _vehicle) then {
					while {alive _vehicle && !isNull _vehicle} do {
						if (((vectorUp _vehicle select 2) < (0.3)) or (((velocity _vehicle select 2) > 5) and ((getpos _vehicle select 2) > 4))) then {
							_vehicle setpos [getpos _vehicle select 0, getpos _vehicle select 1, 0];
							_vehicle setvelocity [(velocity _vehicle select 0) * 0.5, (velocity _vehicle select 1) * 0.5, (velocity _vehicle select 2) * 0.5];
						};
						Sleep 0.1;
					};
				};
			};
		};
	} else {
		d_found_gdtmodtracked = true;
	};
};

#ifndef __ACE__
d_found_DMSmokeGrenadeVB = (if ("DMSmokeGrenadeVB" in _search_array) then {true} else {false});
__DEBUG_SERVER("x_commonfuncs.sqf",d_found_DMSmokeGrenadeVB)

if ("six_sys_suppression" in _search_array) then {d_suppression = false};

if (d_found_DMSmokeGrenadeVB) then {
	X_DM_SMOKE_SHELL = {
		private ["_ThisSmoke","_here","_ViewBlock","_wind","_timeout"];
		_ThisSmoke = _this select 0;
		DM_MP_THROW_OBJ = _ThisSmoke;
		publicVariable "DM_MP_THROW_OBJ";
		_here = position _ThisSmoke;
		sleep ((random 5) + 5);
		_ViewBlock = "DMShellSmokeVBinv" createVehicleLocal _here;
	
		_wind = wind;
				
		_ViewBlock setPos [(_here select 0), (_here select 1), ((_here select 2) +5)];
		_ViewBlock setVectorUp [-1*(_wind select 0),-1*(_wind select 1),1];
				
		_timeout = time + 60;
		while {time < _timeout} do {
			_wind = wind;
				
			sleep 5;// is here to allow particles to drift first before adjusting Viewblock
				
			_here = position _ThisSmoke;
			_ViewBlock setPos [(_here select 0), (_here select 1), ((_here select 2) +5)];//is in the loop in case of v. high launch
			_ViewBlock setVectorUp [-1*(_wind select 0),-1*(_wind select 1),1];
		};
		
		deleteVehicle _ViewBlock;
	};
};
#endif
#ifdef __ACE__
d_found_DMSmokeGrenadeVB = true; // makes things easier, don't want to update millions of files ;)

X_DM_SMOKE_SHELL = {
		private ["_smoke"];
		_smoke = _this select 0;
		if (local _smoke) then {
			[objNull,objNull,objNull,objNull,typeOf _smoke,_smoke] spawn ace_viewblock_fired;
		};
};
#endif

_search_array = nil;

x_repall = {
	private ["_vec"];
	_vec = _this select 0;
	_vec setDamage 0;
	_vec setFuel 1;
};

x_commonfuncs_compiled = true;

if (true) exitWith {};