// by Xeno

x_funcs2_compiled = false;

// direction from one object to another
// parameters: object1, object2
// example: _dir = [tank1, apc1] call XfDirToObj;
XfDirToObj = {
	private ["_o1","_o2","_deg"];
	_o1 = _this select 0;_o2 = _this select 1;
	_deg = ((position _o2 select 0) - (position _o1 select 0)) atan2 ((position _o2 select 1) - (position _o1 select 1));
	if (_deg < 0) then {_deg = _deg + 360};
	_deg
};

// get a random numer, floored, from count array
// parameters: array
// example: _randomarrayint = _myarray call XfRandomFloorArray;
XfRandomFloorArray = {
	floor (random (count _this))
};

// get a random numer, ceiled
// parameters: number
// example: _randomint = 30 call XfRandomCeil;
XfRandomCeil = {
	ceil (random _this)
};

// returns the number of human players currently playing a mission in MP
XPlayersNumber = {
	(playersNumber east + playersNumber west + playersNumber resistance + playersNumber civilian)
};

// gets a random number in a specific range
// parameters: number from, number to
// example: _random_number = [30,150] call XfGetRandomRange;
XfGetRandomRange = {
	private ["_num1","_num2","_ra"];
	_num1 = _this select 0;_num2 = _this select 1;
	_ra = _num2 - _num1;
	_ra = random _ra;
	(_num1 + _ra)
};

// gets a random integer number in a specific range
// parameters: integer from, integer to
// example: _random_integer = [30,150] call XfGetRandomRangeInt;
XfGetRandomRangeInt = {
	private ["_num1","_num2","_ra"];
	_num1 = _this select 0;_num2 = _this select 1;
	if (_num1 > _num2) then {_num1 = _this select 1;_num2 = _this select 0;};
	_ra = _num2 - _num1;
	_ra = _ra call XfRandomFloor;
	(_num1 + _ra)
};

// compares two arrays, if equal returns true, if not false
// parameters: array1, array2
// example: _isequal = [array1, array2] call XfArrayCompare;
XfArrayCompare = {
	if (str (_this select 0) == str (_this select 1)) then {true} else {false}
};

// get height of object
// parameters: object (no brackets)
// _height = tank1 call XfGetHeight;
XfGetHeight = {
	position _this select 2
};

// set only height of an object
// parameters: object, height
// example: [unit1, 30] call XfSetHeight;
XfSetHeight = {
	(this select 0) setPos [position (this select 0) select 0, position (this select 0) select 1, (_this select 1)];
};

// get x position of an object
// parameters: object (no brackets)
// _posx = tank1 call XfGetPosX;
XfGetPosX = {
	position _this select 0
};

// set only x position of an object
// parameters: object, x
// example: [unit1, 30] call XfSetPosX;
XfSetPosX = {
	(this select 0) setPos [(_this select 1), position (this select 0) select 1, position (this select 0) select 2];
};

// get y position of an object
// parameters: object (no brackets)
// _posy = tank1 call XfGetPosY;
XfGetPosY = {
	position _this select 1
};

// set only y position of an object
// parameters: object, y
// example: [unit1, 30] call XfSetPosY;
XfSetPosY = {
	(this select 0) setPos [position (this select 0) select 0, (_this select 1), position (this select 0) select 2];
};

// get displayname of an object
// parameters: type of object (string), what (0 = CfgVehicles, 1 = CfgWeapons, 2 = CfgMagazines)
// example: _dispname = ["UAZ", 0] call XfGetDisplayName;
XfGetDisplayName = {
	private ["_obj_name", "_obj_kind", "_cfg"];
	_obj_name = _this select 0;_obj_kind = _this select 1;
	_cfg = (switch (_obj_kind) do {case 0: {"CfgVehicles"};case 1: {"CfgWeapons"};case 2: {"CfgMagazines"};});
	getText(configFile >> _cfg >> _obj_name >> "displayName")
};

// get a random point inside a circle
// parameters:
// center position, radius of the circle, static radius, means, the min distance that a point should have from a static building
// example: _random_point = [position trigger1, 200, 8] call XfGetRanPointCircle;
XfGetRanPointCircle = {
	private ["_center","_radius","_center_x","_center_y","_ret_val","_static_radius","_co"];
	_center = _this select 0;_radius = _this select 1;_static_radius = _this select 2;
	_center_x = _center select 0;_center_y = _center select 1;
	_ret_val = [];_co = 0;
	while {count _ret_val == 0 && _co < 100} do {
		_angle = floor (random 360);
		_x1 = _center_x - ((random _radius) * sin _angle);
		_y1 = _center_y - ((random _radius) * cos _angle);
		if (!(surfaceiswater [_x1, _y1])) then {
			_nolst = [_x1, _y1] nearObjects ["Static",_static_radius];
			if (count _nolst == 0) then {_ret_val = [_x1, _y1,0]};
		};
		if (count _ret_val == 0) then {
			_co = _co + 1;
			sleep .01;
		};
	};
	_ret_val
};

// get a random point at around a circle
// parameters:
// center position, radius of the circle, static radius, means, the min distance that a point should have from a static building
// example: _random_point = [position trigger1, 200, 8] call XfGetRanPointCircleOuter;
XfGetRanPointCircleOuter = {
	private ["_center","_radius","_center_x","_center_y","_ret_val","_static_radius","_co"];
	_center = _this select 0;_radius = _this select 1;_static_radius = _this select 2;
	_center_x = _center select 0;_center_y = _center select 1;
	_ret_val = [];_co = 0;
	while {count _ret_val == 0 && _co < 100} do {
		_angle = floor (random 360);
		_x1 = _center_x - (_radius * sin _angle);
		_y1 = _center_y - (_radius * cos _angle);
		if (!(surfaceiswater [_x1, _y1])) then {
			_nolst = [_x1, _y1] nearObjects ["Static",_static_radius];
			if (count _nolst == 0) then {_ret_val = [_x1, _y1,0]};
		};
		if (count _ret_val == 0) then {
			_co = _co + 1;
			sleep .01;
		};
	};
	_ret_val
};

// get a random point inside a square
// parameters:
// center position, a and b (like in triggers), angle, static radius, means, the min distance that a point should have from a static building
// example: _random_point  = [position trigger2, 200, 300, 30, 10] call XfGetRanPointSquare;
XfGetRanPointSquare = {
	private ["_pos","_a","_b","_angle","_static_radius","_centerx","_centery","_leftx","_lefty","_width","_height","_ret_val","_co"];
	_pos = _this select 0;_a = _this select 1;_b = _this select 2;_angle = _this select 3;_static_radius = _this select 4;
	_centerx = _pos select 0;_centery = _pos select 1;_leftx = _centerx - _a;_lefty = _centery - _b;
	_width = 2 * _a;_height = 2 * _b;_ret_val = [];_co = 0;
	while {count _ret_val == 0 && _co < 100} do {
		_px1 = _leftx + random _width;
		_py1 = _lefty + random _height;
		_radius = _pos distance [_px1,_py1];
		_atan = (_centerx - _px1) atan2 (_centery - _py1);
		_x1 = _centerx - (_radius * sin (_atan + _angle));
		_y1 = _centery - (_radius * cos (_atan + _angle));
		if (!(surfaceiswater [_x1, _y1])) then {
			_nolst = [_x1, _y1,0] nearObjects ["Static",_static_radius];
			if (count _nolst == 0) then {
				_ret_val = [_x1,_y1,0];
			};
		};
		if (count _ret_val == 0) then {
			_co = _co + 1;
			sleep .01;
		};
	};
	_ret_val
};

// hopefully not needed in A2, function returns two flanking positions for AI
// parameters: target unit(s) pos , flanking unit(s) pos, distance between both
// example: _flankarray = [position player, position _enemy1, (player distance _enemy1)]
XfGetFlankPos = {
	private ["_a","_angle","_b","_dis","_ex","_ey","_flank_ret","_i","_pe","_pp","_px","_py","_rand","_ret","_xp","_yp"];
	_pp = _this select 0;_pe = _this select 1;_dis = _this select 2;_px = _pp select 0;_py = _pp select 1;_ex = _pe select 0;_ey = _pe select 1;
	
	_angle = 0; _a = (_px - _ex);_b = (_py - _ey);
	if (_a != 0 || _b != 0) then {_angle = _a atan2 _b}; 
	if ( _angle < 0 ) then {_angle = _angle + 360};
	_i = 45;_rand = floor random 100;_flank_ret = [];
	if (_rand > 49) then {_i = -45;};
	_xp = _px - ((_dis) * sin (_angle + _i));_yp = _py - ((_dis) * cos (_angle + _i));_ret = [_xp,_yp,0];_flank_ret = _flank_ret + [_ret];
	sleep 0.001;_i = 90;
	if (_rand > 49) then {_i = -90;};_xp = _px - ((_dis) * sin (_angle + _i));_yp = _py - ((_dis) * cos (_angle + _i));_ret = [_xp,_yp,0];
	_flank_ret = _flank_ret + [_ret];
	_flank_ret
};

// from warfare
// Returns an average slope value of terrain within passed radius.
// a little bit modified. no need to create a "global" logic, local is enough
// parameters: position, radius
// example: _slope = [the_position, the_radius] call XfGetSlope;
XfGetSlope = {
	private["_centerHeight","_direction","_height","_position","_radius"];
	_position = _this select 0;_radius = _this select 1;
	
	if (isNil "GetSlopeObject") then {GetSlopeObject = "Logic" createVehicleLocal [0,0,0];};
	
	GetSlopeObject SetPos _position;
	_centerHeight = getPosASL GetSlopeObject Select 2;
	
	_height = 0;
	_direction = 0;
	
	for "_count" from 0 to 7 do {
		GetSlopeObject setPos [(_position select 0)+((sin _direction)*_radius),(_position select 1)+((cos _direction)*_radius),0];
		_direction = _direction + 45;
		_height = _height + abs (_centerHeight - (getPosASL GetSlopeObject select 2));
	};
	
	_height / 8
};

// create a global marker
// parameters: marker name, marker pos, marker shape, marker color, marker size;(optional) marker text, marker dir, marker type, marker brush
// example: ["my marker",  position player, "Dot", "ColorBlue", [0.5,0.5]] call XfCreateMarkerGlobal;
XfCreateMarkerGlobal = {
	private ["_m_name","_m_pos","_m_shape","_m_col","_m_size","_m_text","_m_dir","_m_type","_m_brush"];
	_m_name = _this select 0;
	_m_pos = _this select 1;
	_m_shape = _this select 2;
	_m_col = _this select 3;
	_m_size = _this select 4;
	_m_text = (if (count _this > 5) then {_this select 5} else {""});
	_m_dir = (if (count _this > 6) then {_this select 6} else {-888888888888});
	_m_type = (if (count _this > 7) then {_this select 7} else {""});
	_m_brush = (if (count _this > 8) then {_this select 8} else {""});
	
	_marker = createMarker [_m_name, _m_pos];
	if (_m_shape != "") then {_marker setMarkerShape _m_shape};
	if (_m_col != "") then {_marker setMarkerColor _m_col};
	if (count _m_size > 0) then {_marker setMarkerSize _m_size};
	if (_m_text != "") then {_marker setMarkerText _m_text};
	if (_m_dir != -888888888888) then {_marker setMarkerDir _m_dir};
	if (_m_type != "") then {_marker setMarkerType _m_type};
	if (_m_brush != "") then {_marker setMarkerBrush _m_brush};
};

// create a local marker
// parameters: marker name, marker pos, marker shape, marker color, marker size;(optional) marker text, marker dir, marker type, marker brush
// example: ["my marker",  position player, "Dot", "ColorBlue", [0.5,0.5]] call XfCreateMarkerLocal;
XfCreateMarkerLocal = {
	private ["_m_name","_m_pos","_m_shape","_m_col","_m_size","_m_text","_m_dir","_m_type","_m_brush"];
	_m_name = _this select 0;
	_m_pos = _this select 1;
	_m_shape = _this select 2;
	_m_col = _this select 3;
	_m_size = _this select 4;
	_m_text = (if (count _this > 5) then {_this select 5} else {""});
	_m_dir = (if (count _this > 6) then {_this select 6} else {-888888888888});
	_m_type = (if (count _this > 7) then {_this select 7} else {""});
	_m_brush = (if (count _this > 8) then {_this select 8} else {""});
	
	_marker = createMarkerLocal [_m_name, _m_pos];
	if (_m_shape != "") then {_marker setMarkerShapeLocal _m_shape};
	if (_m_col != "") then {_marker setMarkerColorLocal _m_col};
	if (count _m_size > 0) then {_marker setMarkerSizeLocal _m_size};
	if (_m_text != "") then {_marker setMarkerTextLocal _m_text};
	if (_m_dir != -888888888888) then {_marker setMarkerDirLocal _m_dir};
	if (_m_type != "") then {_marker setMarkerTypeLocal _m_type};
	if (_m_brush != "") then {_marker setMarkerBrushLocal _m_brush};
};

// send a text message over the network
// parameters: msg text, receiver ("unit","grp","all","vec"), receiver (unit, grp, vehicle), type ("global", "vehicle", "side", "group", "hint")
XfSendMessage = {
	["xmsg",_this] call XNTSendNetStartScriptClient;
};

x_funcs2_compiled = true;

if (true) exitWith {};