// by Xeno
private ["_unit", "_caller", "_hasbox", "_time_next", "_height", "_speed", "_the_box", "_nobjs", "_box"];

if (!X_Client) exitWith {};

#include "x_setup.sqf"
#include "x_macros.sqf"

_unit = _this select 0;
_caller = _this select 1;

if (_caller != driver _unit) exitWith {};

_unit = vehicle _caller;

_height = _unit call XfGetHeight;
if (_height > 3) exitWith {
	[_unit,"Too high to load an ammocrate, please land!"] call XfVehicleChat;
};
_speed = speed _unit;
if (_speed > 3) exitWith {
	[_unit,"Too fast to load an ammocrate, please stop!"] call XfVehicleChat;
};

_hasbox = _unit getVariable "d_ammobox";
if (format["%1",_hasbox] == "<null>") then {
	_hasbox = false;
};
if (_hasbox) exitWith {
	[_unit, "This vehicle allready has an ammobox loaded !!!"] call XfVehicleChat;
};

_time_next = _unit getVariable "d_ammobox_next";
if (format["%1",_time_next] == "<null>") then {
	_time_next = -1;
};
if (_time_next > time) exitWith {
	[_unit, format ["You have to wait %1 seconds before you can load a dropped box in this vehicle again !!!",round (_time_next - time)]] call XfVehicleChat;
};

#ifndef __TT__
_the_box = (
	switch (d_own_side) do {
		case "RACS": {"WeaponBoxGuer"};
		case "EAST": {"WeaponBoxEast"};
		case "WEST": {"WeaponBoxWest"};
	}
);
#endif
#ifdef __TT__
_the_box = (
	if (playerSide == west) then {
		"WeaponBoxWest"
	} else {
		"WeaponBoxGuer"
	}
);
#endif

_nobjs = nearestObjects [_unit, [_the_box], 20];
if (count _nobjs == 0) exitWith {
	[_unit,"No ammo boxes nearby, can't load a box..."] call XfVehicleChat;
};
_box = _nobjs select 0;
[_unit,"Loading ammo box... stand by..."] call XfVehicleChat;

if (!X_SPE) then {
	["d_rem_box",position _box] call XSendNetStartScriptAllDiff;
} else {
	["d_rem_box",position _box] call XHandleNetStartScriptServer;
};
deleteVehicle _box;
_unit setVariable ["d_ammobox", true];
_time_next = time + 240;
_unit setVariable ["d_ammobox_next", _time_next];
["d_ammo_vec", _unit, true, _time_next] call XSendNetStartScriptAll;

[_unit, "Ammobox loaded !!!"] call XfVehicleChat;

if (true) exitWith {};