// by Xeno
private ["_p", "_pos", "_type", "_i", "_res", "_target_array", "_current_target_pos", "_target_name", "_no", "_color", "_objstatus", "_xres", "_winner", "_target_array2", "_current_target_name", "_counterxx", "_marker_name", "_text", "_box", "_xx", "_units", "_strp", "_artinum", "_vec", "_ari1", "_vec_id", "_dropaction", "_respawn_marker", "_s", "_trigger", "_dbase_a", "_status", "_bravo", "_is_climber", "_types", "_action", "_ar", "_mcctypeaascript", "_num", "_thefac", "_element", "_posf", "_facid", "_exit_it", "_boxname", "_dir", "_oldscore","_string_player"];
if (!X_Client) exitWith {};

#include "x_setup.sqf"
#include "x_macros.sqf"

_p = player;
_pos = position _p;
_type = typeOf _p;
_string_player = format ["%1",_p];

#ifdef __TT__
d_own_side = (if (playerSide == resistance) then {"RACS"} else {"WEST"});
d_side_player_str = (
	switch (playerSide) do {
		case west: {"west"};
		case resistance: {"guerrila"};
	}
);
d_own_side_trigger = (
	if (playerSide == west) then {
		"WEST"
	} else {
		"GUER"
	}
);
if (d_own_side == "RACS") then {d_mg_nest = "WarfareBResistanceMGNest_M240"};
d_side_player = playerSide;
#endif

d_flag_vec = objNull;

if (X_InstalledECS) then {
	ECS_local set[2, false];            //Camera NVG turned off since it interferes with intro
	ECS_local set[51, [""]];            //Turns off our radiochatter. Enemy still has it though
	ECS_local set[63, [""]];            //Also prevent radiochatter from "undercover" vehicles borrowed from RACS
	ECS_local set[98, 120];             //AI Smokeshell timeout. Number of seconds before reuse
	ECS_local set[6, false];            //Dynamic viewdistance OFF, use Domination menu instead
	ECS_local set[85, false];           //GPWS in aircrafts turned OFF. Does military aircraft have this anyway?
	ECS_local set[90, 60];              //AI remains in alert mode for 1 minute instead of 4. Domination players are impatient
	ECS_local set[93, 0.95];            //Chance of AI using flares
	ECS_local set[94, 1.00];            //Chance of AI having flares
	ECS_local set[95, 30];              //Flare timeout
	ECS_local set[96, true];            //Can AI use smokeshells
	ECS_local set[97, 0.50];            //Chance of AI using smokeshells
	ECS_local set[98, 60];              //Smokeshell timeout
	ECS_local set[100, 0.98];           //Chance of AI using supressive fires
	ECS_local set[101, 35];             //Supressive fire timeout
	ECS_local set[108, true];           //Can AI panic
	ECS_local set[109, 0.85];           //Chance of AI panicking
};

if (isNil "x_funcs2_compiled") then {
	call compile preprocessFileLineNumbers "x_scripts\x_funcs\x_functions2.sqf";
};
call compile preprocessFileLineNumbers "x_scripts\x_funcs\x_playerfuncs.sqf";
if (isNil "x_commonfuncs_compiled") then {
	call compile preprocessFileLineNumbers "x_scripts\x_funcs\x_commonfuncs.sqf";
};
call compile preprocessFileLineNumbers "x_scripts\x_funcs\x_clientfuncs.sqf";

[] spawn {
	private ["_endtime"];
	// ask the server for the client score, etc
	sleep random 1;
	_endtime = time + 60;
	["d_p_a",name player] call XSendNetStartScriptServer;
	waitUntil {(!isNil "d_player_stuff" || time > _endtime)};
	if (isNil "d_player_stuff") exitWith {
		player_autokick_time = d_player_air_autokick;
	};
	if (time > _endtime) exitWith {
		player_autokick_time = d_player_air_autokick;
	};
	if ((d_player_stuff select 2) == name player) exitWith {
		player_autokick_time = d_player_stuff select 0;
		player addScore (d_player_stuff select 3);
	};
	__DEBUG_NET("x_setupplayer.sqf",d_player_stuff)
	d_player_stuff = nil;
};

d_player_old_score = 0;
d_player_old_rank = "PRIVATE";
d_rank_pic = "\warfare\Images\rank_private.paa";
[] spawn {
	waitUntil {!d_still_in_intro};
	sleep 2;
	while {true} do {
		[] spawn XPlayerRank;
		sleep 5.0123;
	};
};

#ifdef __RANKED__
// give players a basic rifle at start
_weapp = "";
_magp = "";
switch (d_own_side) do {
	case "WEST": {
		if (__ACEVer) then {
			_weapp = "ACE_M16A4";
			_magp = "ACE_30Rnd_556x45_B_Stanag";
		} else {
			_weapp = "M16A4";
			_magp = "30Rnd_556x45_Stanag";
		};
	};
	case "EAST": {
		if (__ACEVer) then {
			_weapp = "ACE_AK74";
			_magp = "ACE_30Rnd_545x39_B_AK";
		} else {
			if (__CSLAVer) then {
				_weapp = "CSLA_Sa58P";
				_magp = "CSLA_Sa58_30rnd_7_62vz43 ";
			} else {
				_weapp = "AK74";
				_magp = "30Rnd_545x39_AK ";
			};
		};
	};
	case "RACS": {
		_weapp = "M16A4";
		_magp = "30Rnd_556x45_Stanag";
	};
};
removeAllWeapons _p;
for "_i" from 1 to 6 do {
	_p addMagazine _magp;
};
_p addWeapon _weapp;
_p selectWeapon (primaryWeapon _p);
_muzzles = getArray(configFile>>"cfgWeapons" >> (primaryWeapon _p) >> "muzzles");
_p selectWeapon (_muzzles select 0);
#endif

#ifndef __TT__
for "_i" from 0 to (count resolved_targets - 1) do {
	_res = resolved_targets select _i;
	_target_array = target_names select _res;
	_current_target_pos = _target_array select 0;
	_target_name = _target_array select 1;
	_no = _current_target_pos nearestObject "HeliHEmpty";
	_color = "ColorGreen";
	_objstatus = "DONE";
	if (!isNull _no) then {
		if (direction _no > 355) then {
			_objstatus = "FAILED";
			_color = "ColorRed";
			[_target_name, _current_target_pos,"ELLIPSE",_color,[300,300],"",0,"Marker","FDiagonal"] call XfCreateMarkerLocal;
		} else {
			[_target_name, _current_target_pos,"ELLIPSE",_color,[300,300]] call XfCreateMarkerLocal;
		};
	} else {
		[_target_name, _current_target_pos,"ELLIPSE",_color,[300,300]] call XfCreateMarkerLocal;
	};
	call compile format ["""%1"" ObjStatus ""VISIBLE"";""%1"" ObjStatus ""%2"";", _res + 2,_objstatus];
};
#endif
#ifdef __TT__
for "_i" from 0 to (count resolved_targets - 1) do {
	_xres = resolved_targets select _i;
	_res = _xres select 0;
	_winner = _xres select 1;
	_target_array = target_names select _res;
	_current_target_pos = _target_array select 0;
	_target_name = _target_array select 1;
	_color = (
		switch (_winner) do {
			case 1: {"ColorBlue"};
			case 2: {"ColorYellow"};
			case 3: {"ColorGreen"};
		}
	);
	_no = _current_target_pos nearestObject "HeliHEmpty";
	_objstatus = "DONE";
	if (!isNull _no) then {
		if (direction _no == 359) then {
			_objstatus = "FAILED";
			_color = "ColorRed";
			[_target_name, _current_target_pos,"ELLIPSE",_color,[300,300],"",0,"Marker","FDiagonal"] call XfCreateMarkerLocal;
		} else {
			[_target_name, _current_target_pos,"ELLIPSE",_color,[300,300]] call XfCreateMarkerLocal;
		};
	} else {
		[_target_name, _current_target_pos,"ELLIPSE",_color,[300,300]] call XfCreateMarkerLocal;
	};
	call compile format ["""%1"" ObjStatus ""VISIBLE"";""%1"" ObjStatus ""%2"";", _res + 2,_objstatus];
};
#endif

if (current_target_index != -1 && !target_clear) then {
	_target_array2 = target_names select current_target_index;
	_current_target_pos = _target_array2 select 0;
	_current_target_name = _target_array2 select 1;
	_color = (if (current_target_index in resolved_targets) then {"ColorGreen"} else {"ColorRed"});
	[_current_target_name, _current_target_pos,"ELLIPSE",_color,[300,300]] call XfCreateMarkerLocal;
	"dummy_marker" setMarkerPosLocal _current_target_pos;
	"1" objStatus "DONE";
	call compile format ["""%1"" ObjStatus ""VISIBLE"";", current_target_index + 2];
};

{
	[(_x select 0), (_x select 1),"ICON","ColorBlue",[1,1],format ["%1 wreck", (_x select 2)],0,"DestroyedVehicle"] call XfCreateMarkerLocal;
} forEach d_wreck_marker;

execVM "x_scripts\x_vec_hud.sqf";

if (d_show_chopper_hud) then {execVM "x_scripts\x_chop_hud.sqf";};

execVM "x_scripts\x_playerammobox.sqf";

_counterxx = 0;
{
	_pos = position _x;
	_marker_name = "";
	call compile format ["_marker_name = ""paraflag%1"";", _counterxx];
	[_marker_name, _pos,"ICON","ColorYellow",[0.5,0.5],"Parajump",0,"Flag1"] call XfCreateMarkerLocal;
	
	_counterxx = _counterxx + 1;
	if (d_jumpflag_vec == "") then {
		_x addaction ["(Choose Parachute location)","AAHALO\x_paraj.sqf"];
	} else {
		_text = format ["(Create %1)",d_jumpflag_vec];
		_x addAction [_text,"x_scripts\x_bike.sqf",[d_jumpflag_vec,1]];
	};
	#ifdef __ACE__
	if (d_jumpflag_vec == "") then {
		_box = "ACE_RuckBox" createVehicleLocal _pos;
		ClearMagazineCargo _box;
		ClearWeaponCargo _box;
		_box addweaponcargo ["ACE_ParachutePack",10];
	};
	#endif
} forEach jump_flags;

if (!mt_radio_down) then {
	if (mt_radio_pos select 0 != 0) then {
		["main_target_radiotower", mt_radio_pos,"ICON","ColorBlack",[0.5,0.5],"Radiotower",0,"DOT"] call XfCreateMarkerLocal;
	};
};

setDate date_str;

if (all_sm_res) then {
	current_mission_text="All missions resolved!";
} else {
	[false] execVM "x_missions\x_getsidemissionclient.sqf";
};

if (!(_p hasWeapon "NVGoggles")) then {
	_p addWeapon "NVGoggles";
};
if (!(_p hasWeapon "Binocular")) then {
	_p addWeapon "Binocular";
};

if (daytime > 19.75 || daytime < 4.25) then {
	_p action ["NVGoggles",_p];
};

if (__ReviveVer || __AIVer || !d_with_respawn_dialog_after_death) then {
	_p addeventhandler ["killed", {[_this select 0, _this select 1] execVM "x_scripts\x_checkkill.sqf";}];
} else {
#ifndef __TT__
	_p addeventhandler ["killed", {[_this select 0, _this select 1] execVM "x_scripts\x_checkkill.sqf";[_this select 0] execVM "dlg\open.sqf";}];
#endif
#ifdef __TT__
	if (playerSide == west) then {
		_p addeventhandler ["killed", {[_this select 0, _this select 1] execVM "x_scripts\x_checkkillwest.sqf";[_this select 0] execVM "dlg\open.sqf";}];
	} else {
		_p addeventhandler ["killed", {[_this select 0, _this select 1] execVM "x_scripts\x_checkkillracs.sqf";[_this select 0] execVM "dlg\open.sqf";}];
	};
#endif
};

d_chop_lift_list = [];
d_chop_wreck_lift_list = [];
d_chop_normal_list = [];
d_chop_all = [];
#ifndef __TT__
{
	call compile format ["
		if (!(isNil ""%1"")) then {
			%1 addAction [""Chopper Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
			if ((_x select 1) == 0) then {
				%1 addeventhandler [""getin"", {[_this,0] execVM ""x_scripts\x_checkhelipilot.sqf"";}];
			} else {
				if ((_x select 1) == 1) then {
					%1 addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkhelipilot_wreck.sqf"";}];
				} else {
					if ((_x select 1) == 2) then {
						%1 addeventhandler [""getin"", {[_this,1] execVM ""x_scripts\x_checkhelipilot.sqf"";}];
					};
				};
			};
			%1 addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkhelipilotout.sqf"";}];
		};
		if ((_x select 1) == 0) then {
			""%1"" addPublicVariableEventHandler {
				(_this select 1) addAction [""Chopper Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
				(_this select 1) addeventhandler [""getin"", {[_this,0] execVM ""x_scripts\x_checkhelipilot.sqf"";}];
				(_this select 1) addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkhelipilotout.sqf"";}];
			};
		} else {
			if ((_x select 1) == 1) then {
				""%1"" addPublicVariableEventHandler {
					(_this select 1) addAction [""Chopper Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
					(_this select 1) addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkhelipilot_wreck.sqf"";}];
					(_this select 1) addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkhelipilotout.sqf"";}];
				};
			} else {
				if ((_x select 1) == 2) then {
					""%1"" addPublicVariableEventHandler {
						(_this select 1) addAction [""Chopper Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
						(_this select 1) addeventhandler [""getin"", {[_this,1] execVM ""x_scripts\x_checkhelipilot.sqf"";}];
					};
				};
			};
		};
		switch (%2) do {
			case 0: {d_chop_lift_list = d_chop_lift_list + [""%1""];};
			case 1: {d_chop_wreck_lift_list = d_chop_wreck_lift_list + [""%1""];};
			case 2: {d_chop_normal_list = d_chop_normal_list + [""%1""];};
		};
	", (_x select 0), (_x select 1)];
} forEach d_choppers;
#endif

#ifdef __TT__
{
	call compile format ["
		if (!(isNil ""%1"")) then {
			%1 addAction [""Chopper Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
			if ((_x select 1) == 0) then {
				%1 addeventhandler [""getin"", {[_this,0] execVM ""x_scripts\x_checkhelipilot.sqf"";}];
			} else {
				if ((_x select 1) == 1) then {
					%1 addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkhelipilot_wreck.sqf"";}];
				} else {
					if ((_x select 1) == 2) then {
						%1 addeventhandler [""getin"", {[_this,1] execVM ""x_scripts\x_checkhelipilot_wreck.sqf"";}];
					}
				};
			};
			%1 addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkhelipilotout.sqf"";}];
			%1 addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillwest.sqf"";}];
		};
		if ((_x select 1) == 0) then {
			""%1"" addPublicVariableEventHandler {
				(_this select 1) [""Chopper Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
				(_this select 1) addeventhandler [""getin"", {[_this,0] execVM ""x_scripts\x_checkhelipilot.sqf"";}];
				(_this select 1) addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkhelipilotout.sqf"";}];
				(_this select 1) addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillwest.sqf"";}];
			};
		} else {
			if ((_x select 1) == 1) then {
				""%1"" addPublicVariableEventHandler {
					(_this select 1) [""Chopper Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
					(_this select 1) addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkhelipilot_wreck.sqf"";}];
					(_this select 1) addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkhelipilotout.sqf"";}];
					(_this select 1) addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillwest.sqf"";}];
				};
			} else {
				if ((_x select 1) == 2) then {
					""%1"" addPublicVariableEventHandler {
						(_this select 1) addAction [""Chopper Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
						(_this select 1) addeventhandler [""getin"", {[_this,1] execVM ""x_scripts\x_checkhelipilot.sqf"";}];
						(_this select 1) addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillwest.sqf"";}];
					};
				};
			};
		};
		switch (%2) do {
			case 0: {d_chop_lift_list = d_chop_lift_list + [""%1""];};
			case 1: {d_chop_wreck_lift_list = d_chop_wreck_lift_list + [""%1""];};
			case 2: {d_chop_normal_list = d_chop_normal_list + [""%1""];};
		};
	", (_x select 0),(_x select 1)];
} forEach d_choppers_west;
{
	call compile format ["
		if (!(isNil ""%1"")) then {
			%1 [""Chopper Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
			if ((_x select 1) == 0) then {
				%1 addeventhandler [""getin"", {[_this,0] execVM ""x_scripts\x_checkhelipilot.sqf"";}];
			} else {
				if ((_x select 1) == 1) then {
					%1 addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkhelipilot_wreck.sqf"";}];
				} else {
					if ((_x select 1) == 2) then {
						%1 addeventhandler [""getin"", {[_this,1] execVM ""x_scripts\x_checkhelipilot.sqf"";}];
					}
				};
			};
			%1 addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkhelipilotout.sqf"";}];
			%1 addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillracs.sqf"";}];
		};
		if ((_x select 1) == 0) then {
			""%1"" addPublicVariableEventHandler {
				(_this select 1) [""Chopper Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
				(_this select 1) addeventhandler [""getin"", {[_this,0] execVM ""x_scripts\x_checkhelipilot.sqf"";}];
				(_this select 1) addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkhelipilotout.sqf"";}];
				(_this select 1) addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillracs.sqf"";}];
			};
		} else {
			if ((_x select 1) == 1) then {
				""%1"" addPublicVariableEventHandler {
					(_this select 1) [""Chopper Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
					(_this select 1) addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkhelipilot_wreck.sqf"";}];
					(_this select 1) addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkhelipilotout.sqf"";}];
					(_this select 1) addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillracs.sqf"";}];
				};
			} else {
				if ((_x select 1) == 2) then {
					""%1"" addPublicVariableEventHandler {
						(_this select 1) addAction [""Chopper Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
						(_this select 1) addeventhandler [""getin"", {[_this,1] execVM ""x_scripts\x_checkhelipilot.sqf"";}];
						(_this select 1) addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillracs.sqf"";}];
					};
				};
			};
		};
		switch (%2) do {
			case 0: {d_chop_lift_list = d_chop_lift_list + [""%1""];};
			case 1: {d_chop_wreck_lift_list = d_chop_wreck_lift_list + [""%1""];};
			case 2: {d_chop_normal_list = d_chop_normal_list + [""%1""];};
		};
	", (_x select 0), (_x select 1)];
} forEach d_choppers_racs;
#endif
d_chop_all = d_chop_lift_list + d_chop_wreck_lift_list  + d_chop_normal_list;

#ifndef __TT__
for "_xx" from 1 to 2 do {
	call compile format ["
		if (!(isNil ""MRR%1"")) then {
			MRR%1 addAction [""MHQ Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
			MRR%1 addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkdriver.sqf"";}];
			MRR%1 addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkdriverout.sqf"";}];
		};
		""MRR%1"" addPublicVariableEventHandler {
			(_this select 1) addAction [""MHQ Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
			(_this select 1) addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkdriver.sqf"";}];
			(_this select 1) addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkdriverout.sqf"";}];
		};
	", _xx];
};
#endif
#ifdef __TT__
for "_xx" from 1 to 2 do {
	call compile format ["
		if (!(isNil ""MRR%1"")) then {
			MRR%1 addAction [""MHQ Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
			MRR%1 addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkdriver.sqf"";}];
			MRR%1 addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkdriverout.sqf"";}];
			MRR%1 addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillwest.sqf"";}];
		};
		""MRR%1"" addPublicVariableEventHandler {
			(_this select 1) addAction [""MHQ Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
			(_this select 1) addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkdriver.sqf"";}];
			(_this select 1) addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkdriverout.sqf"";}];
			(_this select 1) addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillwest.sqf"";}];
		};
	", _xx];
};
#endif

#ifdef __TT__
for "_xx" from 1 to 2 do {
	call compile format ["
		if (!(isNil ""MRRR%1"")) then {
			MRRR%1 addAction [""MHQ Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
			MRRR%1 addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkdriver.sqf"";}];
			MRRR%1 addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkdriverout.sqf"";}];
			MRRR%1 addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillracs.sqf"";}];
		};
		""MRRR%1"" addPublicVariableEventHandler {
			(_this select 1) addAction [""MHQ Menu"",""x_scripts\x_vecdialog.sqf"",[],-1,false];
			(_this select 1) addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkdriver.sqf"";}];
			(_this select 1) addeventhandler [""getout"", {_this execVM ""x_scripts\x_checkdriverout.sqf"";}];
			(_this select 1) addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillracs.sqf"";}];
		};
	", _xx];
};
#endif

if (__AIVer || _string_player in d_is_engineer) then {
#ifndef __TT__
	for "_xx" from 7 to 8 do {
		call compile format ["
			if (!(isNil ""TR%1"")) then {
				TR%1 addAction[""Load Static"",""scripts\load_static.sqf"",[],-1,false];
				TR%1 addAction[""Unload Static"",""scripts\unload_static.sqf"",[],-1,false];
			};
			""TR%1"" addPublicVariableEventHandler {
				(_this select 1) addAction[""Load Static"",""scripts\load_static.sqf"",[],-1,false];
				(_this select 1) addAction[""Unload Static"",""scripts\unload_static.sqf"",[],-1,false];
			};
		", _xx];
	};
#endif
#ifdef __TT__
	if (playerSide == west) then {
		if (!(isNil "TR4")) then {
			TR4 addAction["Load Static","scripts\load_static.sqf",[],-1,false];
			TR4 addAction["Unload Static","scripts\unload_static.sqf",[],-1,false];
			TR4 addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
		};
		"TR4" addPublicVariableEventHandler {
			(_this select 1) addAction["Load Static","scripts\load_static.sqf",[],-1,false];
			(_this select 1) addAction["Unload Static"",""scripts\unload_static.sqf",[],-1,false];
			(_this select 1) addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
		};
	} else {
		if (!(isNil "TRR4")) then {
			TRR4 addAction["Load Static","scripts\load_static.sqf",[],-1,false];
			TRR4 addAction["Unload Static","scripts\unload_static.sqf",[],-1,false];
			TRR4 addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
		};
		"TRR4" addPublicVariableEventHandler {
			(_this select 1) addAction["Load Static","scripts\load_static.sqf",[],-1,false];
			(_this select 1) addAction["Unload Static"",""scripts\unload_static.sqf",[],-1,false];
			(_this select 1) addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
		};
	};
#endif
};

#ifndef __TT__
for "_xx" from 7 to 8 do {
	call compile format ["
		if (!(isNil ""TR%1"")) then {
			TR%1 addeventhandler [""getin"", {_this execVM ""x_scripts\x_checktrucktrans.sqf"";}];
		};
		""TR%1"" addPublicVariableEventHandler {
			(_this select 1) addeventhandler [""getin"", {_this execVM ""x_scripts\x_checktrucktrans.sqf"";}];
		};
	", _xx];
};
#endif
#ifdef __TT__
if (!(isNil "TR4")) then {
	TR4 addeventhandler ["getin", {_this execVM "x_scripts\x_checktrucktrans.sqf";}];
	TR4 addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
};
"TR4" addPublicVariableEventHandler {
	(_this select 1) addeventhandler ["getin", {_this execVM "x_scripts\x_checktrucktrans.sqf";}];
	(_this select 1) addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
};
if (!(isNil "TRR4")) then {
	TRR4 addeventhandler ["getin", {_this execVM "x_scripts\x_checktrucktrans.sqf";}];
	TRR4 addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
};
"TRR4" addPublicVariableEventHandler {
	(_this select 1) addeventhandler ["getin", {_this execVM "x_scripts\x_checktrucktrans.sqf";}];
	(_this select 1) addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
};
if (!(isNil "MEDVEC")) then {
	MEDVEC addeventhandler ["getin", {_this execVM "x_scripts\x_checkenterer.sqf";}];
	MEDVEC addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
};
"MEDVEC" addPublicVariableEventHandler {
	(_this select 1) addeventhandler ["getin", {_this execVM "x_scripts\x_checkenterer.sqf";}];
	(_this select 1) addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
};
if (!(isNil "MEDVECR")) then {
	MEDVECR addeventhandler ["getin", {_this execVM "x_scripts\x_checkenterer.sqf";}];
	MEDVECR addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
};
"MEDVECR" addPublicVariableEventHandler {
	(_this select 1) addeventhandler ["getin", {_this execVM "x_scripts\x_checkenterer.sqf";}];
	(_this select 1) addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
};

for "_i" from 1 to 3 do {
	call compile format ["
		if (!(isNil ""TR%1"")) then {
			TR%1 addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkenterer.sqf"";}];
			TR%1 addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillwest.sqf"";}];
		};
		""TR%1"" addPublicVariableEventHandler {
			(_this select 1) addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkenterer.sqf"";}];
			(_this select 1) addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillwest.sqf"";}];
		};
		if (!(isNil ""TRR%1"")) then {
			TRR%1 addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkenterer.sqf"";}];
			TRR%1 addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillracs.sqf"";}];
		};
		""TRR%1"" addPublicVariableEventHandler {
			(_this select 1) addeventhandler [""getin"", {_this execVM ""x_scripts\x_checkenterer.sqf"";}];
			(_this select 1) addeventhandler [""killed"", {_this execVM ""x_scripts\x_checkveckillracs.sqf"";}];
		};
	", _i];
};
if (!(isNil "TR5")) then {
	TR5 addeventhandler ["getin", {_this execVM "x_scripts\x_checkenterer.sqf";}];
	TR5 addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
};
"TR5" addPublicVariableEventHandler {
	(_this select 1) addeventhandler ["getin", {_this execVM "x_scripts\x_checkenterer.sqf";}];
	(_this select 1) addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillwest.sqf";}];
};
if (!(isNil "TRR5")) then {
	TRR5 addeventhandler ["getin", {_this execVM "x_scripts\x_checkenterer.sqf";}];
	TRR5 addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
};
"TRR5" addPublicVariableEventHandler {
	(_this select 1) addeventhandler ["getin", {_this execVM "x_scripts\x_checkenterer.sqf";}];
	(_this select 1) addeventhandler ["killed", {_this execVM "x_scripts\x_checkveckillracs.sqf";}];
};
#endif

if (count d_ammo_boxes > 0) then {
	private ["_the_box", "_box_pos", "_boxnew", "_boxscript"];
	_the_box = (
		switch (d_own_side) do {
			case "RACS": {"WeaponBoxGuer"};
			case "EAST": {"WeaponBoxEast"};
			case "WEST": {"WeaponBoxWest"};
		}
	);
	{
		_box_pos = _x select 0;
		[(_x select 1), _box_pos,"ICON","ColorBlue",[0.5,0.5],"Ammo",0,"Marker"] call XfCreateMarkerLocal;
		_boxnew = _the_box createVehicleLocal _box_pos;
		_boxnew setPos _box_pos;
		#ifdef __RANKED__
		_boxscript = (
				if (__CSLAVer) then {
					"x_scripts\x_weaponcargor_csla.sqf"
			} else {
				if (__ACEVer) then {
					"x_scripts\x_weaponcargor_ace.sqf"
				} else {
					if (__P85Ver) then {
						"x_scripts\x_weaponcargor_p85.sqf"
					} else {
						"x_scripts\x_weaponcargor.sqf"
					}
				}
			}
		);
		#else
		_boxscript = (
			if (__CSLAVer) then {
				"x_scripts\x_weaponcargo_csla.sqf"
			} else {
				if (__ACEVer) then {
					"x_scripts\x_weaponcargo_ace.sqf"
				} else {
					if (__P85Ver) then {
						"x_scripts\x_weaponcargo_p85.sqf"
					} else {
						"x_scripts\x_weaponcargo.sqf"
					}
				}
			}
		);
		#endif
		[_boxnew] execVM _boxscript;
		_boxnew addEventHandler ["killed",{["d_rem_box",position _this select 0] call XSendNetStartScriptServer;deleteVehicle (_this select 0)}];
	} forEach d_ammo_boxes;
};

player_can_call_drop = false;
player_can_call_arti = false;
#ifdef __AI__
if (!(isNil "AI_HUT")) then {
	ADD_HIT_EH(AI_HUT)
	ADD_DAM_EH(AI_HUT)
	AI_HUT addAction["Recruit Soldier","x_scripts\x_addsoldier.sqf","Soldier%1B"];
	AI_HUT addAction["Recruit AT Soldier","x_scripts\x_addsoldier.sqf","Soldier%1AT"];
	AI_HUT addAction["Recruit Medic","x_scripts\x_addsoldier.sqf","Soldier%1Medic"];
	AI_HUT addAction["Recruit MG Gunner","x_scripts\x_addsoldier.sqf","Soldier%1MG"];
	AI_HUT addAction["Recruit Sniper","x_scripts\x_addsoldier.sqf","Soldier%1Sniper"];
	AI_HUT addAction["Recruit AA Soldier","x_scripts\x_addsoldier.sqf","Soldier%1AA"];
	AI_HUT addAction["Recruit Specop","x_scripts\x_addsoldier.sqf","Specop"];
	AI_HUT addAction["Dismiss AI","x_scripts\x_dismissai.sqf"];
	_marker_name = "Recruit_x";
	[_marker_name, position AI_HUT,"ICON","ColorYellow",[0.5,0.5],"Recruit Barracks",0,"DOT"] call XfCreateMarkerLocal;
};

if (!(__ACEVer)) then {
	ari1 = -8877;
	dropaction = -8878;
	player_can_call_arti = true;
	player_can_call_drop = true;
	if (player_can_call_arti) then {
		ari1 = _p addAction ["Call Artillery", "x_scripts\x_artillery.sqf",[],-1,false];
	};
	if (player_can_call_drop) then {
		dropaction = _p addAction ["Call Drop", "x_scripts\x_calldrop.sqf",[],-1,false];
	};
} else {
	player_can_call_arti = false;
	player_can_call_drop = false;
	[1] execVM "x_scripts\x_artiradiocheck.sqf";
	execVM "x_scripts\x_dropradiocheck.sqf";
};
_p addRating 20000;
_units = units group player;
if (count _units > 1) then {
	{
		if (!(isPlayer _x)) then {
			if (vehicle _x != _x) then {
				unassignVehicle _x;
				_x setPos [0,0,0];
			};
			sleep 0.01;
			deleteVehicle _x;
		};
	} forEach _units;
};
#endif

#ifndef __AI__
if (_string_player in d_can_use_artillery) then {
	_strp = format ["%1",_p];
	if (!(__ACEVer)) then {
		if (_strp == "RESCUE") then {
			ari1 = -8877;
			player_can_call_arti = true;
			ari1 = _p addAction ["Call Artillery", "x_scripts\x_artillery.sqf",[],-1,false];
		};
		if (_strp == "RESCUE2") then {
			ari1 = -8877;
			player_can_call_arti = true;
			ari1 = _p addAction ["Call Artillery", "x_scripts\x_artillery2.sqf",[],-1,false];
		};
	} else {
		_artinum = 0;
		if (_strp == "RESCUE") then {
			_artinum = 1;
		};
		if (_strp == "RESCUE2") then {
			_artinum = 2;
		};
		if (_artinum == 0) exitWith {};
		[_artinum] execVM "x_scripts\x_artiradiocheck.sqf";
	};
};
_strp = format ["%1",_p];
{
	if (_strp == _x) exitWith {
		player_can_call_drop = true;
	};
} forEach d_can_call_drop;
if (player_can_call_drop) then {
	if (!(__ACEVer)) then {
		dropaction = -8878;
		dropaction = _p addAction ["Call Drop", "x_scripts\x_calldrop.sqf",[],-1,false];
	} else {
		execVM "x_scripts\x_dropradiocheck.sqf";
	};
};
#endif

#ifndef __REVIVE__
_respawn_marker = "";
switch (d_own_side) do {
	case "RACS": {
		_respawn_marker = "respawn_guerrila";
		deleteMarkerLocal "respawn_west";
		deleteMarkerLocal "respawn_east";
	};
	case "WEST": {
		_respawn_marker = "respawn_west";
		deleteMarkerLocal "respawn_guerrila";
		deleteMarkerLocal "respawn_east";
	};
	case "EAST": {
		_respawn_marker = "respawn_east";
		deleteMarkerLocal "respawn_west";
		deleteMarkerLocal "respawn_guerrila";
	};
};

if (__TTVer) then {
	if (playerSide == west) then {
		_respawn_marker setMarkerPosLocal markerPos "base_spawn_1";
	} else {
		_respawn_marker setMarkerPosLocal markerPos "base_spawn_r";
	};
} else {
	_respawn_marker setMarkerPosLocal markerPos "base_spawn_1";
};
#endif

ass = -8879;
ass = _p addAction ["Show Status", "x_scripts\x_showstatus.sqf",[],-1,false];

pbp_id = -9999;
if (d_use_backpack) then {
	prim_weap_player = primaryWeapon _p;
	_s = format ["%1 to Backpack", prim_weap_player];
	if (prim_weap_player != "" && prim_weap_player != " ") then {
		pbp_id = _p addAction [_s, "x_scripts\x_backpack.sqf",[],-1,false];
	};
	// No Weapon fix for backpack
	_trigger = createTrigger["EmptyDetector" ,_pos];
	_trigger setTriggerArea [0, 0, 0, false];
	_trigger setTriggerActivation ["NONE", "PRESENT", true];
	_trigger setTriggerStatements["primaryWeapon player != prim_weap_player && primaryWeapon player != "" ""","prim_weap_player = primaryWeapon player;if (pbp_id != -9999 && count player_backpack == 0) then {player removeAction pbp_id;pbp_id = -9999;};if (pbp_id == -9999 && count player_backpack == 0 && prim_weap_player != """" && prim_weap_player != "" "") then {pbp_id = player addAction [format [""%1 to Backpack"", prim_weap_player], ""x_scripts\x_backpack.sqf"",[],-1,false];};",""];
};

#ifndef __NO_PARABUG_FIX__
// parabug
_trigger = createTrigger["EmptyDetector" ,_pos];
_trigger setTriggerArea [0, 0, 0, false];
_trigger setTriggerActivation ["NONE", "PRESENT", true];
switch (d_own_side) do {
	case "RACS": {_trigger setTriggerStatements["typeOf (vehicle player) == ""ParachuteG""", "", "if (alive player) then {player setpos [(position player select 0),(position player select 1),0];};"];};
	case "WEST": {_trigger setTriggerStatements["typeOf (vehicle player) == ""ParachuteWest""", "", "if (alive player) then {player setpos [(position player select 0),(position player select 1),0];};"];};
	case "EAST": {_trigger setTriggerStatements["typeOf (vehicle player) == ""ParachuteEast""", "", "if (alive player) then {player setpos [(position player select 0),(position player select 1),0];};"];};
};
#endif

// special triggers for engineers, AI version, everybody can repair and flip vehicles
if (_string_player in d_is_engineer || __AIVer) then {
	d_eng_can_repfuel = true;
	#ifndef __TT__
	_trigger = createTrigger["EmptyDetector" ,d_base_array select 0];
	_trigger setTriggerArea [d_base_array select 1, d_base_array select 2, 0, false];
	#endif
	#ifdef __TT__
	_dbase_a = (
		if (playerSide == west) then {
			d_base_array select 0
		} else {
			d_base_array select 1
		}
	);
	_trigger = createTrigger["EmptyDetector" ,_dbase_a select 0];
	_trigger setTriggerArea [_dbase_a select 1, _dbase_a select 2, 0, false];
	#endif
	_trigger setTriggerActivation [d_own_side_trigger, "PRESENT", true];
	_trigger setTriggerStatements["!d_eng_can_repfuel && player in thislist", "d_eng_can_repfuel = true;""Engineer repair/refuel capability restored."" call XfGlobalChat;", ""];
		
	_trigger = createTrigger["EmptyDetector" ,_pos];
	_trigger setTriggerArea [0, 0, 0, false];
	_trigger setTriggerActivation ["NONE", "PRESENT", true];
	_trigger setTriggerStatements["call x_ffunc", "actionID1=player addAction [""Unflip Vehicle"", ""scripts\unflipVehicle.sqf"",[objectID1],-1,false];", "player removeAction actionID1"];
	
	_trigger = createTrigger["EmptyDetector" ,_pos];
	_trigger setTriggerArea [0, 0, 0, true];
	_trigger setTriggerActivation ["NONE", "PRESENT", true];
	#ifndef __ENGINEER_OLD__
	_trigger setTriggerStatements["call x_sfunc", "actionID6 = player addAction [""Analyze Vehicle"", ""x_scripts\x_repanalyze.sqf"",[],-1,false];actionID2 = player addAction [""Repair/Refuel Vehicle"", ""x_scripts\x_repengineer.sqf"",[],-1,false]", "player removeAction actionID6;player removeAction actionID2"];
	#endif
	#ifdef __ENGINEER_OLD__
	_trigger setTriggerStatements["call x_sfunc", "actionID2 = player addAction [""Repair/Refuel Vehicle"", ""x_scripts\x_repengineer_old.sqf"",[],-1,false]", "player removeAction actionID2"];
	#endif
};

#ifndef __TT__
// Enemy at base
XBaseEnemies = {
	private ["_status"];
	_status = _this select 0;
	switch (_status) do {
		case 0: {
			hint composeText[
				parseText("<t color='#f0ff0000' size='2'>" + "DANGER:" + "</t>"), lineBreak,
				parseText("<t size='1'>" + "Enemy troops in your base." + "</t>")
			];
		};
		case 1: {
			hint composeText[
				parseText("<t color='#f00000ff' size='2'>" + "CLEAR:" + "</t>"), lineBreak,
				parseText("<t size='1'>" + "No more enemies in your base." + "</t>")
			];
		};
	};
};
_trigger = createTrigger["EmptyDetector" ,d_base_array select 0];
_trigger setTriggerArea [d_base_array select 1, d_base_array select 2, 0, false];
_trigger setTriggerActivation [d_enemy_side, "PRESENT", true];
_trigger setTriggerStatements["""Man"" countType thislist > 0", "if (player distance FLAG_BASE < 300) then {playSound ""Alarm""};[0] call XBaseEnemies;""enemy_base"" setMarkerSizeLocal [d_base_array select 1,d_base_array select 2];", "[1] call XBaseEnemies;""enemy_base"" setMarkerSizeLocal [0,0];"];
#endif

if (d_weather) then {execVM "scripts\weather\weatherrec2.sqf";};

// Teamstatus vehicle trigger, add action to player
vec_ass = -8876;
_trigger = createTrigger["EmptyDetector" ,_pos];
_trigger setTriggerArea [0, 0, 0, false];
_trigger setTriggerActivation ["NONE", "PRESENT", true];
#ifndef __ACE__
_trigger setTriggerStatements["vehicle player != player", "ts_vehicle = vehicle player;if (vec_ass == -8876) then {vec_ass = ts_vehicle addAction [""Show Status"", ""x_scripts\x_showstatus.sqf"",[],-1,false]}", "if (vec_ass != -8876) then {ts_vehicle removeAction vec_ass;vec_ass = -8876}"];
#endif
#ifdef __ACE__
_trigger setTriggerStatements["vehicle player != player && !((vehicle player) isKindOf ""RAS_Parachute"")", "ts_vehicle = vehicle player;if (vec_ass == -8876) then {vec_ass = ts_vehicle addAction [""Show Status"", ""x_scripts\x_showstatus.sqf"",[],-1,false]}", "if (vec_ass != -8876) then {ts_vehicle removeAction vec_ass;vec_ass = -8876}"];
#endif

#ifndef __AI__
_bravo = ["bravo_1","bravo_2","bravo_3","bravo_4","bravo_5","bravo_6","bravo_7","bravo_8"];
if (__TTVer) then {
	_bravo = ["racs_11","racs_12","west_11","west_12"];
};
_strp = format ["%1",_p];
_is_climber = false;
if (!(__ACEVer)) then {
	{
		if (_strp == _x) exitWith {
			_is_climber = true;
		};
	} forEach _bravo;
};
if (_is_climber) then {
	execVM "scripts\KRON_STRINGS.sqf";
	d_wires = [" pletivo_wired.p3d", " dd_pletivo.p3d", " plot_provizorni.p3d", " plot_rust_draty.p3d"," plot_green_draty.p3d", " pletivo.p3d", " zidka01.p3d", " zabradli_pruhovane_stred.p3d", " zed_kamenna.p3d", " newplot2.p3d", " afnewplot2.p3d", " plot_zed-drevo1.p3d", " zed.p3d", " plot_istan1b.p3d", " plot_vlnplech2.p3d", " plot_vinice.p3d", " plot_istan1_rovny.p3d", " svodidla_5m.p3d", " pletivo_wired_hole.p3d", " plot_bambus.p3d", " plot_vlnplech1.p3d", " plot_istan3.p3d", " plot_istan3_sloupek.p3d", " plot_wood1.p3d", " plot_istan2.p3d", " zed_kamenna_desert.p3d", " plot_wood_sloupek.p3d", " zed_desert.p3d"];

	[]spawn {
		while {true} do {
			while {!call XFindObstacle} do {sleep (0.341 + random 0.2)}; 
			obstID = player addAction ["Climb over obstacle", "x_scripts\x_climb.sqf"];
			while {call XFindObstacle} do {sleep (0.341 + random 0.2)}; 
			player removeAction obstID;
		};
	};
};
#endif
#ifdef __AI__
if (!(__ACEVer)) then {
	execVM "scripts\KRON_STRINGS.sqf";
	d_wires = [" pletivo_wired.p3d", " dd_pletivo.p3d", " plot_provizorni.p3d", " plot_rust_draty.p3d"," plot_green_draty.p3d", " pletivo.p3d", " zidka01.p3d", " zabradli_pruhovane_stred.p3d", " zed_kamenna.p3d", " newplot2.p3d", " afnewplot2.p3d", " plot_zed-drevo1.p3d", " zed.p3d", " plot_istan1b.p3d", " plot_vlnplech2.p3d", " plot_vinice.p3d", " plot_istan1_rovny.p3d", " svodidla_5m.p3d", " pletivo_wired_hole.p3d", " plot_bambus.p3d", " plot_vlnplech1.p3d", " plot_istan3.p3d", " plot_istan3_sloupek.p3d", " plot_wood1.p3d", " plot_istan2.p3d", " zed_kamenna_desert.p3d", " plot_wood_sloupek.p3d", " zed_desert.p3d"];

	[]spawn {
		while {true} do {
			waitUntil {sleep (0.341 + random 0.2);call XFindObstacle};
			obstID = player addAction ["Climb over obstacle", "x_scripts\x_climb.sqf"];
			waitUntil {sleep (0.341 + random 0.2);!(call XFindObstacle)};
			player removeAction obstID;
		};
	};
};
#endif

// everytime a new player connects time gets synced
"d_vars_array" addPublicVariableEventHandler {
	setDate ((_this select 1) select 1);
};

player_is_medic = false;
medicaction = -3333;
if (_string_player in d_is_medic) then {
	player_is_medic = true;
	medicaction = _p addAction ["Build Mash", "x_scripts\x_mash.sqf",[],-1,false];
	d_medtent = [];
};

player_can_build_mgnest = false;
mgnestaction = -11111;
if (d_with_mgnest) then {
	if (_string_player in d_can_use_mgnests) then {
		player_can_build_mgnest = true;
		d_mgnest_pos = [];
		mgnestaction = _p addAction ["Build MG Nest", "x_scripts\x_mgnest.sqf",[],-1,false];
	};
};

execVM "x_scripts\x_setvehiclemarker.sqf";

if (count d_action_menus_type > 0) then {
	{
		_types = _x select 0;
		if (count _types > 0) then {
			if (_type in _types) then { 
				_action = _p addAction [_x select 1,_x select 2,[],-1,false];
				_x set [3, _action];
			};
		} else {
			_action = _p addAction [_x select 1,_x select 2,[],-1,false];
			_x set [3, _action];
		};
	} forEach d_action_menus_type;
};

if (count d_action_menus_unit > 0) then {
	{
		_types = _x select 0;
		_ar = _x;
		if (count _types > 0) then {
			{
				call compile format ["
					if (_p ==  %1) exitWith { 
						_action = _p addAction [_ar select 1,_ar select 2,[],-1,false];
						_ar set [3, _action];
					};
				", _x];
			} forEach _types
		} else {
			_action = _p addAction [_x select 1,_x select 2,[],-1,false];
			_x set [3, _action];
		};
	} forEach d_action_menus_unit;
};

execVM "x_scripts\x_playerspawn.sqf";

#ifndef __ACE__
execVM "x_scripts\x_water.sqf";
#endif

if (count d_action_menus_vehicle > 0) then {execVM "x_scripts\x_vecmenus.sqf";};

#ifdef __MANDO__
// Checks if you have a laser designator to provide corresponding actions
[]execVM "mando_missiles\units\mando_haveialaser.sqf";

if (d_enemy_side == "EAST") then {
	// AA cameras for pilots
	// cameras setup (2 AIM9)
	_mcctypeaascript = "mando_missiles\tv\tv_types\mando_tv_aim9.sqs";
	[d_aa_camera, 2, 2, ["Air"], "IRST", _mcctypeaascript, [-4,2,-2], [0.7,5.8,.5,0,80], 0, 0, 0, [], 0.5, -3]execVM"mando_missiles\mcc\mando_mccallow_by_type.sqf";

	// Hellfire cameras setup (onboard hellfires)
	_mcctypeaascript = "mando_missiles\tv\tv_types\mando_tv_hellfire.sqs";
	[d_hellfire_camera, 0, 0, ["Vehicles"], "Hellfire Camera", _mcctypeaascript, [-3,2,-2], [0,6.2,-0.5,0,181], 1, 0, -4, [], 1, -3]execVM"mando_missiles\mcc\mando_mccallow_by_type.sqf";

	// AH1-Z cameras setup (scripted gun AG mode)
	_mcctypeaascript = "mando_missiles\tv\tv_types\mando_tv_gun.sqs";
	[d_ah1w_gun_camera, 99, 99, ["Vehicles"], "Gun Cam Ground mode", _mcctypeaascript, [0,6.2,-1,3], [0,6.2,-0.5,0,70], 1, 0, 1, [1,0,0,0.1], 0.2, 0]execVM"mando_missiles\mcc\mando_mccallow_by_type.sqf";

	// AH1-Z cameras setup (scripted gun AA mode)
	_mcctypeaascript = "mando_missiles\tv\tv_types\mando_tv_gun.sqs";
	[d_ah1w_gun_camera, 99, 99, ["Air"], "Gun Cam Air mode", _mcctypeaascript, [0,6.2,-1,3], [0,6.2,-0.5,0,70], 1, 0, 1, [0,0,1,0.1], 0.2, 0]execVM"mando_missiles\mcc\mando_mccallow_by_type.sqf";

	// LGB cameras setup (onboard LGBs)
	_mcctypeaascript = "mando_missiles\tv\tv_types\mando_tv_lgb.sqs";
	[d_lgb_camera, 0, 0, ["Vehicles"], "LGB Camera", _mcctypeaascript, [-3,2,-2], [0,2.6,-1.8,0,181], 0, 0, -1, [], 1, -3]execVM"mando_missiles\mcc\mando_mccallow_by_type.sqf";

	// Maverick cameras setup (onboard Mavericks)
	_mcctypeaascript = "mando_missiles\tv\tv_types\mando_tv_agm65.sqs";
	[d_maverick_camera, 0, 0, ["Vehicles"], "Maverick Camera", _mcctypeaascript, [-3,2,-2], [0.7,5.8,.5,0,30], 0, 0, -2, [], 1, -3]execVM"mando_missiles\mcc\mando_mccallow_by_type.sqf";
} else {
	// AA cameras for pilots
	// cameras setup (2 R73)
	_mcctypeaascript = "mando_missiles\tv\tv_types\mando_tv_r73.sqs";
	[d_aa_camera, 2, 2, ["Air"], "IRST", _mcctypeaascript, [-4,2,-2], [0.7,5.8,.5,0,80], 0, 0, 0, [], 0.5, -3]execVM"mando_missiles\mcc\mando_mccallow_by_type.sqf";

	// CH29 cameras setup (onboard CH29)
	_mcctypeaascript = "mando_missiles\tv\tv_types\mando_tv_ch29.sqs";
	[d_ch29_camera, 0, 0, ["Vehicles"], "CH29 Camera", _mcctypeaascript, [-3,2,-2], [0,6.2,-0.5,0,181], 1, 0, -4, [], 1, -3]execVM"mando_missiles\mcc\mando_mccallow_by_type.sqf";

	// KA50 cameras setup (scripted gun AG mode)
	_mcctypeaascript = "mando_missiles\tv\tv_types\mando_tv_gun.sqs";
	[d_ka50_gun_camera, 99, 99, ["Vehicles"], "Gun Cam Ground mode", _mcctypeaascript, [0,6.2,-1,3], [0,6.2,-0.5,0,70], 1, 0, 1, [1,0,0,0.1], 0.2, 0]execVM"mando_missiles\mcc\mando_mccallow_by_type.sqf";

	// KA50 cameras setup (scripted gun AA mode)
	_mcctypeaascript = "mando_missiles\tv\tv_types\mando_tv_gun.sqs";
	[d_ka50_gun_camera, 99, 99, ["Air"], "Gun Cam Air mode", _mcctypeaascript, [0,6.2,-1,3], [0,6.2,-0.5,0,70], 1, 0, 1, [0,0,1,0.1], 0.2, 0]execVM"mando_missiles\mcc\mando_mccallow_by_type.sqf";
};

//adds flares only
[d_flares_only, 0, "", [0,0], [0,0], 10, 10, "mando_missiles\units\mando_missilevehicle2.sqf", true, false, true, true, [2,0,-2], "mando_missiles\units\keysets\mando_airtorpedo_keys.sqf", 5, 5, 2, 0, false, 1]execVm"mando_missiles\units\mando_assignvehicle_by_type.sqf";

// Stryker_TOW units will be Patriots for players as gunners (missile idx 0)
_mcctypeaascript = "mando_missiles\mcc\mcc_types\mando_missilecontrolon_scud.sqs";
[d_patriot_missiles, 8, 8, [], "Lance Console", _mcctypeaascript, [0,0,0,2], [0,1,0.25], 1, -1, 0, [], 3]execVM"mando_missiles\mcc\mando_mccallow_by_type.sqf";

// Vulcan will have 0 flares and 12 AA missiles gunner (missile idx 0 and 1)
[d_aa_vehicles, 1, "M168", [12,0], [12,0], 0, 0, "mando_missiles\units\mando_missilevehicle2.sqf", false, true, false, false, [0,0,0,2], "mando_missiles\units\keysets\mando_shilka_keys2.sqf", 5, 5, 2, 0, false, 2]execVm"mando_missiles\units\mando_assignvehicle_by_type.sqf";

//provides ammo trucks with ability to reload mando flares and missiles to units
[d_reload_flares, 15]execVM"mando_missiles\units\mando_flaresreloadallow.sqf";
[d_reload_missiles, 15]execVM"mando_missiles\units\mando_missilereloadallow.sqf";
#endif

#ifndef __TT__
XFacAction = {
	private ["_num","_thefac","_element","_posf","_facid","_exit_it"];
	_num = _this select 0;
	_thefac = (
		switch (_num) do {
			case 0: {d_jet_service_fac};
			case 1: {d_chopper_service_fac};
			case 2: {d_wreck_repair_fac};
		}
	);
	waitUntil {(sleep 0.521 + (random 0.3));!isNull _thefac};
	_element = d_aircraft_facs select _num;
	_posf = _element select 0;
	sleep 0.543;
	_facid = -1;
	_exit_it = false;
	while {!_exit_it} do {
		sleep 0.432;
		switch (_num) do {
			case 0: {if (d_jet_service_fac_rebuilding) then {_exit_it = true;};};
			case 1: {if (d_chopper_service_fac_rebuilding) then {_exit_it = true;};};
			case 2: {if (d_wreck_repair_fac_rebuilding) then {_exit_it = true;};};
		};

		if (!_exit_it) then {
			if (player distance _posf < 14 && !isNull _thefac && _facid == -1) then {
				if (alive player) then {
					_facid = player addAction ["Rebuild Support Building","x_scripts\x_rebuildsupport.sqf",_thefac];
				};
			} else {
				if (_facid != -1) then {
					if (player distance _posf > 13 || isNull _thefac) then {
						player removeAction _facid;
						_facid = -1;
					};
				};
			};
		} else {
			if (_facid != -1) then {
				player removeAction _facid;
			};
		};
	};
};

if (_string_player in d_is_engineer || __AIVer) then {
	if (!isNull d_jet_service_fac && !d_jet_service_fac_rebuilding) then {
		[0] spawn XFacAction;
	};
	if (!isNull d_chopper_service_fac && !d_chopper_service_fac_rebuilding) then {
		[1] spawn XFacAction;
	};
	if (!isNull d_wreck_repair_fac && !d_wreck_repair_fac_rebuilding) then {
		[2] spawn XFacAction;
	};
};
#endif

#ifndef __ACE__
execVM "x_scripts\x_tanksmoke.sqf";
#endif

#ifndef __MANDO__
if (!(__ACEVer)) then {execVM "x_scripts\x_airincoming.sqf";};
#endif

if (d_no_para_at_all) then {
	d_para_at_base = false;
};

#ifndef __TT__
FLAG_BASE addAction ["Teleport","dlg\teleport.sqf"];
if (__AIVer || d_para_at_base) then {
	FLAG_BASE addaction ["(Choose Parachute location)","AAHALO\x_paraj.sqf"];
};
#endif
#ifdef __TT__
if (d_own_side == "WEST") then {
	WFLAG_BASE addAction ["Teleport","dlg\teleport.sqf"];
} else {
	RFLAG_BASE addAction ["Teleport","dlg\teleport.sqf"];
};
#endif

if (!d_para_at_base) then {
	"teleporter" setMarkerTextLocal "Teleporter";
};

#ifdef __ACE__
for "_i" from 0 to (count d_ace_boxes) - 1 do {
	_element = d_ace_boxes select _i;
	_box = (_element select 0) createVehicleLocal (_element select 1);
	_box setDir (_element select 2);
	_box setPos (_element select 1);
	[_box, (_element select 1), (_element select 2), (_element select 0)] spawn {
		private ["_box","_boxname","_pos","_dir"];
		_box = _this select 0;
		_pos = _this select 1;
		_dir = _this select 2;
		_boxname = _this select 3;
		while {true} do {
			sleep 1500 + random 500;
			if (!isNull _box) then {deleteVehicle _box};
			_box = _boxname createVehicleLocal _pos;
			_box setDir _dir;
			_box setPos _pos;
		};
	};
};
d_pos_ace_boxes = nil;
#endif

execVM "x_scripts\x_ammoload.sqf";

#ifndef __RANKED__
if (d_player_air_autokick > 0) then {
	execVM "x_scripts\x_autokick.sqf";
};
#else
	execVM "x_scripts\x_playerveccheck.sqf";
	if (_string_player in d_is_medic) then {
		execVM "x_scripts\x_mediccheck.sqf";
	};
	execVM "x_scripts\x_playervectrans.sqf";
#endif

[] spawn {
	_oldscore = 0;
	while {true} do {
		sleep 3 + random 2;
		if (_oldscore != score player) then {
			_oldscore = score player;
			["d_ad_sc", name player, _oldscore] call XSendNetStartScriptServer;
		};
	};
};

#ifdef __AI__
d_heli_taxi_available = true;
_trigger = createTrigger ["EmptyDetector", _pos];
_trigger setTriggerText "Call in Air Taxi";
_trigger setTriggerActivation ["HOTEL", "PRESENT", true];
_trigger setTriggerStatements ["this", "xhandle = [] execVM ""x_scripts\x_airtaxi.sqf""",""];
#endif

d_vec_end_time = -1;

if (true) exitWith {};
