// by Xeno
if (!isServer) exitWith {};

#include "x_setup.sqf"
#include "x_macros.sqf"

_pos = [0,0,0];

d_island_center = getArray(configFile>>"CfgWorlds">>worldName>>"centerPosition");

if (X_InstalledECS) then {
	ECS_public set[2, false];           //Dynamic weather OFF, use builtin instead
	ECS_public set[5, true];            //Bleeding enabled. See also below
	ECS_public set[7, false];           //First aid turned off, since mission has builtin 2xheal options  --This one might be bad shit--
	ECS_public set[13, false];          //Weapon jam disabled due to playerweapons system. Might be bad to respawn without weapons since little available
	ECS_public set[14, 0.00];           //Rifle jam rating, just in case
	ECS_public set[15, 0.00];           //Machinegun malfunction rating, just in case
};

XSideMissionResolved = {
	[] spawn XClearSidemission;
	current_mission_index = -1;
	if (side_mission_winner > 0) then {
		#ifdef __TT__
		switch (side_mission_winner) do {
			case 1: {points_racs = points_racs + 7};
			case 2: {points_west = points_west + 7};
		};	
		#endif
		execVM "x_scripts\x_getbonus.sqf";
	};
	if (side_mission_winner in [-1,-2,-300,-400,-500,-600]) then {
		["sm_res_client",side_mission_winner,-1] call XSendNetStartScriptClient;
		side_mission_winner = 0;
	};
};

XClearSidemission = {
	sleep 200 + random 10;
	{
		if !(isNull _x) then {
			if (_x isKindOf "LandVehicle" && count (crew _x) > 0) then {
				_has_player = false;
				{
					_man = _x;
					if (isPlayer _man) exitWith {
						_has_player = true;
					};
				} forEach (crew _x);
				if (_has_player) then {
					[_vehicle] call XAddCheckDead;
				} else {
					{deleteVehicle _x} forEach ([_x] + crew _x);
				};
			} else {
				deleteVehicle _x
			};
		};
		sleep 0.1;
	} forEach extra_mission_vehicle_remover_array;
	extra_mission_vehicle_remover_array=nil;
	{
		if !(isNull _x) then {
			deleteVehicle _x;
		}
	} forEach extra_mission_remover_array;
	extra_mission_remover_array = nil;
	side_mission_resolved = false;
	execVM "x_missions\x_getsidemission.sqf";
};

_trigger = createTrigger["EmptyDetector" ,_pos];
_trigger setTriggerArea [0, 0, 0, false];
_trigger setTriggerActivation ["NONE", "PRESENT", true];
_trigger setTriggerStatements["side_mission_resolved", "xhandle = [] spawn XSideMissionResolved", ""];

// check mr
x_checktransport = compile preprocessFileLineNumbers "x_scripts\x_checktransport.sqf";

#ifdef __TT__
x_checktransport2 = compile preprocessFileLineNumbers "x_scripts\x_checktransport2.sqf";
#endif

// drop ammo box from vehicle
// handles only positions and markers.
// boxes get created locally on clients
XCreateDroppedBox = {
	private ["_the_box_pos"];
	_the_box_pos = _this;
	ammo_boxes = ammo_boxes + 1;
	["ammo_boxes",ammo_boxes] call XSendNetVarClient;
	_mname = format ["bm_%1", str(_the_box_pos)];
	d_ammo_boxes = d_ammo_boxes + [[_the_box_pos,_mname]];
	[_mname, _the_box_pos,"ICON","ColorBlue",[0.5,0.5],"Ammo",0,"Marker"] call XfCreateMarkerGlobal;
};

[] spawn {
	while {true} do {
		if (count d_ammo_boxes > 0) then {
			for "_i" from 0 to (count d_ammo_boxes - 1) do {
				_boxa = d_ammo_boxes select _i;
				_boxpos = _boxa select 0;
				if (count _boxpos == 0) then {
					_mname = _boxa select 1;
					deleteMarker _mname;
					d_ammo_boxes set [_i, objNull];
					ammo_boxes = ammo_boxes - 1;
					["ammo_boxes",ammo_boxes] call XSendNetVarClient;
				};
				sleep 0.01;
			};
			d_ammo_boxes = d_ammo_boxes - [objNull];
		};
		sleep 1.321;
	};
};

XCheckSMHardTarget = {
	private ["_vehicle","_trigger","_trigger2"];
	_vehicle = _this select 0;
	#ifdef __TT__
	_vehicle addEventHandler ["killed", {side_mission_winner = (switch (side (_this select 1)) do {case resistance:{1};case west:{2};default{-1};});side_mission_resolved = true;}];
	#endif
	#ifndef __TT__
	_vehicle addEventHandler ["killed", {side_mission_winner = 2;side_mission_resolved = true;}];
	#endif
	#ifdef __WITH_SCALAR__
	_vec_init = "this addEventHandler [""hit"", {if (local (_this select 0)) then {(_this select 0) setDamage 0}}];this addEventHandler [""damage"", {if (local (_this select 0)) then {(_this select 0) setDamage 0}}];";
	if (typeOf _vehicle == "Land_telek1") then {
		_vec_init = _vec_init + "xhandle = [this] execVM ""scripts\scalar.sqf"";";
	};
	_vehicle setVehicleInit _vec_init;
	#endif
	#ifndef __WITH_SCALAR__
	_vehicle setVehicleInit "this addEventHandler [""hit"", {if (local (_this select 0)) then {(_this select 0) setDamage 0}}];this addEventHandler [""damage"", {if (local (_this select 0)) then {(_this select 0) setDamage 0}}];";
	#endif
	processInitCommands;
	extra_mission_vehicle_remover_array = extra_mission_vehicle_remover_array + [_vehicle];
	friendly_near_sm_target = false;
	_trigger = createTrigger["EmptyDetector" ,position _vehicle];
	_trigger setTriggerArea [20, 20, 0, false];
	#ifndef __TT__
	_trigger setTriggerActivation [d_own_side_trigger, "PRESENT", false];
	#endif
	#ifdef __TT__
	_trigger setTriggerActivation ["WEST", "PRESENT", false];
	#endif
	_trigger setTriggerStatements["this && ((getpos (thislist select 0)) select 2 < 20)", "friendly_near_sm_target = true", ""];
	#ifdef __TT__
	_trigger2 = createTrigger["EmptyDetector" ,position _vehicle];
	_trigger2 setTriggerArea [20, 20, 0, false];
	_trigger2 setTriggerActivation ["GUER", "PRESENT", false];
	_trigger2 setTriggerStatements["this && ((getpos (thislist select 0)) select 2 < 20)", "friendly_near_sm_target = true", ""];
	#endif
	while {!friendly_near_sm_target && alive _vehicle} do {sleep 1.021};
	if (alive _vehicle) then {
		_vehicle setVehicleInit "this removeAllEventHandlers ""hit""; this removeAllEventHandlers ""damage"";";
		processInitCommands;
	};
	deleteVehicle _trigger;
	#ifdef __TT__
	deleteVehicle _trigger2;
	#endif
	sleep 0.513;
	clearVehicleInit _vehicle;
};

XCheckMTHardTarget = {
	private ["_vehicle","_trigger","_trigger2"];
	_vehicle = _this select 0;
	_vehicle addEventHandler ["killed", {mt_spotted = false;mt_radio_down = true;["mt_radio_down",mt_radio_down] call XSendNetStartScriptClient;_this spawn x_removevehiextra;}];
	#ifdef __TT__
	_vehicle addEventHandler ["killed", {[4,_this select 1] call XAddPoints;_mt_radio_tower_kill = (_this select 1);mt_spotted = false;["mt_radio_tower_kill",_mt_radio_tower_kill] call XSendNetStartScriptClient;}];
	#endif
	_vehicle setVehicleInit "this addEventHandler [""hit"", {if (local (_this select 0)) then {(_this select 0) setDamage 0}}];this addEventHandler [""damage"", {if (local (_this select 0)) then {(_this select 0) setDamage 0}}];";
	processInitCommands;
	friendly_near_mt_target = false;
	_trigger = createTrigger["EmptyDetector" ,position _vehicle];
	_trigger setTriggerArea [20, 20, 0, false];
	#ifndef __TT__
	_trigger setTriggerActivation [d_own_side_trigger, "PRESENT", false];
	#endif
	#ifdef __TT__
	_trigger setTriggerActivation ["WEST", "PRESENT", false];
	#endif
	_trigger setTriggerStatements["this && ((getpos (thislist select 0)) select 2 < 20)", "friendly_near_mt_target = true", ""];
	#ifdef __TT__
	_trigger2 = createTrigger["EmptyDetector" ,position _vehicle];
	_trigger2 setTriggerArea [20, 20, 0, false];
	_trigger2 setTriggerActivation ["GUER", "PRESENT", false];
	_trigger setTriggerStatements["this && ((getpos (thislist select 0)) select 2 < 20)", "friendly_near_mt_target = true", ""];
	#endif
	while {!friendly_near_mt_target && alive _vehicle} do {sleep 1.024};
	if (alive _vehicle) then {
		_vehicle setVehicleInit "this removeAllEventHandlers ""hit""; this removeAllEventHandlers ""damage"";";
		processInitCommands;
	};
	deleteVehicle _trigger;
	#ifdef __TT__
	deleteVehicle _trigger2;
	#endif
	sleep 0.513;
	clearVehicleInit _vehicle;
};

#ifndef __TT__
XFacRebuild = {
	private ["_pos", "_oldfac", "_index", "_dir", "_buildpos", "_i", "_element", "_apos", "_wairfac", "_fac"];
	_pos = _this select 0;
	_oldfac = _this select 1;
	_index = -1;
	_dir = 0;
	_buildpos = _pos;
	for "_i" from 0 to (count d_aircraft_facs - 1) do {
		_element = d_aircraft_facs select _i;
		_apos = _element select 0;
		if (_apos distance _pos < 20) exitWith {
			_index = _i;
			_buildpos = _apos;
			_dir = _element select 1;
		};
	};

	if (_index != -1) then {
		switch (_index) do {
			case 0: {d_jet_service_fac_rebuilding = true;["d_jet_service_fac_rebuilding",d_jet_service_fac_rebuilding] call XSendNetVarClient;};
			case 1: {d_chopper_service_fac_rebuilding = true;["d_chopper_service_fac_rebuilding",d_chopper_service_fac_rebuilding] call XSendNetVarClient;};
			case 2: {d_wreck_repair_fac_rebuilding = true;["d_wreck_repair_fac_rebuilding",d_wreck_repair_fac_rebuilding] call XSendNetVarClient;};
		};
	};

	sleep 300 + random 300;
	_wairfac = (
		switch (d_own_side) do {
			case "WEST": {"WarfareBWestAircraftFactory"};
			case "RACS": {"WarfareBWestAircraftFactory"};
			case "EAST": {"WarfareBEastAircraftFactory"};
		}
	);
	_fac = _wairfac createVehicle _buildpos;
	_fac setDir _dir;
	_fac addEventHandler ["killed", {[_this select 0] execVM "x_scripts\x_fackilled.sqf";}];

	if (!isNull _oldfac) then {deleteVehicle _oldfac;};

	if (_index != -1) then {
		switch (_index) do {
			case 0: {d_jet_service_fac = objNull;["d_jet_service_fac",d_jet_service_fac] call XSendNetStartScriptClient;d_jet_service_fac_rebuilding = false;["d_jet_service_fac_rebuilding",d_jet_service_fac_rebuilding] call XSendNetVarClient;};
			case 1: {d_chopper_service_fac = objNull;["d_chopper_service_fac",d_chopper_service_fac] call XSendNetStartScriptClient;d_chopper_service_fac_rebuilding = false;["d_chopper_service_fac_rebuilding",d_chopper_service_fac_rebuilding] call XSendNetVarClient;};
			case 2: {d_wreck_repair_fac = objNull;["d_wreck_repair_fac",d_wreck_repair_fac] call XSendNetStartScriptClient;d_wreck_repair_fac_rebuilding = false;["d_wreck_repair_fac_rebuilding",d_wreck_repair_fac_rebuilding] call XSendNetVarClient;};
		};
	};
};
#endif

#ifdef __TT__
[] spawn {
	while {true} do {
		if (public_points) then {
			_points_array = [points_west,points_racs,kill_points_west,kill_points_racs];
			["points_array",_points_array] call XSendNetStartScriptClient;
		};
		sleep 1.016;
	};
};
#endif

#ifdef __AI__
[] spawn {
	sleep 60;
	while {true} do {
		{
			call compile format ["
				if (!(isPlayer %1)) then {
					_grp = group %1;
					_units = units _grp;
					if (count _units > 0) then {
						{
							if (_x != %1) then {
								if (vehicle _x != _x) then {
									_x action [""eject"", vehicle _x];
									unassignVehicle _x;
									_x setPos [0,0,0];
								};
								sleep 0.01;
								deleteVehicle _x;
							};
						} forEach _units;
					};
					sleep 0.01;
				};
			", _x];
		} forEach d_player_entities;
		sleep 5.321;
	};
};
#endif

// start air ki after some time
[] spawn {
	sleep 924;
	["KA",d_number_attack_choppers] execVM "x_scripts\x_airki.sqf";
	sleep 801.123;
	["SU",d_number_attack_planes] execVM "x_scripts\x_airki.sqf";
};

[] spawn {
	sleep 200 + random 10;
	execVM "x_missions\x_getsidemission.sqf";
};

if (d_with_recapture) then {
	[] spawn {
		sleep 1200 + random 600;
		execVM "x_scripts\x_recapture.sqf";
	};
};

if (true) exitWith {};
